/*
 * Copyright 2001-2005, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 *
*/
 
#include <epivers.h>
#include <bcmnvram.h>
struct nvram_tuple router_defaults[] = {
	/*Added by YaoChung*/
	{ "boardtype" , "bcm94710dev" , 0 } ,
	{ "DefaultEthPort", "1", 0},
	{ "boardnum" , "2" , 0 } ,
	{ "clkfreq" , "125" , 0 } ,
	{ "et0phyaddr" , "30" , 0 } ,
	{ "et0mdcport" , "0" , 0 } ,
	{ "et1phyaddr" , "0" , 0 } ,
	{ "et1mdcport" , "1" , 0 } ,
	{ "dl_ram_addr" , "a0001000" , 0 } ,
	{ "os_ram_addr" , "80001000" , 0 } ,
	{ "os_flash_addr" , "bfc40000" , 0 } ,
	{ "pmon_ver" , "PMON 3.9.0.2" , 0 } ,
	{ "localip" , "192.168.40.1" , 0 } ,
	{ "localsn" , "255.255.255.0" , 0 } ,
	{ "scratch" , "a0180000" , 0 } ,
	{ "boot_wait" , "off" , 0 } ,
	{ "watchdog" , "1000" , 0 } ,
	{ "sdram_init" , "0x0019" , 0 } ,
	{ "sdram_config" , "0x0000" , 0 } ,
	{ "sdram_refresh" , "0x8040" , 0 } ,	
//
	/*Routing*/
	{ "WorkingModel" , "0" , 0 } ,
	{ "DRoutingModel" , "0" , 0 } ,
	/*Routing*/
	/*Log*/
	{ "LogEnable", "0", 0 },
	/*Log*/	
	{ "SNMPEnable" , "0" , 0 } ,
//
	/*Wireless*/	
	{ "wl_mac_index" , "0" , 0 } ,	
	{ "wl_country" , "US" , 0 } ,
	{ "PassphraseKeyLength", "2", 0} ,
	{ "Key_Length_24G", "2" , 0 } ,	/* Added by PeterChen, 2002/11/05 PM 02:17 */
	{ "WlEnable", "1" , 0 } ,
	{ "kernel_mods" , "et wl kmemory" , 0 } ,
	/*Wireless*/
	/*Other*/
	{ "dns_1" , "" , 0 } ,
	{ "dns_2" , "" , 0 } ,
	{ "dns_3" , "" , 0 } ,
	{ "wins_1" , "" , 0 } ,
	{ "ConnectionOption" , "0" , 0 } ,
//	{ "DMZEnableFlag" , "0" , 0 } ,
//	{ "dmz_ipaddr_4", "0", 0},
//	{ "UrlBlockingNum" , "0" , 0 } ,
//	{ "UrlBlockingList" , "" , 0 } ,
//	{ "UrlBlockingFlag" , "0" , 0 } ,
//	{ "ParentalDateTime" , "" , 0 } ,
//	{ "InternetAccessCtrlFlag" , "0" , 0 } ,
	{ "wl_macEnable", "0" , 0 } ,
	{ "AuthType", "2" , 0 } ,
	{ "UPnPEnable", "0" , 0 } ,
	{ "FirmwareVersion", MOTOROLA_VERSION_STR , 0 }	,
	{ "GemtekFirmwareVersion", GEMTEK_VERSION_STR , 0 },
	/*Other*/
	/*Added by YaoChung*/
	/* OS parameters */
	{ "lan_ifname", "br0", 0 },		/* LAN interface name */
	{ "lan_ifnames", "eth0 eth2 eth3 eth4 wlan", 0 },		/* Enslaved LAN interfaces */
	{ "lan_hwnames", "et0 il0 wl0 wl1 tulip", 0 },		/* LAN driver names (e.g. et0) */
	{ "wan_ifname", "eth1", 0 },		/* WAN interface name */
	{ "wan_hwname", "eth1", 0 },		/* WAN driver name (e.g. et1) */
	{ "os_name", "", 0 },			/* OS name string */
	{ "os_version", EPI_VERSION_STR, 0 },	/* OS revision */
	/* Miscellaneous parameters */
	{ "timer_interval", "0", 0 },	/* Timer interval in seconds */
//	{ "ntp_server", "", 0 },		/* NTP server */
	{ "log_level", "0", 0 },		/* Bitmask 0:off 1:denied 2:accepted */
//	{ "time_zone", "PST8PDT", 0 },	/* Time zone (GNU TZ format) */
//
//	{ "upnp_enable", "0", 0 },		/* Start UPnP */
	{ "os_server", "", 0 },			/* URL for getting upgrades */
	{ "stats_server", "", 0 },		/* URL for posting stats */
	{ "console_loglevel", "1", 0 },	/* Kernel panics only */
	/* Big switches */
	{ "router_disable", "0", 0 },	/* lan_proto=static lan_stp=0 wan_proto=disabled */
//	{ "fw_disable", "0", 0 },		/* Disable firewall (allow new connections from the WAN) */
	/* TCP/IP parameters */
	//{ "log_ipaddr", "", 0 },		/* syslog recipient */
	{ "lan_proto", "dhcp", 0 },		/* [static|dhcp] */
	{ "lan_ipaddr", "192.168.10.1", 0 },	/* LAN IP address */
	{ "lan_netmask", "255.255.255.0", 0 },	/* LAN netmask */
	{ "lan_stp", "1", 0 },			/* LAN spanning tree protocol */
	{ "lan_dns", "", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "lan_wins", "", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "lan_domain", "", 0 },		/* LAN domain name */
	{ "lan_lease", "86400", 0 },		/* LAN lease time in seconds */
	{ "wan_proto", "static", 0 },		/* [static|dhcp|pppoe|disabled] */
	{ "wan_ipaddr", "192.168.40.1", 0 },		/* WAN IP address */
	{ "wan_netmask", "255.255.255.0", 0 },	/* WAN netmask */
	{ "wan_gateway", "0.0.0.0", 0 },	/* WAN gateway */
	{ "wan_dns", "0.0.0.0 0.0.0.0 0.0.0.0", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "wan_wins", "0.0.0.0", 0 },			/* x.x.x.x x.x.x.x ... */
	{ "wan_hostname", "", 0 },		/* WAN hostname */
	{ "wan_domain", "", 0 },		/* WAN domain name */
	{ "wan_lease", "86400", 0 },		/* WAN lease time in seconds */
//
//	{ "static_route", "", 0 },		/* Static routes (ipaddr:netmask:gateway:metric:ifname ...) */
//
//	{ "StaticRouteNames", "", 0 },
	/* Web server parameters */
	{ "http_username", "admin", 0 },		/* Username */
	{ "http_passwd", "motorola", 0 },		/* Password */
	{ "http_wanport", "80", 0 },		/* WAN port to listen on */
	{ "http_lanport", "80", 0 },		/* LAN port to listen on */
	/* Wireless parameters */
	{ "wl_unit", "0", 0 },			/* Interface unit */
	{ "wl_ifname", "", 0 },			/* Interface name */
	{ "wl_hwaddr", "", 0 },			/* MAC address */
	{ "wl_phytype", "g", 0 },		/* Current wireless band ("a" (5 GHz), "b" (2.4 GHz), or "g" (2.4 GHz)) */
	{ "wl_corerev", "", 0 },		/* Current core revision */
	{ "wl_phytypes", "", 0 },		/* List of supported wireless bands (e.g. "ga") */
	{ "wl_radioids", "", 0 },		/* List of radio IDs */	
	{ "wl_ssid", "motorola XXX", 0 },		/* Service set ID (network name) */
	{ "wl_radio", "1", 0 },			/* Enable (1) or disable (0) radio */
	{ "wl_closed", "0", 0 },		/* Closed (hidden) network */
	{ "wl_mode", "ap", 0 },			/* AP mode (ap|sta|wds) */
	{ "wl_lazywds", "0", 0 },		/* Enable "lazy" WDS mode (0|1) */
	{ "wl_wds", "", 0 },			/* xx:xx:xx:xx:xx:xx ... */
	{ "wl_wds0", "" , 0 } ,
	{ "wl_wds1", "" , 0 } ,	
	{ "wl_wds2", "" , 0 } ,
	{ "wl_wds3", "" , 0 } ,	
	{ "wl_wep", "off", 0 },			/* WEP data encryption (off|wep|tkip|aes) */
	{ "wl_auth", "0", 0 },			/* Authentication (0|1) */
	{ "wl_key", "1", 0 },			/* Current WEP key */
	{ "wl_key1", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key2", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key3", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key4", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_mac", "", 0 },			/* xx:xx:xx:xx:xx:xx ... */
	{ "wl_macmode", "disabled", 0 },/* "allow" only, "deny" only, or "disabled" (allow all) */
	{ "wl_passphrase", "", 0}, 
	{ "wl_frameburst", "off", 0 },		/* BRCM Frambursting mode (off|on) */
	{ "d11b_hwaddr", "", 0 },		/* 802.11b MAC address */
//	{ "d11b_channel", "11", 0 },		/* Channel number (1-14 depending on country) */
//	{ "d11b_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
//	{ "d11b_rateset", "default", 0 },	/* "default" (1/2) or "all" (1/2/5.5/11) */
//	{ "d11b_frag", "2346", 0 },		/* Fragmentation threshold */
//	{ "d11b_rts", "2347", 0 },		/* RTS threshold */
//	{ "d11b_dtim", "3", 0 },		/* DTIM period */
//	{ "d11b_bcn", "100", 0 },		/* Beacon interval */
//	{ "d11b_plcphdr", "long", 0 },		/* 802.11b PLCP preamble type */
//	{ "d11a_hwaddr", "", 0 },		/* 802.11a MAC address */
//	{ "d11a_channel", "64", 0 },		/* Channel number (36-64 in 4 channel increments) */
//	{ "d11a_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
//	{ "d11a_rateset", "default", 0 },	/* "default" (6/12/24) or "all" (6/9/12/18/24/36) */
//	{ "d11a_frag", "2346", 0 },		/* Fragmentation threshold */
//	{ "d11a_rts", "2347", 0 },		/* RTS threshold */
//	{ "d11a_dtim", "3", 0 },		/* DTIM period */
//	{ "d11a_bcn", "100", 0 },		/* Beacon interval */
	{ "d11g_hwaddr", "", 0 },		/* 802.11g MAC address */
	{ "d11g_channel", "11", 0 },		/* Channel number (1-14 depending on country) */
	{ "d11g_rate", "0", 0 },		/* Rate (bps, 0 for auto) */
	{ "d11g_rateset", "default", 0 },	/* "default" "all" "12" */
	{ "d11g_frag", "2346", 0 },		/* Fragmentation threshold */
	{ "d11g_rts", "2347", 0 },		/* RTS threshold */
	{ "d11g_dtim", "3", 0 },		/* DTIM period */
	{ "d11g_bcn", "100", 0 },		/* Beacon interval */
	{ "d11g_mode", "1", 0 },		/* Gmode value */
	{ "d11g_rts_cts", "auto", 0}, /* 11g protection mode (off|auto) */
/*	{ "d11g_shortslot_restrict", "0", 0 },*/	/* 11g ShortSlot association restriction (1 means shortslot only) */
	/* Restore defaults */
	{ "move_to_defaults", "0", 0 },		/* Set to 0 to not restore defaults on boot */	
	{ "restore_defaults", "0", 0 },		/* Set to 0 to not restore defaults on boot */
	{ "WAN_ENABLE", "1", 0},
	{ "wl_macmodeEnable", "0", 0},
	{ "lan_hostname", "WA840G", 0},
	{ "logonidletimer", "10", 0},
//
	{ "login_msg", "", 0},
	{ "NeedReboot", "0", 0},
	{ "wl_key_input_method", "0", 0},
	{ "wl_key_strength", "0", 0},
	{ "auth_mode", "disabled", 0}, /* WPA mode (disabled|radius|wpa|psk) */
	{ "wpa_psk", "", 0}, /* WPA pre-shared key */
	{ "wpa_gtk_rekey", "300", 0}, /* WPA GTK rekey interval */
	{ "radius_ipaddr", "0.0.0.0", 0},
	{ "radius_key", "", 0}, /* RADIUS shared secret */
	{ "radius_port", "1812", 0}, /* RADIUS server UDP port */
	{ "Enable802_1x", "0", 0},
	{ "Passphrase_key_11i" , "", 0},
	{ "d11g_preamble", "0", 0},
//
	{ "ab_state", "off", 0},
        //{ "pa0b0" , "0x167E" , 0}, //WA FEM
	//{ "pa0b1", "0xFAB7" , 0},
	//{ "pa0b2" , "0xFEB6" , 0},
	{ "wds_mode", "01", 0},	//Walter Update Aug-30-2004
	{"login_addr","0",0}, //Walter add Oct-04-2004
	{ 0, 0, 0 }
};
