﻿/*
 * Copyright 2005, Gemtek Technology Co., Ltd.
 * 
 * All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its 
 * documentation for any purpose and without fee is hereby granted, 
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of Gemtek Technology not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission. 
 */
 /*
 * Copyright 2001-2005, Broadcom Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND BROADCOM GRANTS NO WARRANTIES OF ANY
 * KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. BROADCOM
 * SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id$
 *
*/

#ifdef WEBS
#include <webs.h>
#include <uemf.h>
#include <ej.h>
#else /* !WEBS */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
#include <unistd.h>
#include <limits.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <httpd.h>
#endif /* WEBS */

/*Added by Jimmy*/
#include <sys/ioctl.h>
#include <net/if.h>
#include <netconf.h>
#include <net/if_arp.h>
/*Added by Jimmy*/

#include "global_share.h"

#include <typedefs.h>
#include <proto/ethernet.h>
#include <bcmnvram.h>
#include <bcmutils.h>
#include <shutils.h>
#include <sys/time.h>
#include <sys/resource.h>
/* Add by Terence 20030613 for F/W Header Check */
#include "typedefs.h"
#include "rts/crc.h"
#include <wlutils.h>
/* For Configuration Backup/Restore */
#define DanielAdd
#define HTTP_POST_METHOD
#define MotorolaWA840G
#ifdef DanielAdd
char *local_time;	
time_t current_time;

#ifdef HTTP_POST_METHOD
char query_string[2048]; /* for POST Method */

static const char *const RedirectApplyCGI =
"<head>\n"
"<title>Rediect</title>\n"
"<meta http-equiv=\"refresh\" content=\"0; url=apply.cgi?action=restore\">\n"
"<script language=\"javascript\">\n"
"<!--\n"
"	window.location.href = \"apply.cgi?action=restore\" ;\n"
"//-->\n"
"</script>"
"</head>\n"
"<body>\n"
"&nbsp;\n"
"</body>"
;

#endif

#endif

//#define DanielDBG(x) x
#define DanielDBG(x)
//#define DetectModleNumber
int theSameDomain = -1;
int wizard_reboot = 0;
/*Added by YaoChung*/
#include "PassPhrase.c"
#ifdef  DEBUG
#define ycprintf(str, args...) printf(str, ## args)
#else
#define ycprintf(str, args...)
#endif

#ifdef  TERENCE_DEBUG
#define tsprintf(str, args...) printf(str, ## args)
#else
#define tsprintf(str, args...)
#endif

#define MOTO_UI
extern int AuthReset;
extern int MOTOROLA_Wizard;
unsigned char key_buf[65];
/*Added by YaoChung*/

static char * rfctime(const time_t *timep);
static char * reltime(unsigned int seconds);

#define SiteSurvay

#ifdef SiteSurvay
#include <wlioctl.h>
#include <net/if.h>
#include <sys/ioctl.h>
struct site_survay_t {
	char SSID[32];
	char BSSID[18];	
} site_survay_table[100] ;	
#endif

/* Add by Terence for Motorola */

static const char* const Firmware_Update_Header =
"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n"
"<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">\n"
"<head>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html;charset=UTF-8\" />\n"
"<meta http-equiv=\"Script-Content-Type\" content=\"text/javascript\" />\n"
"<title>Motorola HomeNet Product - Control Panel : Firwmware Update</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\" />\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"left_menu.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/javascript\" src=\"nsutil.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"sub_nav.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"function Init_Left_Menu(passForm)\n"
"{\n"
"	var i;\n"
"	for(i=0;i<8;i++)\n"
"		left_status[i] = 0;\n"
"	left_status[4] = 1;	\n"
"	passForm.main_left_btn_control.src = \"main_left_btn_control_Click.gif\";\n"
"	if(passForm.restart_status.value!=\"1\")	\n"
"		passForm.main_left_btn_restart.src = \"main_left_btn_restart_Normal.gif\";\n"
"	else\n"
"		passForm.main_left_btn_restart.src = \"main_left_btn_restart_Blink.gif\";\n"
"	now_page = 23;	\n"
"	(new Image()).src = \"main_left_btn_control_Click.gif\";\n"
"	(new Image()).src = \"main_left_btn_control_Normal.gif\";\n"
"	(new Image()).src = \"main_left_btn_control_Over.gif\";\n"
"	(new Image()).src = \"main_left_btn_help_Click.gif\";\n"
"	(new Image()).src = \"main_left_btn_help_Normal.gif\";\n"
"	(new Image()).src = \"main_left_btn_help_Over.gif\";\n"
"	(new Image()).src = \"main_left_btn_logout_Click.gif\";\n"
"	(new Image()).src = \"main_left_btn_logout_Normal.gif\";\n"
"	(new Image()).src = \"main_left_btn_logout_Over.gif\";\n"
"	(new Image()).src = \"main_left_btn_restart_Click.gif\";\n"
"	(new Image()).src = \"main_left_btn_restart_Normal.gif\";\n"
"	(new Image()).src = \"main_left_btn_restart_Over.gif\";\n"
"	(new Image()).src = \"main_left_btn_restart_Blink.gif\";	\n"
"	(new Image()).src = \"main_left_btn_wireless_Click.gif\";\n"
"	(new Image()).src = \"main_left_btn_wireless_Normal.gif\";\n"
"	(new Image()).src = \"main_left_btn_wireless_Over.gif\";\n"
"}\n"
"//-->\n"
"</script>\n"
"<body onLoad=\"Init_Left_Menu(document.forms[0]);\" background=\"main_bottom_center-all.gif\" bgproperties=\"auto\">\n"
"<div align=\"left\">\n"
"<form>\n"
"<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0>\n"
"<tr valign=\"top\">\n"
"<td><TABLE WIDTH=177 BORDER=0 CELLPADDING=0 CELLSPACING=0>\n"
"      <TR><TD><IMG SRC=\"main_left-frame1_logo.gif\" WIDTH=177 HEIGHT=96></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-frame1_table_up.gif\" WIDTH=177 HEIGHT=41></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_04.gif\" WIDTH=177 HEIGHT=5></TD></TR>\n"
"      <TR><TD><script>write_img('main_left_btn_wireless', 177, 22, 1);</script></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_10.gif\" WIDTH=177 HEIGHT=5></TD></TR>\n"
"      <TR><TD><script>write_img('main_left_btn_control', 177, 22, 4);</script></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_12.gif\" WIDTH=177 HEIGHT=32></TD></TR>\n"
"      <TR><TD><script>write_img('main_left_btn_help', 177, 22, 5);</script></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_14.gif\" WIDTH=177 HEIGHT=6></TD></TR>\n"
"      <TR><TD><script>write_img('main_left_btn_restart', 177, 22, 6);</script></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_16.gif\" WIDTH=177 HEIGHT=4></TD></TR>\n"
"      <TR><TD><script>write_img('main_left_btn_logout', 177, 22, 7);</script></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-frame1_table_bg.gif\" WIDTH=177 HEIGHT=18></TD></TR>\n"
"      <TR><TD><IMG SRC=\"main_left-main_left_19.gif\" WIDTH=177 HEIGHT=257></TD></TR>\n"
"</TABLE></td>\n"
"<td>\n"
"<TABLE HEIGHT=151 BORDER=0 CELLPADDING=0 CELLSPACING=0><TR>\n"
"		<TD><IMG SRC=\"main_top_frame2_control.gif\" WIDTH=518 HEIGHT=151></TD>\n"
"		<TD><IMG SRC=\"main_top_frame2_2.jpg\" WIDTH=220 HEIGHT=151></TD>\n"
"</TR></table>\n"
"<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0><TR>\n"
"		<TD><IMG SRC=\"control_firmware_bg_left.gif\" WIDTH=192 HEIGHT=27></TD>\n"
"		<TD><a href=\"javascript:to_control_network();\"><IMG SRC=\"control_firmware_network.gif\" WIDTH=148 HEIGHT=27 border=\"0\"></a></TD>\n"
"		<TD><a href=\"javascript:to_control_device();\"><IMG SRC=\"control_firmware_device.gif\" WIDTH=133 HEIGHT=27 border=\"0\"></a></TD>\n"
"		<TD><a href=\"javascript:to_control_firmware();\"><IMG SRC=\"control_firmware_firmware.gif\" WIDTH=158 HEIGHT=27 border=\"0\"></a></TD>\n"
"		<TD><a href=\"javascript:to_control_configuration();\"><IMG SRC=\"control_firmware_configurat.gif\" WIDTH=162 HEIGHT=27 border=\"0\"></a></TD>\n"
"		<TD><IMG SRC=\"control_firmware_bg_right.gif\" WIDTH=0 HEIGHT=27></TD>\n"
"</TR></TABLE>\n"
"<TABLE HEIGHT=18 BORDER=0 CELLPADDING=0 CELLSPACING=0><TR><TD HEIGHT=18></TD></TR></TABLE>\n"
"<table cellSpacing=0 cellPadding=0 border=0 height=\"200\" width=\"780\">\n"
"		<tr>\n"
"			<td width=\"15\" class=\"bg\">\n"
"      </td>\n"
"      <td valign=\"center\" height=\"10\" align=\"center\" bgcolor=\"#D5D35A\">\n"
;      
      
		
static const char* const Firmware_Update_Footer =		
"		</td>\n"
"		</tr>\n"
"		</table>\n"
"</td>\n"
"</tr>\n"
"</table>\n"
"</form>\n"
"<form method=\"post\" name=\"restart\" action=\"sysconf.cgi\">\n"
"  <input type=\"hidden\" name=\"action\" value=\"RedirectToReboot\">\n"
"  <input type=\"hidden\" name=\"PageName\" value=\"reboot\">\n"
"</form>\n"
"<form method=\"post\" name=\"logout\" action=\"sysconf.cgi\">\n"
"  <input type=\"hidden\" name=\"action\" value=\"Logout\">\n"
"  <input type=\"hidden\" name=\"PageName\" value=\"Logout\">\n"
"</form>\n"
"</div>\n"
"</body>\n"
"</html>\n"
;





static const char* const Login_OK_wizard_asp =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
//"<meta http-equiv=\"refresh\" content=\"0;URL=frames.asp\">\n"
"<body>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"	top.window.location.href = \"wizard.html\";\n"
"//-->\n"
"</script>\n"
"</body>\n"
"</html>\n"
;

static const char* const Login_OK_asp =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
//"<meta http-equiv=\"refresh\" content=\"0;URL=frames.asp\">\n"
"<body>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"	top.window.location.href = \"frames.asp\";\n"
"//-->\n"
"</script>\n"
"</body>\n"
"</html>\n"
;

static const char* const Login_Fail_asp =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
//"<meta http-equiv=\"refresh\" content=\"0;URL=index.asp\">\n"
"<body>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"	top.window.location.href = \"redirect.asp\";\n"
"//-->\n"
"</script>\n"
"</body>\n"
"</html>\n"
;


static const char* const reboot_asp =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"var CurTime=0;\n"
"var time_value = 250;\n"
"function timebegin() {\n"
"\n"
"		\n"
"  var mybar='|';\n"
"  for(i=0; i<CurTime; i++)\n"
"    mybar+='|';\n"
"  window.status='Restart status : ' + CurTime+ '%%' + ' ' + mybar;\n"
"  if(CurTime < 100){\n"
"    setTimeout(\"timebegin()\",time_value);\n"
"    CurTime++;\n"
"  }  \n"
"  else{\n"
//"    window.status="";\n"
"		clearTimeout(\"timebegin()\");\n"
"		go();\n"
"  }  \n"
"}\n"
"\n"
"function goProgress() \n"
"{\n"
//" if(document.forms[0].wan_proto.value == 'dhcp')\n"
//" {\n"
//"		time_value = 500;\n"
//" }\n"
//" else if(document.forms[0].wan_proto.value == 'static')\n"
//" {\n"
//"		time_value = 400;\n"
//" }\n"
//" else if(document.forms[0].wan_proto.value == 'pppoe')\n"
//" {\n"
//"		time_value = 600;\n"
//" }\n"
//" else if(document.forms[0].wan_proto.value == 'pptp')\n"
//" {\n"
//"		time_value = 600;\n"
//" }\n"
//" else\n"
//" {\n"
//"		time_value = 600;\n"
//" }\n"
"	timebegin();\n"
"}\n"
"function go()\n"
"{\n"
"	top.location = 'http://' + document.forms[0].dest_ip.value + '/index.asp';\n"
"}\n"
"function wait_to_go()\n"
"{\n"
"	strip_space(document.forms[0].dest_ip);\n"
"	goProgress();\n"
"}\n"
"function strip_space(o)\n"
"{\n"
"	var temp = '';\n"
"	for(var i=0;i < o.value.length;i++)\n"
"	{\n"
"		if(o.value.charAt(i) != ' ')\n"
"			temp += o.value.charAt(i);\n"
"	}\n"
"	o.value = temp;\n"
"}\n"
"//-->\n"
"</script>\n"
"\n"
"<body style=\"text-align: left; background-color: #BEB800;\">\n"
"<form>\n"
"	<div align=\"left\">\n"
"       	\n"
"    <p>&nbsp;</p>\n"
"    <p>&nbsp;</p>\n"
"    <p>&nbsp;</p>\n"
"    <p>&nbsp;</p>\n"
"    <table width=\"343\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"      <tr> \n"
;

static const char* const reboot_asp_footer =
"        <td align=\"left\" style=\"text-align: left; background-color: #BEB800;\" height=\"50\" width=\"545\" class=\"text\" ><b>&nbsp;&nbsp;&nbsp;&nbsp;Please Wait...</b>\n"
"        <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                wait_to_go();\n"
"               //-->\n"
"               </script> </td>\n"
"      </tr>\n"
"    </table>\n"
"  </div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;




static const char* const apply_asp_header =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"banner.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"function go()\n"
"{\n"
//"   top.main.location.href = \"none-bg.asp\";\n"
//"	top.location = 'http://' + document.forms[0].dest_ip.value + '/reboot.asp';\n"
"document.forms[0].submit();\n"
"}\n"
"function wait_to_go()\n"
"{\n"
"setTimeout('go()',1000);\n"
"}\n"
"//-->\n"
"</script>\n"
"\n"
"<body style=\"text-align: left; background-color: #BEB800;\">\n"
"<form method=\"post\" action=\"sysconf.cgi\">\n"
"	<div align=\"center\">\n"
"       	<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"		     	<tr>\n"
"		        <input type=\"hidden\" name=\"action\" value=\"RedirectToReboot\">\n"
"		        <input type=\"hidden\" name=\"PageName\" value=\"\">\n"
;

static const char* const apply_asp_restore_default_footer =
"		       	<td height=\"50\" style=\"text-align: left; background-color: #BEB800;\"  align=\"center\">\n"
//"<font color=\"black\"><b>Please Wait...</b></font>\n"
//"		            <input type=\"button\" name=\"ApplyBtn\" onClick=\"wait_to_go();\" value=\" Apply \" style=\"font-size: 10pt;\">\n"
"               <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                //wait_to_go();\n"
"               //-->\n"
"               </script>\n"
"								<script>document.forms[\"restart\"].submit();</script>"
//"               <script>top.left.location.href = 'none-bg.asp';</script>"
//"               <script>parent.config_top_top.location.href = 'none-bg.asp';</script>"
"		      </tr>\n"
"         </table>\n"
"	</div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;

static const char* const apply_asp_wizard_header =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"banner.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"function go()\n"
"{\n"
"	window.location.href = document.referrer;\n"
//"	top.location = 'http://' + document.forms[0].dest_ip.value + '/reboot.asp';\n"
//"document.forms[0].submit();\n"
"}\n"
"function wait_to_go()\n"
"{\n"
"setTimeout('go()',0);\n"
"}\n"
"//-->\n"
"</script>\n"
"\n"
"<body style=\"text-align: left; background-color: #BEB800;\">\n"
"<form method=\"post\" action=\"sysconf.cgi\">\n"
"	<div align=\"center\">\n"
"       	<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"		     	<tr>\n"
"		        <input type=\"hidden\" name=\"action\" value=\"RedirectToReboot\">\n"
"		        <input type=\"hidden\" name=\"PageName\" value=\"\">\n"
;

static const char* const apply_asp_wizard_footer =
"		       	<td height=\"50\" style=\"text-align: left; background-color: #BEB800;\"  align=\"center\">\n"
//"<font color=\"black\"><b>Please Wait...</b></font>\n"
//"		            <input type=\"button\" name=\"ApplyBtn\" onClick=\"wait_to_go();\" value=\" Apply \" style=\"font-size: 10pt;\">\n"
"               <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                wait_to_go();\n"
"               //-->\n"
"               </script>\n"
"		      </tr>\n"
"         </table>\n"
"	</div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;

static const char* const apply_asp_footer =
"		       	<td height=\"50\" style=\"text-align: left; background-color: #BEB800;\"  align=\"center\">\n"
//"<font color=\"black\"><b>Please Wait...</b></font>\n"
//"		            <input type=\"button\" name=\"ApplyBtn\" onClick=\"wait_to_go();\" value=\" Apply \" style=\"font-size: 10pt;\">\n"
"               <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                wait_to_go();\n"
"               //-->\n"
"               </script>\n"
"		        </td>\n"
"		      </tr>\n"
"         </table>\n"
"	</div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;

static const char* const apply_asp =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"banner.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"function go()\n"
"{\n"
"	top.location = 'index.asp';\n"
"}\n"
"function wait_to_go()\n"
"{\n"
"setTimeout('go()',8000);\n"
"}\n"
"//-->\n"
"</script>\n"
"\n"
"<body bgcolor=\"black\">\n"
"<form>\n"
"	<div align=\"center\">\n"
"       	<table width=\"1024\" height=\"760\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"		     	<tr>\n"
"		        <input type=\"hidden\" name=\"action\" value=\"ApplyResult\">\n"
"		        <input type=\"hidden\" name=\"PageName\" value=\"apply.asp\">\n"
"		       	<td height=\"50\" bgcolor=\"#FFFFFF\"  align=\"center\">\n"
//"		            <input type=\"button\" name=\"ApplyBtn\" onClick=\"wait_to_go();\" value=\" Apply \" style=\"font-size: 10pt;\">\n"
"               <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                wait_to_go();\n"
"               //-->\n"
"               </script>\n"
"		        </td>\n"
"		      </tr>\n"
"         </table>\n"
"	</div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;

static const char* const apply_asp_old =
"<html lang=\"en\">\n"
"<head>\n"
"<title>Motorola HomeNet Product</title>\n"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">\n"
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\n"
"<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\">\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\" src=\"banner.js\"></script>\n"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"function go()\n"
"{\n"
"	window.location.href = document.referrer;\n"
//"	window.location.href = \"easy_inst.asp\";\n"
"}\n"
"function wait_to_go()\n"
"{\n"
"setTimeout('go()',4000);\n"
"}\n"
"//-->\n"
"</script>\n"
"\n"
"<body>\n"
//"<form method=\"post\" action=\"sysconf.cgi\">\n"
"<form>\n"
"	<div align=\"center\">\n"
"		<table width=\"760\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"			<tr>\n"
"				<td>\n"
"       	<table width=\"760\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n"
"					<tr>\n"
"						<th>&nbsp;</th>\n"
"						<td height=\"21\" bgcolor=\"#FFFFFF\" ></td>\n"
"					</tr>\n"
"		      <tr>\n"
"						<th>&nbsp;</th>\n"
"						<td height=\"21\" bgcolor=\"#FFFFFF\" ></td>\n"
"					</tr>\n"
"\n"
"					<!-- Command Button  -->\n"
//"		     	<tr>\n"
//"		        <th><hr></th>\n"
//"		       	<td height=\"24\" bgcolor=\"#FFFFFF\" width=\"555\"><hr>\n"
//"		        </td>\n"
//"		      </tr>\n"
"		     	<tr>\n"
"		        <input type=\"hidden\" name=\"action\" value=\"ApplyResult\">\n"
"		        <input type=\"hidden\" name=\"PageName\" value=\"apply.asp\">\n"
"		        <th width=\"360\">&nbsp;</th>\n"
"		       	<td height=\"24\" bgcolor=\"#FFFFFF\" width=\"400\">&nbsp;\n"
//"		            <input type=\"button\" name=\"ApplyBtn\" onClick=\"wait_to_go();\" value=\" Apply \" style=\"font-size: 10pt;\">\n"
"               <script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"               <!--\n"
"	                wait_to_go();\n"
"               //-->\n"
"               </script>\n"
//"               <input type=\"button\" name=\"Back\" value=\"Back\" OnClick=\"window.location.href = document.referrer;\">\n"
"		        </td>\n"
"		      </tr>\n"
"         </table>\n"
"		      <!-- End of Command Button -->\n"
"				</td>\n"
"			</tr>\n"
"		</table>\n"
"	</div>\n"
"</form>\n"
"</body>\n"
"</html>\n"
;

static const char * const refresh_header =
"<head>"
"<title>Motorola HomeNet Product</title>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">"
"<style type=\"text/css\">"
"body { background: white; color: black; font-family: arial, sans-serif; font-size: 9pt }"
".title	{ font-family: arial, sans-serif; font-size: 13pt; font-weight: bold }"
".subtitle { font-family: arial, sans-serif; font-size: 11pt }"
".label { color: #306498; font-family: arial, sans-serif; font-size: 7pt }"
"</style>"
"</head>"
"<body>"
"<script>"
"window.location.href = document.referrer;"
"</script>"
"</body>"
;

/*
static const char * const genkey_header =
"<html>"
"<head>"
"<title>Motorola HomeNet Product</title>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">"
"<style type=\"text/css\">"
"body { background: white; color: black; font-family: arial, sans-serif; font-size: 9pt }"
".title	{ font-family: arial, sans-serif; font-size: 13pt; font-weight: bold }"
".subtitle { font-family: arial, sans-serif; font-size: 11pt }"
".label { color: #306498; font-family: arial, sans-serif; font-size: 7pt }"
"</style>"
"</head>"
"<body>"
"<p>"
"<form method=\"get\" action=\"apply.cgi\">"
"<p>"
"<BR><BR><BR><center><H1>Generating Key ...</H1></center>"
"<p><center>"
"<center></form>"
"<script>"
"window.location.href = document.referrer;"
"</script>"
"</body>"
"</html>"
;
*/
static const char * const upgrade_header =
"<head>"
"<title>Motorola HomeNet Product</title>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">"
"<META HTTP-EQUIV=\"refresh\" CONTENT=\"0;URL=update_transfer.asp\">"
"</head>"
"<body>"
"<BR><BR><BR><center><H1>Transfer the file to server  ...</H1></center>"
"</body>"
;
/*Added by Yao Chung Yeh*/
/* Modified by PeterChen */
static const char * const apply_header_child =
"<head>"
"<title>Motorola HomeNet Product</title>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">"
"<style type=\"text/css\">"
/*"body { background: black; color: black; font-family: arial, sans-serif; font-size: 9pt }"*/
".title	{ font-family: arial, sans-serif; font-size: 13pt; font-weight: bold }"
".subtitle { font-family: arial, sans-serif; font-size: 11pt }"
".label { color: #306498; font-family: arial, sans-serif; font-size: 7pt }"
"</style>"
"</head>"
"<body  background=\"bg-t.gif\" bgproperties=\"fixed\" bgcolor=\"#DEDA4C\">"
"<center>"
"<p>"
"<form method=\"get\" action=\"apply.cgi\">"
"<p>"
"<table border=0 cellspacing=0 cellpadding=0 width=557>"
"<tr>"
"<th height=400><font size=4 face=Arial>"
//"Your changes have been saved."
"<p>"
;
static const char * const apply_header =
"<head>"
"<title>Motorola HomeNet Product</title>"
"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">"
"<style type=\"text/css\">"
/*"body { background: black; color: black; font-family: arial, sans-serif; font-size: 9pt }"*/
".title	{ font-family: arial, sans-serif; font-size: 13pt; font-weight: bold }"
".subtitle { font-family: arial, sans-serif; font-size: 11pt }"
".label { color: #306498; font-family: arial, sans-serif; font-size: 7pt }"
"</style>"
"</head>"
"<body  background=\"main_bottom_center-all.gif\" bgproperties=\"fixed\" bgcolor=\"#DEDA4C\">"
"<center>"
"<p>"
"<form method=\"get\" action=\"apply.cgi\">"
"<p>"
"<table border=0 cellspacing=0 cellpadding=0 width=557>"
"<tr>"
"<th height=400><font size=4 face=Arial>"
//"Your changes have been saved."
"<p>"
;
/*Added by Yao Chung Yeh*/
static const char * const applycontinueclose_footer =
"<script>\n"
"function wait()\n"
"{\n"
"window.close();\n"
"}\n"
"function SetTimer()\n"
"{\n"
"document.forms[0].action.disabled = true;\n"
"document.body.style.cursor = 'wait';\n"
"setTimeout('wait()',4000);\n"
"}\n"
"</script>\n"
"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick=\"SetTimer();\">"
"</th>"
"</tr>"
"</table>"
"</form>"
"</center>"
"</body>"
;
static const char * const applyclose_footer =
"<p>"
"<script>"
"window.close();"
"</script>"
"</form>"
"</body>"
;
static const char * const script_footer =
"<script>\n"
"var url=document.referrer;\n"
"var page = '';\n"
"var cnt=0;\n"
"var i=0;\n"
"for( i=0 ; i<url.length ; i++ )\n"
"{\n"
"if( url.charAt(i) == '/' )\n"
"cnt++;\n"
"if( cnt == 3 )\n"
"break;\n"
"}\n"
"page = url.substring(i+1,url.length);\n"
"function wait()\n"
"{\n"
"if (page=='setup_dhcp.asp' || page=='setup_static.asp'||page=='setup_pppoe.asp'||page=='setup_pptp.asp')\n"
"window.location.href = 'http://' + document.forms[0].ip.value + '/' + page;\n"
"else\n"
"window.location.href = page;\n"
"}\n"
"function SetTimer()\n"
"{\n"
"document.forms[0].action.disabled = true;\n"
"document.body.style.cursor = 'wait';\n"
"setTimeout('wait()',10000);\n"
"}\n"
"</script>\n"
;
static const char * const reboot_footer =
"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick='SetTimer();'\n>"
"</th>\n"
"</tr>\n"
"</table>\n"
"</form>\n"
"</center>\n"
"</body>\n"
;
static const char * const reset_footer =
"<script>\n"
"function wait()\n"
"{\n"
"window.location.href = 'http://192.168.40.1';\n"
"}\n"
"function SetTimer()\n"
"{\n"
"document.forms[0].action.disabled = true;\n"
"document.body.style.cursor = 'wait';\n"
"setTimeout('wait()',10000);\n"
"}\n"
"</script>\n"
"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick='SetTimer();'\n>"
"</th>"
"</tr>"
"</table>"
"</form>"
"</center>"
"</body>"
;

/*Added by Terence*/
static const char * const apply_button_footer =
"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick=\"window.location.href = document.referrer;\">"
//"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
//"<!--\n"
//"	document.location.href = document.referrer;\n"
//"//-->\n"
//"</script>\n"
"</th>"
"</tr>"
"</table>"
"</form>"
"</center>"
"</body>"
;

/* Modify by Terence */
/*Added by Yao Chung Yeh*/
static const char * const apply_footer =
//"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick=\"window.location.href = document.referrer;\">"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"	document.location.href = document.referrer;\n"
"//-->\n"
"</script>\n"
"</th>"
"</tr>"
"</table>"
"</form>"
"</center>"
"</body>"
;

static const char * const apply_restore_footer =
//"<input type=\"button\" name=\"action\" value=\"Continue\" OnClick=\"window.location.href = document.referrer;\">"
"<script language=\"JavaScript\" type=\"text/JavaScript\">\n"
"<!--\n"
"	document.location.href = 'frame_control_panel_configuration_backup_top.asp';\n"
"//-->\n"
"</script>\n"
"</th>"
"</tr>"
"</table>"
"</form>"
"</center>"
"</body>"
;

static const char * const upgrade_fail_4702_only_footer =
"<script>\n"
"function InitValue()\n"
"{\n"
"	parent.firmware_bottom.time_out_value = 50;\n"
"	if(parent.firmware_bottom.CurTime < 100)\n"
"	{\n"
"		//loop until 100\n"
"		setTimeout(\"InitValue()\",100);\n"
"		return;\n"
"	}\n"
"	else\n"
"	{\n"
"		window.status=\"Upgrade progress status : Upgrade Failed\";\n"
"   document.fw.submit();\n"
"	}\n"
"}\n"
" InitValue();\n"
"</script>\n"
"</th>"
"</tr>"
"</table>"
"</form>"
"<form method=\"post\" name=\"fw\" action=\"sysconf.cgi\">\n"
"	  <input type=\"hidden\" name=\"action\" value=\"Upgrade4702OnlyFail\">\n"
"</form>"
"</center>"
"</body>"
;

static const char * const upgrade_fail_footer =
//"<input type=\"hidden\" name=\"action\" value=\"restart\">"
//"<input type=\"button\" name=\"action_btn\" value=\"Reboot\" OnClick=\"document.forms[0].submit();\">"
//"<H3>Please upgrade your firmware.</H3>"
"<script>\n"
"function InitValue()\n"
"{\n"
"	parent.firmware_bottom.time_out_value = 50;\n"
"	if(parent.firmware_bottom.CurTime < 100)\n"
"	{\n"
"		//loop until 100\n"
"		setTimeout(\"InitValue()\",100);\n"
"		return;\n"
"	}\n"
"	else\n"
"	{\n"
//"		document.location.href = 'frame_control_panel_firmware_update_fail.asp';\n"
"		window.status=\"Upgrade progress status : Upgrade Failed\";\n"
"   document.fw.submit();\n"
"	}\n"
"}\n"
" InitValue();\n"
"</script>\n"
//"<script>window.status = \"Upgrade progress status : Upgrade fail\"</script>"
//"<script>document.location.href = 'frame_control_panel_firmware_update_fail.asp';</script>"
"</th>"
"</tr>"
"</table>"
"</form>"
"<form method=\"post\" name=\"fw\" action=\"sysconf.cgi\">\n"
"	  <input type=\"hidden\" name=\"action\" value=\"UpgradeFail\">\n"
"</form>"
"</center>"
"</body>"
;

static const char * const force_reboot_footer =
//"<input type=\"hidden\" name=\"action\" value=\"restart\">"
//"<input type=\"button\" name=\"action_btn\" value=\"Reboot\" OnClick=\"document.forms[0].submit();\">"
//"<script>window.status = \"Upgrade progress status : Upgrade Complete\"</script>"
//"<script>top.left.document.forms[0].restart_status.value = \"1\"; top.left.document.forms[0].main_left_btn_restart.src = \"main_left_btn_restart_Blink.gif\";</script>\n"
"<script>\n"
"function InitValue()\n"
"{\n"
"	parent.firmware_bottom.time_out_value = 50;\n"
"	if(parent.firmware_bottom.CurTime < 100)\n"
"	{\n"
"		//loop until 100\n"
"		setTimeout(\"InitValue()\",100);\n"
"		return;\n"
"	}\n"
"	else\n"
"	{\n"
//"		document.location.href = 'frame_control_panel_firmware_update_complete.asp';\n"
"		window.status=\"Upgrade progress status : Upgrade Complete\";\n"
"   document.fw.submit();\n"
"	}\n"
"}\n"
" InitValue();\n"
"</script>\n"
//"<H3>Please press <b>Restart</b> button.</H3>"
//"<script>document.location.href = 'frame_control_panel_firmware_update_complete.asp';</script>"
"</font>"
"</th>"
"</tr>"
"</table>"
"</form>"
"<form method=\"post\" name=\"fw\" action=\"sysconf.cgi\">\n"
"	  <input type=\"hidden\" name=\"action\" value=\"UpgradeComplete\">\n"
"</form>"
"</center>"
"</body>"
;

//static const char * const upgrade_fail_footer =
////"<input type=\"hidden\" name=\"action\" value=\"restart\">"
////"<input type=\"button\" name=\"action_btn\" value=\"Reboot\" OnClick=\"document.forms[0].submit();\">"
////"<H3>Please upgrade your firmware.</H3>"
//"<script>\n"
//"function InitValue()\n"
//"{\n"
//"	parent.firmware_update_top.time_out_value = 10;\n"
//"	if(parent.firmware_update_top.CurTime < 100)\n"
//"	{\n"
//"		setTimeout(\"InitValue()\",100);\n"
//"		return;\n"
//"	}\n"
//"	else\n"
//"	{\n"
//"		window.status='';\n"
//"   window.status = 'Upgrade progress status : Upgrade Fail'\n"
//"   parent.firmware_update_top.location.href = 'frame_control_panel_firmware_update_fail.asp';\n"
//"	}\n"
//"}\n"
//"InitValue();\n"
//"</script>\n"
//"</th>"
//"</tr>"
//"</table>"
//"</form>"
//"</center>"
//"</body>"
//;
//
//static const char * const force_reboot_footer =
////"<input type=\"hidden\" name=\"action\" value=\"restart\">"
////"<input type=\"button\" name=\"action_btn\" value=\"Reboot\" OnClick=\"document.forms[0].submit();\">"
//"<script>top.left.document.forms[0].restart_status.value = \"1\"; top.left.document.forms[0].main_left_btn_restart.src = \"main_left_btn_restart_Blink.gif\";</script>\n"
//"<H3>Please press <b>Restart</b> button.</H3>"
//"<script>\n"
//"function InitValue()\n"
//"{\n"
//"	parent.firmware_update_top.time_out_value = 10;\n"
//"	if(parent.firmware_update_top.CurTime < 100)\n"
//"	{\n"
//"		setTimeout(\"InitValue()\",100);\n"
//"		return;\n"
//"	}\n"
//"	else\n"
//"	{\n"
//"		window.status='';\n"
//"   window.status = 'Upgrade progress status : Upgrade Complete'\n"
//"   parent.firmware_update_top.location.href = 'frame_control_panel_firmware_update_complete.asp';\n"
//"	}\n"
//"}\n"
//"InitValue();\n"
//"</script>\n"
//"</font>"
//"</th>"
//"</tr>"
//"</table>"
//"</form>"
//"</center>"
//"</body>"
//;
/* Modified by PeterChen */

enum {
	NOTHING,
	REBOOT,
	RESTART,
};

/* Add by Terence */
enum
{
	JUMP_NOTHING,
	JUMP_FOOTER,
	JUMP_PAGENAME,
	JUMP_ACTION,
	JUMP_RETURN,
};

void get_ip_domain(char *start, char *start_nm, char *domain_str)
{
	char *p, *o;
	char ip1[4] = {0}, ip2[4] = {0}, ip3[4] = {0}, ip4[4] = {0};
	int  ipv1, ipv2, ipv3, ipv4;
	char nm1[4] = {0}, nm2[4] = {0}, nm3[4] = {0}, nm4[4] = {0};
	int  nmv1, nmv2, nmv3, nmv4;

	p = strstr(start, ".");
	strncpy(ip1, start, p - start);
	ipv1 = atoi(ip1);
	tsprintf("ip1 : %s\n", ip1);
	
	o = p;
	p = strstr(p + 1, ".");
	strncpy(ip2, o + 1, p - o - 1);
	ipv2 = atoi(ip2);
	tsprintf("ip2 : %s\n", ip2);	

	o = p;
	p = strstr(p + 1, ".");
	strncpy(ip3, o + 1, p - o - 1);
	ipv3 = atoi(ip3);
	tsprintf("ip3 : %s\n", ip3);
	
	strncpy(ip4, p + 1, 3);
	ipv4 = atoi(ip4);
	tsprintf("ip4 : %s\n", ip4);	

	p = strstr(start_nm, ".");
	strncpy(nm1, start_nm, p - start_nm);
	nmv1 = atoi(nm1);
	tsprintf("nm1 : %s\n", nm1);
	
	o = p;
	p = strstr(p + 1, ".");
	strncpy(nm2, o + 1, p - o - 1);
	nmv2 = atoi(nm2);
	tsprintf("nm2 : %s\n", nm2);
	
	o = p;
	p = strstr(p + 1, ".");
	strncpy(nm3, o + 1, p - o - 1);
	nmv3 = atoi(nm3);
	tsprintf("nm3 : %s\n", nm3);
	
	strncpy(nm4, p + 1, 3);
	nmv4 = atoi(nm4);
	tsprintf("nm4 : %s\n", nm4);
		
	tsprintf("IP address is : %d.%d.%d.%d\n", ipv1, ipv2, ipv3, ipv4);
	tsprintf("Subnet mask is : %d.%d.%d.%d\n", nmv1, nmv2, nmv3, nmv4);	
	tsprintf("Domain is %d.%d.%d.%d\n", ipv1 & nmv1, ipv2 & nmv2, ipv3 & nmv3, ipv4 & nmv4);
	sprintf(domain_str, "%d.%d.%d.%d\n", ipv1 & nmv1, ipv2 & nmv2, ipv3 & nmv3, ipv4 & nmv4); 
}
/*
#define EVENT_NUM 50
void check_eventlog_buffer()
{
	FILE *fp;
	int event_num = EVENT_NUM;
	char event_buf[EVENT_NUM][200], p, msg[200];
	int position = 0, i = 0;
	
	if ((fp = fopen("/var/log/eventmsg","r")) == NULL) 
	{
		tsprintf("open /var/log/eventmsg error !!!\n");
		return 0;
	}
	
	while(!feof(fp))
	{
		memset(msg, 0, sizeof(msg));
		fgets(msg, sizeof(msg), fp);
		p = strstr(msg, "##");
		if(p == 0)
		{
			tsprintf("broadcom.c : empty msg : [%s] %p p : %s %p\n", msg, msg, p, p);
		}
		else
		{
			strcpy(event_buf[position++], msg);
			//printf("event log[%d] check : broadcom.c : %s\n", position - 1, event_buf[position - 1]);
		}
	}

	fclose(fp);	
	
	if(position == 0)
		return;
	
	if ((fp = fopen("/var/log/eventmsg","w")) == NULL) 
	{
		tsprintf("open /var/log/eventmsg error !!!\n");
		return;
	}	
	
	if(position >= event_num)
	{
		for(i = 0;i < event_num - 1;i++)
		{
			tsprintf("event log[%d] over write : broadcom.c : %s\n", i+ 1, event_buf[i + 1]);
			fprintf(fp ,"%s\n", event_buf[i + 1]);
		}
	}
	else
	{
		for(i = 0;i < position;i++)
		{
			tsprintf("event log[%d] normal write : broadcom.c : %s\n", i, event_buf[i]);	
			fprintf(fp ,"%s\n", event_buf[i]);
		}
	}
	
	fclose(fp);	
}

void write_eventlog(int type, char *msg)
{
	int fd;
	FILE *fp;
 
	if(type == 0 && !strcmp(nvram_get("EVENTLOGENABLE1"), "0"))
 		return;
	else if(type == 1 && !strcmp(nvram_get("EVENTLOGENABLE2"), "0"))
 		return;
	else if(type == 2 && !strcmp(nvram_get("EVENTLOGENABLE3"), "0"))
 		return;
 		 		 	
 	check_eventlog_buffer();
 	
	fp = fopen ("/var/log/eventmsg","a+");
	if( fp == NULL ){
		printf("open /var/log/eventmsg error !!! \n");
		return ;
	}

	fprintf(fp ,"%d %s\n", type, msg);

	fclose(fp);	
}
*/

#if defined(linux)

#include <fcntl.h>
#include <signal.h>
#include <time.h>
#include <sys/klog.h>
#include <sys/wait.h>
#include <sys/ioctl.h>
#include <net/if.h>

typedef u_int64_t u64;
typedef u_int32_t u32;
typedef u_int16_t u16;
typedef u_int8_t u8;
#include <linux/ethtool.h>
#include <linux/sockios.h>

#define sys_restart() kill(1, SIGHUP)
#define sys_reboot() kill(1, SIGTERM)
#define sys_stats(url) eval("stats", (url))
/*Added by Jimmy*/
#define IFUP (IFF_UP | IFF_RUNNING | IFF_BROADCAST | IFF_MULTICAST)
#define sin_addr(s) (((struct sockaddr_in *)(s))->sin_addr)
/*Added by Jimmy*/
/*
extern void Get128bitkey ( char *input , unsigned char output[] );
extern void Get64bitkey(char* input, unsigned char output[][]);
*/
/* Deal with side effects before committing */
static int
sys_commit(void)
{
	if (nvram_match("wan_proto", "pppoe"))
		nvram_set("wan_ifname", "ppp0");
	else
		nvram_set("wan_ifname", nvram_get("pppoe_ifname"));
	//fprintf(stderr, "broadcom.c : nvram_commit...");
	nvram_commit();
	sleep(3);
	//fprintf(stderr, "finish\n");
	return;
}

#ifndef WEBS


/* Start of Motorola Firmware check function */
#define	SupportExtraHeader
#define	VendorID_1		0x10
#define	VendorID_2		0x57
#define	DeviceID_1		0x70
#define	DeviceID_2		0x40
#define	MotorolaHeaderSize	8
#define	MotorolaDeviceModelName	"WA840G"
//#define	DefaultIPAddress		"192.168.40.1"


/* Upgrade from remote server or socket stream */
static int
sys_upgrade(char *url, FILE *stream, int *total)
{
	char upload_fifo[] = "/tmp/uploadXXXXXX";
	FILE *fifo = NULL;
	char *write_argv[] = { "write", upload_fifo, "linux", NULL };
	pid_t pid;
	char buf[1024];
	int count, ret = 0;
	long flags = -1;
	unsigned long trx_length = 0;
#ifdef DetectModleNumber
	int cnt = 0 ;
	char *base = NULL ;
	char magic_buf[1016] ;
#endif	

	
	if (url)
		return eval("write", url, "linux");

	/* Feed write from a temporary FIFO */
	if (!mktemp(upload_fifo) ||
	    mkfifo(upload_fifo, S_IRWXU) < 0||
	    (ret = _eval(write_argv, NULL, 0, &pid)) ||
	    !(fifo = fopen(upload_fifo, "w"))) {
		if (!ret)
			ret = errno;
		goto err;
	}

	/* Set nonblock on the socket so we can timeout */
	if ((flags = fcntl(fileno(stream), F_GETFL)) < 0 ||
	    fcntl(fileno(stream), F_SETFL, flags | O_NONBLOCK) < 0) {
		ret = errno;
		goto err;
	}

	/* Pipe the rest to the FIFO */
	//ap_syslogd("Firmware Upgrading");
	DanielDBG(fprintf( stderr, "broadcom.c : total is : %d\n", *total );)	



	cprintf("Upgrading");
	while (total && *total) {
		if (waitfor(fileno(stream), 5) <= 0)
			break;
		count = safe_fread(buf, 1, sizeof(buf), stream);
		//DanielDBG(fprintf( stderr, "broadcom.c : count is : %d\n", count );)
		if (!count && (ferror(stream) || feof(stream)))
			break;		
		*total -= count;
		
	
#ifdef DetectModleNumber					
		if( cnt == 0 )
		{
			static char VDID[4] = {	0x10, 0x57, 0x70, 0x40};
			static char ModleNumber[8] = {0x00, 0x00, 0x00, 0x00, 0x10, 0x57, 0x70, 0x40};			
			
			//if( memcmp( ModleNumber, buf, sizeof(ModleNumber) ) )
			if(memcmp( buf + 4, VDID, 4 ))
			{
				DanielDBG(fprintf( stderr, "Modle Number is not matched.\n" );)
				goto my_err ;
			}
			else
			{
				unsigned char model_buf[17]={0};
				
				memcpy(model_buf, buf, 16);
				
				//DanielDBG(printf("Model Number is %s[%02X %02X %02X %02X %02X %02X %02X %02X]\n", model_buf + 3, model_buf[0], model_buf[1], model_buf[2], model_buf[3], model_buf[4], model_buf[5], model_buf[6], model_buf[7]);)
				//printf("[%02X %02X %02X %02X %02X %02X %02X %02X]\n", model_buf[8], model_buf[9], model_buf[10], model_buf[11], model_buf[12], model_buf[13], model_buf[14], model_buf[15]);
				
				trx_length = model_buf[15] * 256 * 256 * 256 + model_buf[14] * 256 * 256 + model_buf[13] * 256 + model_buf[12];				
				//printf("Total firmware length is %d[%d]\n", trx_length, trx_length + MotorolaHeaderSize);
				
			}
			
			memset( magic_buf, '\0', sizeof(magic_buf) );
			base = &buf[sizeof(ModleNumber)] ;
			memcpy( magic_buf, base, sizeof(buf)-sizeof(ModleNumber) );
			safe_fwrite( magic_buf, 1, count-sizeof(ModleNumber), fifo );
			cnt++ ;
				DanielDBG(fprintf( stderr, "magic_buf[0]=%2X\n", magic_buf[0] );)
				DanielDBG(fprintf( stderr, "magic_buf[1]=%2X\n", magic_buf[1] );)
				DanielDBG(fprintf( stderr, "magic_buf[2]=%2X\n", magic_buf[2] );)
				DanielDBG(fprintf( stderr, "magic_buf[3]=%2X\n", magic_buf[3] );)
				DanielDBG(fprintf( stderr, "count-sizeof(ModleNumber)=%d\n", count-sizeof(ModleNumber) );)
		}
		else
		{
			safe_fwrite(buf, 1, count, fifo);	
		}
#else				
		safe_fwrite(buf, 1, count, fifo);
#endif
	//	fprintf(stderr, ".");
	}

my_err:
	fclose(fifo);
	fifo = NULL;
	cprintf("done\n");

	DanielDBG(cprintf("(%s:%d)ret=<%d>\n", __FUNCTION__, __LINE__, ret );)
	DanielDBG(cprintf("(%s:%d)pid=<%d>\n", __FUNCTION__, __LINE__, pid );)

	/* Wait for write to terminate */
	waitpid(pid, &ret, 0);
	cprintf("done\n");

	DanielDBG(cprintf("(%s:%d)ret=<%d>\n", __FUNCTION__, __LINE__, ret );)
	
	/* Reset nonblock on the socket */
	if (fcntl(fileno(stream), F_SETFL, flags) < 0) {
		ret = errno;
		DanielDBG(cprintf("goto err\n");)		
		goto err;
	}

 err:
	if (fifo)
		fclose(fifo);
		
	DanielDBG(cprintf("remove(upload_fifo)\n");)
	remove(upload_fifo);
	DanielDBG(cprintf("(%s:%d)ret=<%d>\n", __FUNCTION__, __LINE__, ret );)	
	
	return ret;
}

#endif

static char *
rfctime(const time_t *timep)
{
	static char s[201];
	struct tm tm;

	setenv("TZ", nvram_safe_get("time_zone"), 1);
	memcpy(&tm, localtime(timep), sizeof(struct tm));
	strftime(s, 200, "%a, %d %b %Y %H:%M:%S %z", &tm);
	return s;
}

static char *
reltime(unsigned int seconds)
{
	static char s[] = "XXXXX days, XX hours, XX minutes, XX seconds";
	char *c = s;

	if (seconds > 60*60*24) {
		c += sprintf(c, "%d days, ", seconds / (60*60*24));
		seconds %= 60*60*24;
	}
	if (seconds > 60*60) {
		c += sprintf(c, "%d hours, ", seconds / (60*60));
		seconds %= 60*60;
	}
	if (seconds > 60) {
		c += sprintf(c, "%d minutes, ", seconds / 60);
		seconds %= 60;
	}
	c += sprintf(c, "%d seconds", seconds);

	return s;
}

/* Report time in RFC-822 format */
static int
ej_localtime(int eid, webs_t wp, int argc, char_t **argv)
{
	time_t tm;

	time(&tm);
	return websWrite(wp, rfctime(&tm));
}	

/* Report LED GPIO Status */
//static int
//ej_get_led_status(int eid, webs_t wp, int argc, char_t **argv)
//{
//	FILE *fp = NULL ;
//	char buf[100] = {0}, status_buf[400] = {0};
//	char status;
//	int led_count = 8, i;
//	fp = fopen("/proc/kmemory/LED_GPIO_Status", "r") ;	
//
//	if( fp == NULL )
//	{
//		websWrite(wp, "No LED Status Information!\n");
//		return 0;
//	}
//	
//	websWrite(wp, "<font color=#000000>");		
//
//	for(i = 0;i < led_count;i++)
//	{
//		status = fgetc( fp );		
//		fgetc( fp );
//		//if (i == 6)
//		{
//			//sprintf(buf, "GPIO %d : %c <img src=\"%c.gif\">", i, status, status);			
//			sprintf(buf, "<img src=\"%c.gif\">", status);					
//			strcat(status_buf, buf);
//		}
//	}
//	websWrite(wp, status_buf);	
//		
//	websWrite(wp, "</font>");		
//				
//	fclose(fp);		
//	
//	return 0;
//}

void findMACByIPaddr(char* ip, char* mac)
{
	FILE *fp;
	
	fp = fopen("/tmp/hosts.www", "r") ;
	
	if( fp == NULL )
	{
		return;
	}
	
	while(!feof(fp))
	{
		char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
		fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
		if(ipaddr[0] == 0)
			break;
		p = strstr(temp_buf, "#");
		if(p == 0)
			return;
		strncpy(host, temp_buf, p - temp_buf);
		strncpy(macaddr, p + 1, 17);
		if(!strcmp(ip, ipaddr))
			strcpy(mac, macaddr);
	}
	fclose(fp);	
}

void findFriendlyNameByIPaddr(char* ip, char* str)
{
	FILE *fp;
	
	fp = fopen("/tmp/hosts.www", "r") ;
	
	if( fp == NULL )
	{
		return;
	}
	
	while(!feof(fp))
	{
		char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
		fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
		if(ipaddr[0] == 0)
			break;
		p = strstr(temp_buf, "#");
		if(p == 0)
			return;		
		strncpy(host, temp_buf, p - temp_buf);
		strncpy(macaddr, p + 1, 17);
		if(!strcmp(ip, ipaddr))
			strcpy(str, host);
	}
	fclose(fp);	
}
/*
void findFriendlyNameByMAC(char* mac, char* str)
{
	FILE *fp;
	
	fp = fopen("/tmp/hosts.www", "r") ;
	
	if( fp == NULL )
	{
		return;
	}
	
	while(!feof(fp))
	{
		char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
		fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
		if(ipaddr[0] == 0)
			break;
		p = strstr(temp_buf, "#");
		if(p == 0)
			return;		
		strncpy(host, temp_buf, p - temp_buf);
		strncpy(macaddr, p + 1, 17);
		if(!strcmp(mac, macaddr))
			strcpy(str, host);
	}
	
	fclose(fp);
}
*/
void findHostIPByMAC(char* mac, char* str)
{
	FILE *fp;
	
	fp = fopen("/tmp/hosts.www", "r") ;
	
	if( fp == NULL )
	{
		return;
	}
	
	while(!feof(fp))
	{
		char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
		fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
		if(ipaddr[0] == 0)
			break;
		p = strstr(temp_buf, "#");
		if(p == 0)
			return;		
		strncpy(host, temp_buf, p - temp_buf);
		strncpy(macaddr, p + 1, 17);
		if(!strcmp(mac, macaddr))
			strcpy(str, ipaddr);
	}	
	
	fclose(fp);
}

int ej_wl_ioctl(int eid, webs_t wp, int argc, char_t **argv)
{
	int unit, val;
	char tmp[100], prefix[] = "wlXXXXXXXXXX_";
	char *op, *type, *var;
	char *name;

	if (ejArgs(argc, argv, "%s %s %s", &op, &type, &var) < 1) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	if ((unit = atoi(nvram_safe_get("wl_unit"))) < 0)
		return -1;

	snprintf(prefix, sizeof(prefix), "wl%d_", unit);
	name = nvram_safe_get(strcat_r(prefix, "ifname", tmp));

	if (strcmp(op, "get") == 0) {
		if (strcmp(type, "int") == 0)
			return websWrite(wp, "%u", wl_get_int(name, var, &val) == 0 ? val : 0);
	}
	return -1;
}

#define ASSOCLIST "/tmp/assoclistGUI"	
static int
ej_wl_assoclist(int eid, webs_t wp, int argc, char_t **argv)
{
	char client_mac[18]= {0} ;
	char friendly_name[500] = {0};
	char ip_str[20] = {0};
	char info[100] = {0};
	int i = 0;
	unsigned char temp_buf[1540];
	struct maclist *AssocList = (struct maclist *)temp_buf;

	if(!strcmp(nvram_safe_get("WlEnable"), "0"))
	{
		return -1;
	}
		
	memset(temp_buf,0,sizeof(temp_buf));
	AssocList->count = (1540-4)/6;		
	wl_ioctl( nvram_safe_get("wlif"), WLC_GET_ASSOCLIST, temp_buf, sizeof(temp_buf) );
	//fprintf(stderr,  "broadcom.c : assoclist count is %d\n", AssocList->count);
//	system("cp /tmp/hosts /tmp/hosts.www");
	for(i=0;i<AssocList->count;i++)
	{
		//fprintf(stderr, "broadcom.c  : assoclist maclist[%d] is %02X:%02X:%02X:%02X:%02X:%02X\n", i, AssocList->ea[i].octet[0], AssocList->ea[i].octet[1], AssocList->ea[i].octet[2], AssocList->ea[i].octet[3], AssocList->ea[i].octet[4], AssocList->ea[i].octet[5]);
		sprintf(client_mac, "%02X:%02X:%02X:%02X:%02X:%02X", AssocList->ea[i].octet[0], AssocList->ea[i].octet[1], AssocList->ea[i].octet[2], AssocList->ea[i].octet[3], AssocList->ea[i].octet[4], AssocList->ea[i].octet[5]);
		strcpy(friendly_name, "Unknown");
		strcpy(ip_str, "Unknown");
		//findFriendlyNameByMAC(client_mac, friendly_name);
		findHostIPByMAC(client_mac, ip_str);
		sprintf(info, "<script>write_assoclist_info('%s', '%s', '%s');</script>\n", client_mac, friendly_name, ip_str);			
		websWrite(wp, info);				
	}

	return 0;		
	
//	FILE *fp = NULL ;
//	char *buf ;
//	struct stat my_assoclist ;
//	//int assoclist_cnt = 0;	
//	int my_assoclist_cnt = 0;
//	int cnt = 0;
//	//int i = 0;
//	char val1[10], val2[18] ;
//	//char msg[50];
//	char info[100] = {0};
//	
//	/* /tmp/assoclist */
//	system("/usr/sbin/wl -i eth2 assoclist > /tmp/assoclistGUI" );
//	
//	stat( ASSOCLIST, &my_assoclist );	
//	
//	/* get size of /tmp/assoclist */
//	my_assoclist_cnt = (my_assoclist.st_size)/28 ;
//		
//	//fprintf( stderr, "my_assoclist.st_size=<%d>\n", my_assoclist.st_size );
//	//fprintf( stderr, "my_assoclist_cnt=<%d>\n", my_assoclist_cnt );
//		
//	/* Allocate buf */
//	buf = (char *)malloc(1024) ;
//	
//	/* open /tmp/assoclist */
//	fp = fopen( ASSOCLIST, "r" ) ;
//	if( fp == NULL )
//	{
//		fprintf( stderr, "open /tmp/assoclistGUI error \n" );
//	}		
//	
//	//system("cp /tmp/hosts /tmp/hosts.www");
//	
//	//websWrite(wp, "<table border=\"1\" width=\"100%\">");		
//	//websWrite(wp, "<tr bgcolor=\"#DDDDDD\"><th style=\"text-align: center;\">MAC Address</th><th style=\"text-align: center;\">Host Name</th></tr>\n");	
//	while( !feof(fp) && !((cnt != 0) && (cnt == my_assoclist_cnt)))
//	{		
//		if(my_assoclist_cnt == 0)
//		{
////			strcpy(val1, "Empty");
////			strcpy(val2, "Empty");
////			sprintf(info, "<tr><td width=\"50%\">&nbsp;%s</td>", val1);
////			websWrite(wp, info);
////			sprintf(info, "<td width=\"50%\">&nbsp;%s</td></tr>\n", val2);
////			websWrite(wp, info);
//			break;
//		}
//		if( (cnt <= my_assoclist_cnt) )
//		{
//			char friendly_name[500] = {0};
//			char ip_str[20] = {0};
//			strcpy(friendly_name, "Unknown");
//			strcpy(ip_str, "Unknown");
//			fgets( buf, 1024, fp );
//			sscanf( buf, "%s %s", val1, val2 );	
//			//findFriendlyNameByMAC(val2, friendly_name);
//			findHostIPByMAC(val2, ip_str);
//			//sprintf(info, "<tr><td width=\"150\">&nbsp;%s</td>", val1);
//			//sprintf(info, "<tr><td width=\"50%\">%s</td>", val2);			
//			//websWrite(wp, info);
//			//sprintf(info, "<td width=\"50%\">%s</td></tr>\n", friendly_name);
//			//websWrite(wp, info);	
//			sprintf(info, "<script>write_assoclist_info('%s', '%s', '%s');</script>\n", val2, friendly_name, ip_str);			
//			websWrite(wp, info);				
//			memset( buf, '\0', sizeof(buf) );
//		}
//		cnt++ ;				
//	}				
//	//websWrite(wp, "</table>");
//	/* close fp */
//	fclose(fp);		
//	
//	/* free buf */
//	free(buf);	
//		
//	return 0;
//		FILE *fp = NULL ;	
//		char buf[100] = {0}, name[100] = {0};
//		char bufMAC[100] = {0};
//		char info[100] = {0};
//		int sta_cnt = 0;
//		system("wl -i eth2 assoclist > /tmp/assoclist");
//		
//		sleep(1);
//		
//		fp = fopen("/tmp/assoclist", "r") ;
//		
//		if( fp == NULL )
//		{
//			websWrite(wp, "No Wireless Associated Client Information!\n");
//			return 0;
//		}	
//		
//		websWrite(wp, "<table border=\"1\" width=\"300\">");		
//		websWrite(wp, "<tr><td><b>Host Name</b></td><td><b>Host MAC address</b></td></tr>\n");	
//		while(!feof(fp))
//		{
//			memset(buf, 0, 100);
//			fgets( buf, sizeof(buf), fp );
//			//printf("assoclist : %s\n", buf);
//			if(!strstr(buf, "assoclist"))
//			{
//				if(sta_cnt == 0)
//				{
//					strcpy(name, "Empty");
//					strcpy(bufMAC, "Empty");
//					sprintf(info, "<tr><td width=\"150\">&nbsp;%s</td>", name);
//					websWrite(wp, info);
//					sprintf(info, "<td width=\"150\">&nbsp;%s</td></tr>\n", bufMAC);
//					websWrite(wp, info);
//				}
//				break;
//			}
//			else
//			{
//				sscanf(buf, "%s %s", name, bufMAC);
//				sta_cnt++;
//			}
//			sprintf(info, "<tr><td width=\"150\">&nbsp;%s</td>", name);
//			websWrite(wp, info);			
//			//fgets( buf, sizeof(buf), fp );
//			sprintf(info, "<td width=\"150\">&nbsp;%s</td></tr>\n", bufMAC);			
//			websWrite(wp, info);
//		}
//		websWrite(wp, "</table>");
//		
//		fclose(fp);
}
/*		
static int
ej_HostMAC_Table(int eid, webs_t wp, int argc, char_t **argv)
{
		FILE *fp = NULL ;
		char buf[1024];
		char info[1024];
		
		system("cp /tmp/hosts /tmp/hosts.www");
		
		fp = fopen("/tmp/hosts.www", "r") ;
		
		if( fp == NULL )
		{
			//websWrite(wp, "<table border='1'>");		
			//websWrite(wp, "<tr><td width=\"200\"><b>Host Name</b></td><td width=\"200\"><b>MAC address</b></td></tr>\n");	
			//websWrite(wp, "</table>");
			return 0;
		}
		
		//websWrite(wp, "<table border='1'>");		
		//websWrite(wp, "<tr><td width=\"200\"><b>Host Name</b></td><td width=\"200\"><b>MAC address</b></td></tr>\n");	
		while(!feof(fp))
		{
			char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
			fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
			if(ipaddr[0] == 0)
				break;
			p = strstr(temp_buf, "#");
			if(p == 0)
				return 0;			
			strncpy(host, temp_buf, p - temp_buf);
			strncpy(macaddr, p + 1, 17);
			tsprintf("ipaddr : %s, hostname : %s, host : %s, macaddr : %s\n", ipaddr, hostname, host, macaddr);
			if(!strcmp(host, "hapejcxyr"))
			{
				strcpy(host, "Empty");
			}
			//sprintf(info, "<tr><td>%s</td><td>%s</td></tr>\n", host, macaddr);
			sprintf(info, "<script>check_hostname('%s', '%s', '%s');</script>\n", host, ipaddr, macaddr);
			websWrite(wp, info);			
		}
		//websWrite(wp, "</table>\n");
		
		fclose(fp);

	return 0;
}	
*/		
/* Report DNS Host Table */
/*
static int
ej_DNS_Host_Table(int eid, webs_t wp, int argc, char_t **argv)
{
		FILE *fp = NULL ;
		char buf[1024];
		char info[1024];
		
		system("cp /tmp/hosts /tmp/hosts.www");
		
		fp = fopen("/tmp/hosts.www", "r") ;
		
		if( fp == NULL )
		{
			//websWrite(wp, "<table border='1'>");		
			//websWrite(wp, "<tr><td width=\"200\"><b>LAN Private Host Name</b></td><td width=\"200\"><b>Host IP address</b></td><td width=\"200\"><b>MAC address</b></td></tr>\n");	
			//websWrite(wp, "</table>");
			return 0;
		}
		
		//websWrite(wp, "<table border='1'>");		
		//websWrite(wp, "<tr><td width=\"200\"><b>LAN Private Host Name</b></td><td width=\"200\"><b>Host IP address</b></td><td width=\"200\"><b>MAC address</b></td></tr>\n");	
		while(!feof(fp))
		{
			char ipaddr[100] = {0}, hostname[600] = {0},  host[300] = {0}, macaddr[50] = {0}, temp_buf[350] = {0}, *p;
			fscanf(fp, "%s %s %s", ipaddr, hostname, temp_buf);
			if(ipaddr[0] == 0)
				break;
			p = strstr(temp_buf, "#");
			if(p == 0)
				return 0;			
			strncpy(host, temp_buf, p - temp_buf);
			strncpy(macaddr, p + 1, 17);
			tsprintf("ipaddr : %s, hostname : %s, host : %s, macaddr : %s\n", ipaddr, hostname, host, macaddr);
			//sprintf(info, "<tr><td>%s</td><td>%s</td><td>%s</td></tr>\n", host, ipaddr, macaddr);
			sprintf(info, "<script>check_hostname('%s', '%s', '%s');</script>\n", host, ipaddr, macaddr);
			websWrite(wp, info);			
		}
		//websWrite(wp, "</table>\n");
		
		fclose(fp);

	return 0;
}	
*/
/* added by Jimmy Ma 2003.4.23 */
#define SIOCSETCIFENABLE	35323
#define SIOCSETCIPOK		35324


static int
LED_wan_if_enable(int enable)
{
	int s, mydata;
	struct ifreq ifr;

	/* Open socket to kernel */
	if ((s = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
		return 0;

	mydata = enable;
	ifr.ifr_data = (void *)&mydata;
	
	if (ioctl(s, SIOCSETCIFENABLE, &ifr) < 0) 
	{
		close(s);
		return 0;
	}

	close(s);
	return 1;
}

static int
LED_wan_ip_ok(int ok)
{
	int s, mydata;
	struct ifreq ifr;

	/* Open socket to kernel */
	if ((s = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
		return 0;

	mydata = ok;
	ifr.ifr_data = (void *)&mydata;

	if (ioctl(s, SIOCSETCIPOK, &ifr) < 0) 
	{
		close(s);
		return 0;
	}

	close(s);
	return 1;
}



/* Return WAN link state */
static int
ej_link(int eid, webs_t wp, int argc, char_t **argv)
{
	char *wan_ifname;
	int s;
	struct ifreq ifr;
	struct ethtool_cmd ecmd;

	if(!strcmp(nvram_get("WAN_ENABLE"), "0"))
		return websWrite(wp, "Disable");
				
	/* Get real interface name */
	if (nvram_match("wan_proto", "pppoe"))
		wan_ifname = nvram_safe_get("pppoe_ifname");
	else
		wan_ifname = nvram_safe_get("wan_ifname");

	/* Open socket to kernel */
	if ((s = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
		return websWrite(wp, "Unknown");

	/* Check for hardware link */
	strncpy(ifr.ifr_name, wan_ifname, IFNAMSIZ);
	ifr.ifr_data = (void *) &ecmd;
	ecmd.cmd = ETHTOOL_GSET;
	if (ioctl(s, SIOCETHTOOL, &ifr) < 0) {
		close(s);
		return websWrite(wp, "Unknown");
	}
	if (!ecmd.speed) {
		close(s);
		return websWrite(wp, "Inactive");
	}

	/* Check for valid IP address */
	strncpy(ifr.ifr_name, nvram_safe_get("wan_ifname"), IFNAMSIZ);
	if (ioctl(s, SIOCGIFADDR, &ifr) < 0) {
		close(s);
		return websWrite(wp, "Active");
	}

	/* Otherwise we are probably configured */
	close(s);
	return websWrite(wp, "Active");
}

///* Dump firewall log */
//static int
//ej_dumplog(int eid, webs_t wp, int argc, char_t **argv)
//{
//	char buf[4096], *line, *next, *s;
//	int len, ret = 0;
//
//	time_t tm;
//	char *verdict, *src, *dst, *proto, *spt, *dpt;
//
//	if (klogctl(3, buf, 4096) < 0) {
//		websError(wp, 400, "Insufficient memory\n");
//		return -1;
//	}
//
//	for (next = buf; (line = strsep(&next, "\n"));) {
//		if (!strncmp(line, "<4>DROP", 7))
//			verdict = "denied";
//		else if (!strncmp(line, "<4>ACCEPT", 9))
//			verdict = "accepted";
//		else
//			continue;
//
//		/* Parse into tokens */
//		s = line;
//		len = strlen(s);
//		while (strsep(&s, " "));
//
//		/* Initialize token values */
//		time(&tm);
//		src = dst = proto = spt = dpt = "n/a";
//
//		/* Set token values */
//		for (s = line; s < &line[len] && *s; s += strlen(s) + 1) {
//			if (!strncmp(s, "TIME=", 5))
//				tm = strtoul(&s[5], NULL, 10);
//			else if (!strncmp(s, "SRC=", 4))
//				src = &s[4];
//			else if (!strncmp(s, "DST=", 4))
//				dst = &s[4];
//			else if (!strncmp(s, "PROTO=", 6))
//				proto = &s[6];
//			else if (!strncmp(s, "SPT=", 4))
//				spt = &s[4];
//			else if (!strncmp(s, "DPT=", 4))
//				dpt = &s[4];
//		}
//
//		ret += websWrite(wp, "%s %s connection %s to %s:%s from %s:%s\n",
//				 rfctime(&tm), proto, verdict, dst, dpt, src, spt);
//	}
//
//	return ret;
//}

//struct lease_t {
//	unsigned char chaddr[16];
//	u_int32_t yiaddr;
//	u_int32_t expires;
//	char hostname[64];
//};
//
//
//
///* Dump leases in <tr><td>hostname</td><td>MAC</td><td>IP</td><td>expires</td></tr> format */
//static int
//ej_dumpleases(int eid, webs_t wp, int argc, char_t **argv)
//{
//	FILE *fp = NULL;
//	struct lease_t lease;
//	int i;
//	struct in_addr addr;
//	unsigned long expires = 0;
//	char *interface;
//	char sigusr1[] = "-XX";
//	int ret = 0;
//
//
//
//	if (ejArgs(argc, argv, "%s", &interface) < 1) {
//		websError(wp, 400, "Insufficient args\n");
//		return -1;
//	}
//
//	if (!strcmp(interface, "lan")) {
//		/* Write out leases file */
//		sprintf(sigusr1, "-%d", SIGUSR1);
//		eval("killall", sigusr1, "udhcpd");
//
//		if (!(fp = fopen("/tmp/udhcpd.leases", "r")))
//			return 0;
//
//		while (fread(&lease, sizeof(lease), 1, fp)) {
//			ret += websWrite(wp, "<tr align=middle><td width=\"147\"><font face=Arial size=2>%s</font></td>", lease.hostname);
//			/*Modify by Yao Chung*/			
//			addr.s_addr = lease.yiaddr;
//			ret += websWrite(wp, "<td width=\"143\"><font face=Arial size=2>%s</font></td><td width=\"135\"><font face=Arial size=2>", inet_ntoa(addr));
//			for (i = 0; i < 6; i++) {
//				ret += websWrite(wp, "%02X", lease.chaddr[i]);
//				if (i != 5) ret += websWrite(wp, ":");
//			}
//			ret += websWrite(wp, "</font></td><td width=\"235\"><font face=Arial size=2>");
//			/*Modify by Yao Chung*/			
///*			for (i = 0; i < 6; i++) {
//				ret += websWrite(wp, "%02X", lease.chaddr[i]);
//				if (i != 5) ret += websWrite(wp, ":");
//			}
//			addr.s_addr = lease.yiaddr;
//			ret += websWrite(wp, "</font></td><td><font face=Arial size=2>%s</font></td><td><font face=Arial size=2>", inet_ntoa(addr));
//*/			expires = ntohl(lease.expires);
//			if (!expires)
//				ret += websWrite(wp, "Expired");
//			else
//				ret += websWrite(wp, "%s", reltime(expires));
//			ret += websWrite(wp, "</font></td></tr>");
//		}
//
//		fclose(fp);
//	}
//
//	else if (!strcmp(interface, "wan")) {
//		ret += websWrite(wp, "<tr><td>%s</td><td>%s</td><td>%s</td><td>",
//				 nvram_safe_get("wan_hostname"),
//				 nvram_safe_get("wan_hwaddr"),
//				 nvram_safe_get("wan_ipaddr"));
//		if (nvram_match("wan_proto", "dhcp")) {
//			char *tmp;
//			time_t now;
//
//			if ((tmp = file2str("/tmp/udhcpc.expires"))) {
//				expires = atoi(tmp);
//				free(tmp);
//			}
//			time(&now);
//			if (expires <= now)
//				ret += websWrite(wp, "Expired");
//			else
//				ret += websWrite(wp, "%s", reltime(expires - now));
//		} else
//			ret += websWrite(wp, "Static");
//	}
//
//	return ret;
//}

/* Renew lease */
static int
sys_renew(void)
{
	char sigusr1[] = "-XX";

	sprintf(sigusr1, "-%d", SIGUSR1);
	return eval("killall", sigusr1, "udhcpc");
}

/* Release lease */
static int
sys_release(void)
{
	char sigusr2[] = "-XX";

	sprintf(sigusr2, "-%d", SIGUSR2);
	return eval("killall", sigusr2, "udhcpc");
}

/* Return PPPoE link state */
//static int
//ej_ppplink(int eid, webs_t wp, int argc, char_t **argv)
//{
//	FILE *fp = fopen("/tmp/ppp/link", "r");
//
//	if (!fp)
//		return websWrite(wp, "Down");
//	else {
//		fclose(fp);
//		return websWrite(wp, "Up");
//	}
//}

#elif defined(vxworks)

#include "endLib.h"
#include "time.h"
#include "taskLib.h"
extern int sysClkRateGet(void);
extern char *strsep(char **stringp, const char *delim);
extern int restart_firewall(void);
extern void reboot_firewall(void);
extern int sys_upgrade(char *url, FILE *stream, int *total);
extern int get_vxleaseinfo(int *expires);
extern int vx_ppplink(void);
extern int vx_dumplog(char *buf, int len, bool first);
extern void unlocklog(void);
extern void locklog(void);
extern void dhcpc_release(void);
extern void dhcpc_renew(void);
//#define sys_commit() nvram_commit()
#define sys_stats(server) http_stats(server)
#define sys_release()	dhcpc_release()
#define sys_renew()		dhcpc_renew()
#define fcntl(fd, cmd, arg) (0)

struct lease_t {
	unsigned char chaddr[6];
	struct in_addr ip_addr;
	time_t expires;
	char hostname[100];
};

extern bool get_dhcps(struct lease_t * lease, int reset);

/* Allow some time for the page to reload before killing ourselves */
static void
do_after(void (*func)(void), int seconds)
{
	taskDelay(sysClkRateGet() * seconds);
	(*func)();
}

static void
sys_restart(void)
{
	if (taskSpawn("sys_restart", 200, 0, 4096, (FUNCPTR) do_after, (int) restart_firewall, 3, 0, 0, 0, 0, 0, 0, 0, 0) == ERROR)
		restart_firewall();
}

static void
sys_reboot(void)
{
	if (taskSpawn("sys_reboot", 200, 0, 4096, (FUNCPTR) do_after, (int) reboot_firewall, 3, 0, 0, 0, 0, 0, 0, 0, 0) == ERROR)
		reboot_firewall();
}

//static int
//ej_dumpleases(int eid, webs_t wp, int argc, char_t **argv)
//{
//	struct lease_t lease;
//	int i;
//	struct in_addr addr;
//	int expires = 0;
//	char *interface;
//	int ret = 0;
//
//	if (ejArgs(argc, argv, "%s", &interface) < 1) {
//		websError(wp, 400, "Insufficient args\n");
//		return -1;
//	}
//
//	if (!strcmp(interface, "lan")) {
//		/* issue reset to get_dhcps() */
//		get_dhcps(&lease, 1);
//		while (get_dhcps(&lease, 0)) {
//			ret += websWrite(wp, "<tr><td>%s</td><td>", lease.hostname);
//			for (i = 0; i < 6; i++) {
//				ret += websWrite(wp, "%02X", lease.chaddr[i]);
//				if (i != 5) ret += websWrite(wp, ":");
//			}
//			addr.s_addr = lease.ip_addr.s_addr;
//			ret += websWrite(wp, "</td><td>%s</td><td>", inet_ntoa(addr));
//			expires = ntohl(lease.expires);
//			if (!expires)
//				ret += websWrite(wp, "Expired");
//			else
//				ret += websWrite(wp, "%s", reltime(expires));
//			ret += websWrite(wp, "</td></tr>");
//		}
//	}
//
//	else if (!strcmp(interface, "wan")) {
//		ret += websWrite(wp, "<tr><td>%s</td><td>%s</td><td>%s</td><td>",
//				 nvram_safe_get("wan_hostname"),
//				 nvram_safe_get("wan_hwaddr"),
//				 nvram_safe_get("wan_ipaddr"));
//		if (nvram_match("wan_proto", "dhcp")) {
//			/* get lease info */
//			if (get_vxleaseinfo(&expires) == ERROR)	{
//				websError(wp, 400, "Failed to get lease info\n");
//				return -1;
//			}
//
//			if (!expires)
//				ret += websWrite(wp, "Expired");
//			else
//				ret += websWrite(wp, "%s", reltime(expires));
//		} else
//			ret += websWrite(wp, "Static");
//	}
//
//	return ret;
//}

/* Report time in RFC-822 format */
static int
ej_localtime(int eid, webs_t wp, int argc, char_t **argv)
{
	return 0;
}

/* Dump firewall log */
//static int
//ej_dumplog(int eid, webs_t wp, int argc, char_t **argv)
//{
//	char buf[255];
//	int ret = 0;
//	bool first=TRUE;
//
//	locklog();
//	while ((ret = vx_dumplog(buf, 255, first)) > 0) {
//		ret += websWrite(wp, "%s", buf);
//		first=FALSE;
//	}
//	unlocklog();
//
//	if (ret < 0) 
//		websError(wp, 400, "Insufficient memory\n");
//	else 
//		ret=1;
//
//	return ret;
//}
	


/* Return PPPoE link state */
//static int
//ej_ppplink(int eid, webs_t wp, int argc, char_t **argv)
//{
//	if (nvram_match("wan_proto", "pppoe")) {
//		if (vx_ppplink())
//			return websWrite(wp, "Up");
//		else 
//			return websWrite(wp, "Down");
//	}
//	else
//		return websWrite(wp, "Not in use");
//}
//
#endif

/*
 * Example: 
 * lan_ipaddr=192.168.1.1
 * <% nvram_get("lan_ipaddr"); %> produces "192.168.1.1"
 * <% nvram_get("undefined"); %> produces ""
 */
static int
ej_nvram_get(int eid, webs_t wp, int argc, char_t **argv)
{
	char *name, *c;
	int ret = 0;

	if (ejArgs(argc, argv, "%s", &name) < 1) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}


if(!strcmp(name, "wl_ssid") || !strcmp(name, "wpa_psk") || !strcmp(name, "wl_passphrase"))
{
	for (c = nvram_safe_get(name); *c; c++) {
		if (isprint((int) *c) &&
		    *c != '\'' && *c != '\\' && *c != '"' && *c != '&' && *c != '<' && *c != '>')
			ret += websWrite(wp, "%c", *c);
		else
		{
			//Terence 20030627 for WPA Pre-Shared Key issue */
			ret += websWrite(wp, "\\%c", *c);			
		}
	}
}
else
{
	for (c = nvram_safe_get(name); *c; c++) {
		if (isprint((int) *c) &&
		    *c != '\'' && *c != '"' && *c != '&' && *c != '<' && *c != '>')
			ret += websWrite(wp, "%c", *c);
		else
		{
			ret += websWrite(wp, "&#%d", *c);		
		}
	}	
}

	return ret;
}

/*
 * Example: 
 * wan_proto=dhcp
 * <% nvram_match("wan_proto", "dhcp", "selected"); %> produces "selected"
 * <% nvram_match("wan_proto", "static", "selected"); %> does not produce
 */
static int
ej_nvram_match(int eid, webs_t wp, int argc, char_t **argv)
{
	char *name, *match, *output;

	if (ejArgs(argc, argv, "%s %s %s", &name, &match, &output) < 3) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	if (nvram_match(name, match))
		return websWrite(wp, output);

	return 0;
}	

/*
 * Example: 
 * wan_proto=dhcp
 * <% nvram_invmatch("wan_proto", "dhcp", "disabled"); %> does not produce
 * <% nvram_invmatch("wan_proto", "static", "disabled"); %> produces "disabled"
 */
static int
ej_nvram_invmatch(int eid, webs_t wp, int argc, char_t **argv)
{
	char *name, *invmatch, *output;

	if (ejArgs(argc, argv, "%s %s %s", &name, &invmatch, &output) < 3) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	if (nvram_invmatch(name, invmatch))
		return websWrite(wp, output);

	return 0;
}	

/*
 * Example: 
 * filter_maclist=00:12:34:56:78:00 00:87:65:43:21:00
 * <% nvram_list("filter_maclist", 1); %> produces "00:87:65:43:21:00"
 * <% nvram_list("filter_maclist", 100); %> produces ""
 */
static int
ej_nvram_list(int eid, webs_t wp, int argc, char_t **argv)
{
	char *name;
	int which;
	char word[256], *next;
	int ret = 0;

	if (ejArgs(argc, argv, "%s %d", &name, &which) < 2) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	foreach(word, nvram_safe_get(name), next) {
		if (which-- == 0)
			return websWrite(wp, word);
	}

	return 0;
}

/*
 * Example: 
 * filter_ip=192.168.1.100-192.168.1.105
 * <% filter_ip("end", 0); %> produces "192.168.1.105"
 * <% filter_ip("start", 100); %> produces ""
 */
static int
ej_filter_ip(int eid, webs_t wp, int argc, char_t **argv)
{
	char *part;
	int which;
	char word[256], *next;
	char *start, *end;
	int ret = 0;

	if (ejArgs(argc, argv, "%s %d", &part, &which) < 2) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	foreach(word, nvram_safe_get("filter_ip"), next) {
		if (which-- == 0) {
			end = word;
			start = strsep(&end, "-");
			if (!start || !end)
				continue;
			if (!strcmp(part, "start"))
				return websWrite(wp, start);
			else if (!strcmp(part, "end"))
				return websWrite(wp, end);
		}
	}

	return 0;
}

/*
 * Example: 
 * filter_tcp=192.168.1.100:80-90
 * <% filter_port("tcp", "ip", 0); %> produces "192.168.1.100"
 * <% filter_port("tcp", "end", 0); %> produces "90"
 */
static int
ej_filter_port(int eid, webs_t wp, int argc, char_t **argv)
{
	char *proto, *part;
	int which;
	char word[256], *wordlist, *next;
	char *ip, *start, *end;
	int ret = 0;

	if (ejArgs(argc, argv, "%s %s %d", &proto, &part, &which) < 3) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	if (!strcmp(proto, "tcp"))
		wordlist = nvram_safe_get("filter_tcp");
	else if (!strcmp(proto, "udp"))
		wordlist = nvram_safe_get("filter_udp");
	else {
		websError(wp, 400, "Unknown protocol\n");
		return -1;
	}

	foreach(word, wordlist, next) {
		if (which-- == 0) {
			start = word;
			ip = strsep(&start, ":");
			if (!ip || !start)
				continue;
			end = start;
			start = strsep(&end, "-");
			if (!start || !end)
				continue;
			if (!strcmp(part, "ip"))
				return websWrite(wp, ip);
			else if (!strcmp(part, "start"))
				return websWrite(wp, start);
			else if (!strcmp(part, "end"))
				return websWrite(wp, end);
		}
	}

	return 0;
}

/*
 * Example: 
 * forward_tcp=80-90>192.168.1.100:100-110
 * <% forward_port("tcp", "from_end", 0); %> produces "90"
 * <% forward_port("tcp", "to_ip", 0); %> produces "192.168.1.100"
 */
 /*
static int
ej_forward_port(int eid, webs_t wp, int argc, char_t **argv)
{
	char *proto, *part;
	int which;
	char word[256], *wordlist, *next;
	char *from_start, *from_end, *to_ip, *to_start, *to_end;
	int ret = 0;

	if (ejArgs(argc, argv, "%s %s %d", &proto, &part, &which) < 3) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}

	if (!strcmp(proto, "tcp"))
		wordlist = nvram_safe_get("forward_tcp");
	else if (!strcmp(proto, "udp"))
		wordlist = nvram_safe_get("forward_udp");
	else {
		websError(wp, 400, "Unknown protocol\n");
		return -1;
	}

	foreach(word, wordlist, next) {
		if (which-- == 0) {
			to_ip = word;
			from_start = strsep(&to_ip, ">");
			if (!from_start || !to_ip)
				continue;
			from_end = from_start;
			from_start = strsep(&from_end, "-");
			if (!from_start || !from_end)
				continue;
			to_start = to_ip;
			to_ip = strsep(&to_start, ":");
			if (!to_ip || !to_start)
				continue;
			to_end = to_start;
			to_start = strsep(&to_end, "-");
			if (!to_start || !to_end)
				continue;
			if (!strcmp(part, "from_start"))
				return websWrite(wp, from_start);
			else if (!strcmp(part, "from_end"))
				return websWrite(wp, from_end);
			else if (!strcmp(part, "to_ip"))
				return websWrite(wp, to_ip);
			else if (!strcmp(part, "to_start"))
				return websWrite(wp, to_start);
			else if (!strcmp(part, "to_end"))
				return websWrite(wp, to_end);
		}
	}

	return 0;
}
*/
/*
 * Example: 
 * static_route=192.168.2.0:255.255.255.0:192.168.1.2:1:br0
 * <% static_route("ipaddr", 0); %> produces "192.168.2.0"
 * <% static_route("lan", 0); %> produces "selected" if nvram_match("lan_ifname", "br0")
 */
//static int
//ej_static_route(int eid, webs_t wp, int argc, char_t **argv)
//{
//	char *arg;
//	int which;
//	char word[256], *next;
//	char *ipaddr, *netmask, *gateway, *metric, *ifname;
//	int ret = 0;
//
//	if (ejArgs(argc, argv, "%s %d", &arg, &which) < 2) {
//		websError(wp, 400, "Insufficient args\n");
//		return -1;
//	}
//
//	foreach(word, nvram_safe_get("static_route"), next) {
//		if (which-- == 0) {
//			netmask = word;
//			ipaddr = strsep(&netmask, ":");
//			if (!ipaddr || !netmask)
//				continue;
//			gateway = netmask;
//			netmask = strsep(&gateway, ":");
//			if (!netmask || !gateway)
//				continue;
//			metric = gateway;
//			gateway = strsep(&metric, ":");
//			if (!gateway || !metric)
//				continue;
//			ifname = metric;
//			metric = strsep(&ifname, ":");
//			if (!metric || !ifname)
//				continue;
//			if (!strcmp(arg, "ipaddr"))
//				return websWrite(wp, ipaddr);
//			else if (!strcmp(arg, "netmask"))
//				return websWrite(wp, netmask);
//			else if (!strcmp(arg, "gateway"))
//				return websWrite(wp, gateway);
//			else if (!strcmp(arg, "metric"))
//				return websWrite(wp, metric);
//			/*print the ifname hidden value
//			lan:br0
//			wan:eth1
//			Added by ChungYeh
//			*/
//			else if (!strcmp(arg, "ifname")) {			
//				if (!strcmp(ifname,"br0"))
//					return websWrite(wp, "lan");
//				else
//					return websWrite(wp, "wan");
//			}
//					
//			/*Mark by ChungYen 	
//			else if (!strcmp(arg, "lan") && nvram_match("lan_ifname", ifname))
//				return websWrite(wp, "selected");
//			else if (!strcmp(arg, "wan") && nvram_match("wan_ifname", ifname))
//				return websWrite(wp, "selected");
//			*/	
//		}
//	}
//
//	return 0;
//}

static unsigned long
inet_atoul(char *cp)
{
	struct in_addr in;

	(void) inet_aton(cp, &in);
	return in.s_addr;
}

struct variable {
	char *name;
	char *longname;
	void (*validate)(webs_t wp, char *value, struct variable *v);
	char **argv;
	int nullok;
};

#define ARGV(args...) ((char *[]) { args, NULL })

static void
validate_list(webs_t wp, char *value, struct variable *v,
	      int (*valid)(webs_t, char *, struct variable *))
{
	int n, i;
	char name[100];
	char buf[1000] = "", *cur = buf;

	n = atoi(value);

	for (i = 0; i < n; i++) {
		snprintf(name, sizeof(name), "%s%d", v->name, i);
		if (!(value = websGetVar(wp, name, NULL)))
			return;
		if (!*value && v->nullok)
			continue;
		if (!valid(wp, value, v))
			continue;
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s",
				cur == buf ? "" : " ", value);
	}

	nvram_set(v->name, buf);
}	

static int
valid_ipaddr(webs_t wp, char *value, struct variable *v)
{
	struct in_addr ipaddr, netaddr, netmask;

	if (!inet_aton(value, &ipaddr)) {
		websWrite(wp, "Invalid <b>%s</b> %s: not an IP address<br>",
			  v->longname, value);
		return FALSE;
	}

	if (v->argv) {
		(void) inet_aton(nvram_safe_get(v->argv[0]), &netaddr);
		(void) inet_aton(nvram_safe_get(v->argv[1]), &netmask);
		netaddr.s_addr &= netmask.s_addr;
		if (netaddr.s_addr != (ipaddr.s_addr & netmask.s_addr)) {
			websWrite(wp, "Invalid <b>%s</b> %s: not in the %s/",
				  v->longname, value, inet_ntoa(netaddr));
			websWrite(wp, "%s network<br>", inet_ntoa(netmask));
			return FALSE;
		}
	}

	return TRUE;
}

static void
validate_ipaddr(webs_t wp, char *value, struct variable *v)
{
	if (valid_ipaddr(wp, value, v))
		nvram_set(v->name, value);
}

static void
validate_ipaddrs(webs_t wp, char *value, struct variable *v)
{
	validate_list(wp, value, v, valid_ipaddr);
}

static int
valid_choice(webs_t wp, char *value, struct variable *v)
{
	char **choice;

	for (choice = v->argv; *choice; choice++) {
		if (!strcmp(value, *choice))
			return TRUE;
	}

	websWrite(wp, "Invalid <b>%s</b> %s: not one of ", v->longname, value);
	for (choice = v->argv; *choice; choice++)
		websWrite(wp, "%s%s", choice == v->argv ? "" : "/", *choice);
	websWrite(wp, "<br>");
	return FALSE;
}

static void
validate_choice(webs_t wp, char *value, struct variable *v)
{
	if (valid_choice(wp, value, v))
		nvram_set(v->name, value);
}

static int
valid_range(webs_t wp, char *value, struct variable *v)
{
	int n, start, end;

	n = atoi(value);
	start = atoi(v->argv[0]);
	end = atoi(v->argv[1]);

	if (n < start || n > end) {
		websWrite(wp, "Invalid <b>%s</b> %s: out of range %d-%d<br>",
			  v->longname, value, start, end);
		return FALSE;
	}

	return TRUE;
}

static void
validate_range(webs_t wp, char *value, struct variable *v)
{
	if (valid_range(wp, value, v))
		nvram_set(v->name, value);
}

static int
valid_name(webs_t wp, char *value, struct variable *v)
{
	int n, max;

	n = atoi(value);
	max = atoi(v->argv[0]);

	if (strlen(value) > max) {
		websWrite(wp, "Invalid <b>%s</b> %s: greater than 255 characters<br>",
			  v->longname, value);
		return FALSE;
	}

	return TRUE;
}

static void
validate_name(webs_t wp, char *value, struct variable *v)
{
	if (valid_name(wp, value, v))
	    nvram_set(v->name, value);
}

static int
valid_hwaddr(webs_t wp, char *value, struct variable *v)
{
	unsigned int hwaddr[6];

	/* Make exception for "NOT IMPLELEMENTED" string */
	if (!strcmp(value,"NOT_IMPLEMENTED")) 
		return(TRUE);

	/* Check for bad, multicast, broadcast, or null address */
	if (sscanf(value, "%x:%x:%x:%x:%x:%x",
		   &hwaddr[0], &hwaddr[1], &hwaddr[2],
		   &hwaddr[3], &hwaddr[4], &hwaddr[5]) != 6 ||
	    //(hwaddr[0] & 1) ||
	    (((hwaddr[0] >> 7) & 1) == 1) ||
	    (hwaddr[0] & hwaddr[1] & hwaddr[2] & hwaddr[3] & hwaddr[4] & hwaddr[5]) == 0xff ||
	    (hwaddr[0] | hwaddr[1] | hwaddr[2] | hwaddr[3] | hwaddr[4] | hwaddr[5]) == 0x00) {
		websWrite(wp, "Invalid <b>%s</b> %s: not a MAC address<br>",
			  v->longname, value);
		return FALSE;
	}

	return TRUE;
}

static void
validate_hwaddr(webs_t wp, char *value, struct variable *v)
{
	if (valid_hwaddr(wp, value, v))
		nvram_set(v->name, value);
}

static void
validate_hwaddrs(webs_t wp, char *value, struct variable *v)
{
	validate_list(wp, value, v, valid_hwaddr);
}

static void
validate_dhcp(webs_t wp, char *value, struct variable *v)
{
	struct variable dhcp_variables[] = {
		{ longname: "DHCP Server Starting LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "DHCP Server Ending LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
	};
	char *start, *end;

	if (!(start = websGetVar(wp, "dhcp_start", NULL)) ||
	    !(end = websGetVar(wp, "dhcp_end", NULL)))
		return;
	if (!*start) start = end;
	if (!*end) end = start;
	if (!*start && !*end && !strcmp(nvram_safe_get("lan_proto"), "dhcp")) {
		websWrite(wp, "Invalid <b>%s</b>: must specify a range<br>", v->longname);
		return;
	}
	if (!valid_ipaddr(wp, start, &dhcp_variables[0]) ||
	    !valid_ipaddr(wp, end, &dhcp_variables[1]))
		return;
	if (inet_atoul(start) > inet_atoul(end)) {
		websWrite(wp, "Invalid <b>%s</b> %s: greater than <b>%s</b> %s<br>",
			  dhcp_variables[0].longname, start, dhcp_variables[1].longname, end);
		return;
	}

	nvram_set("dhcp_start", start);
	nvram_set("dhcp_end", end);
}

static void
validate_filter_ip(webs_t wp, char *value, struct variable *v)
{
	int n, i;
	char buf[1000] = "", *cur = buf;
	struct variable filter_ip_variables[] = {
		{ longname: "IP Filter Starting LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "IP Filter Ending LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
	};

	n = atoi(value);

	for (i = 0; i < n; i++) {
		char filter_ip_start[] = "filter_ip_startXXX";
		char filter_ip_end[] = "filter_ip_endXXX";
		char *start, *end;

		snprintf(filter_ip_start, sizeof(filter_ip_start), "filter_ip_start%d", i);
		snprintf(filter_ip_end, sizeof(filter_ip_start), "filter_ip_end%d", i);
		if (!(start = websGetVar(wp, filter_ip_start, NULL)) ||
		    !(end = websGetVar(wp, filter_ip_end, NULL)))
			return;
		if (!*start && !*end)
			continue;
		if (!*start) start = end;
		if (!*end) end = start;
		if (!valid_ipaddr(wp, start, &filter_ip_variables[0]) ||
		    !valid_ipaddr(wp, end, &filter_ip_variables[1]))
			continue;
		if (inet_atoul(start) > inet_atoul(end)) {
			websWrite(wp, "Invalid <b>%s</b> %s: greater than <b>%s</b> %s<br>",
				  filter_ip_variables[0].longname, start, filter_ip_variables[1].longname, end);
			continue;
		}
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s-%s",
				cur == buf ? "" : " ", start, end);
	}

	nvram_set(v->name, buf);
}

static void
validate_filter_proto(webs_t wp, char *value, struct variable *v)
{
	int n, i;
	char buf[1000] = "", *cur = buf;
	struct variable filter_proto_variables[] = {
		{ longname: "TCP Port Filter LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "TCP Port Filter Starting LAN Port", argv: ARGV("0", "65535") },
		{ longname: "TCP Port Filter Ending LAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Filter LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "UDP Port Filter Starting LAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Filter Ending LAN Port", argv: ARGV("0", "65535") },
	}, *which;

	n = atoi(value);

	for (i = 0; i < n; i++) {
		char filter_proto_ip[] = "filter_tcp_ipXXX";
		char filter_proto_start[] = "filter_tcp_startXXX";
		char filter_proto_end[] = "filter_tcp_endXXX";
		char *ip, *start, *end;

 		snprintf(filter_proto_ip, sizeof(filter_proto_ip), "%s_ip%d", v->name, i);
 		snprintf(filter_proto_start, sizeof(filter_proto_start), "%s_start%d", v->name, i);
		snprintf(filter_proto_end, sizeof(filter_proto_end), "%s_end%d", v->name, i);
		if (!(ip = websGetVar(wp, filter_proto_ip, NULL)) ||
		    !(start = websGetVar(wp, filter_proto_start, NULL)) ||
		    !(end = websGetVar(wp, filter_proto_end, NULL)))
			return;
		if (!*ip && !*start && !*end)
			continue;
		if (!*start) start = end;
		if (!*end) end = start;
		if (!*ip) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a LAN IP Address<br>", v->longname);
			continue;
		}
		if (!*start || !*end) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a LAN Port Range<br>", v->longname);
			continue;
		}
		which = !strcmp(v->name, "filter_tcp") ? &filter_proto_variables[0] : &filter_proto_variables[3];
		if (!valid_ipaddr(wp, ip, &which[0]) ||
		    !valid_range(wp, start, &which[1]) ||
		    !valid_range(wp, end, &which[2]))
			continue;
		if (atoi(start) > atoi(end)) {
			websWrite(wp, "Invalid <b>%s</b> %s: greater than <b>%s</b> %s<br>",
				  which[1].longname, start, which[2].longname, end);
			continue;
		}
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s:%s-%s",
				cur == buf ? "" : " ", ip, start, end);
	}

	nvram_set(v->name, buf);
}

/*
static void
validate_forward_proto(webs_t wp, char *value, struct variable *v)
{
	int n, i;
	char buf[1000] = "", *cur = buf;
	struct variable forward_proto_variables[] = {
		{ longname: "TCP Port Forward Starting WAN Port", argv: ARGV("0", "65535") },
		{ longname: "TCP Port Forward Ending WAN Port", argv: ARGV("0", "65535") },
		{ longname: "TCP Port Forward LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "TCP Port Forward Starting LAN Port", argv: ARGV("0", "65535") },
		{ longname: "TCP Port Forward Ending LAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Forward Starting WAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Forward Ending WAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Forward LAN IP Address", argv: ARGV("lan_ipaddr", "lan_netmask") },
		{ longname: "UDP Port Forward Starting LAN Port", argv: ARGV("0", "65535") },
		{ longname: "UDP Port Forward Ending LAN Port", argv: ARGV("0", "65535") },
	}, *which;

	n = atoi(value);

	for (i = 0; i < n; i++) {
		char forward_proto_from_start[] = "forward_tcp_to_startXXX";
		char forward_proto_from_end[] = "forward_tcp_to_endXXX";
		char forward_proto_to_ip[] = "forward_tcp_to_ipXXX";
		char forward_proto_to_start[] = "forward_tcp_to_startXXX";
		char forward_proto_to_end[] = "forward_tcp_to_endXXX";
		char *from_start, *from_end, *to_ip, *to_start, *to_end;

 		snprintf(forward_proto_from_start, sizeof(forward_proto_from_start), "%s_from_start%d", v->name, i);
		snprintf(forward_proto_from_end, sizeof(forward_proto_from_end), "%s_from_end%d", v->name, i);
 		snprintf(forward_proto_to_ip, sizeof(forward_proto_to_ip), "%s_to_ip%d", v->name, i);
 		snprintf(forward_proto_to_start, sizeof(forward_proto_to_start), "%s_to_start%d", v->name, i);
		snprintf(forward_proto_to_end, sizeof(forward_proto_to_end), "%s_to_end%d", v->name, i);
		if (!(from_start = websGetVar(wp, forward_proto_from_start, NULL)) ||
		    !(from_end = websGetVar(wp, forward_proto_from_end, NULL)) ||
		    !(to_ip = websGetVar(wp, forward_proto_to_ip, NULL)) ||
		    !(to_start = websGetVar(wp, forward_proto_to_start, NULL)) ||
		    !(to_end = websGetVar(wp, forward_proto_to_end, NULL)))
			return;
		if (!*from_start && !*from_end && !*to_ip && !*to_start && !*to_end)
			continue;
		if (!*from_start) from_start = from_end;
		if (!*from_end) from_end = from_start;
		if (!*to_start && !*to_end)
			to_start = from_start;
		if (!*to_start) to_start = to_end;
		if (!*to_end) to_end = to_start;
		if (!*from_start || !*from_end) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a WAN Port Range<br>", v->longname);
			continue;
		}
		if (!*to_ip) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a LAN IP Address<br>", v->longname);
			continue;
		}
		if (!*to_start || !*to_end) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a LAN Port Range<br>", v->longname);
			continue;
		}
		which = !strcmp(v->name, "forward_tcp") ? &forward_proto_variables[0] : &forward_proto_variables[5];
		if (!valid_range(wp, from_start, &which[0]) ||
		    !valid_range(wp, from_end, &which[1]) ||
		    !valid_ipaddr(wp, to_ip, &which[2]) ||
		    !valid_range(wp, to_start, &which[3]) ||
		    !valid_range(wp, to_end, &which[4]))
			continue;
		if (atoi(from_start) > atoi(from_end)) {
			websWrite(wp, "Invalid <b>%s</b> %s: greater than <b>%s</b> %s<br>",
				  which[0].longname, from_start, which[1].longname, from_end);
			continue;
		}
		if (atoi(to_start) > atoi(to_end)) {
			websWrite(wp, "Invalid <b>%s</b> %s: greater than <b>%s</b> %s<br>",
				  which[3].longname, to_start, which[4].longname, to_end);
			continue;
		}
		if ((atoi(from_end) - atoi(from_start)) != (atoi(to_end) - atoi(to_start))) {
			websWrite(wp, "Invalid <b>%s</b>: WAN Port Range and LAN Port Range must be the same size<br>", v->longname);
			continue;
		}
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s-%s>%s:%s-%s",
				cur == buf ? "" : " ", from_start, from_end, to_ip, to_start, to_end);
	}

	nvram_set(v->name, buf);
}

static void
validate_static_route(webs_t wp, char *value, struct variable *v)
{
	int n, i;
	char buf[1000] = "", *cur = buf;
	struct variable static_route_variables[] = {
		{ longname: "Route IP Address", argv: NULL },
		{ longname: "Route Subnet Mask", argv: NULL },
		{ longname: "Route Gateway", argv: NULL },
		{ longname: "Route Metric", argv: ARGV("0", "15") },
		{ longname: "Route Interface", argv: ARGV("lan", "wan") },
	};

	n = atoi(value);

	for (i = 0; i < n; i++) {
		char static_route_ipaddr[] = "static_route_ipaddrXXX";
		char static_route_netmask[] = "static_route_netmaskXXX";
		char static_route_gateway[] = "static_route_gatewayXXX";
		char static_route_metric[] = "static_route_metricXXX";
		char static_route_ifname[] = "static_route_ifnameXXX";
		char *ipaddr, *netmask, *gateway, *metric, *ifname;

 		snprintf(static_route_ipaddr, sizeof(static_route_ipaddr), "%s_ipaddr%d", v->name, i);
		snprintf(static_route_netmask, sizeof(static_route_netmask), "%s_netmask%d", v->name, i);
 		snprintf(static_route_gateway, sizeof(static_route_gateway), "%s_gateway%d", v->name, i);
 		snprintf(static_route_metric, sizeof(static_route_metric), "%s_metric%d", v->name, i);
		snprintf(static_route_ifname, sizeof(static_route_ifname), "%s_ifname%d", v->name, i);
		if (!(ipaddr = websGetVar(wp, static_route_ipaddr, NULL)) ||
		    !(netmask = websGetVar(wp, static_route_netmask, NULL)) ||
		    !(gateway = websGetVar(wp, static_route_gateway, NULL)) ||
		    !(metric = websGetVar(wp, static_route_metric, NULL)) ||
		    !(ifname = websGetVar(wp, static_route_ifname, NULL)))
			return;
		if (!*ipaddr && !*netmask && !*gateway && !*metric)
			continue;
		if (!*ipaddr && !*netmask && *gateway) {
			ipaddr = "0.0.0.0";
			netmask = "0.0.0.0";
		}
		if (!*gateway)
			gateway = "0.0.0.0";
		if (!*metric)
			metric = "0";
		if (!valid_choice(wp, ifname, &static_route_variables[4]))
			continue;
		if (!*ipaddr) {
			websWrite(wp, "Invalid <b>%s</b>: must specify an IP Address<br>", v->longname);
			continue;
		}
		if (!*netmask) {
			websWrite(wp, "Invalid <b>%s</b>: must specify a Subnet Mask<br>", v->longname);
			continue;
		}
		if (!strcmp(ifname, "lan")) {
			ifname = nvram_safe_get("lan_ifname");
			static_route_variables[2].argv = ARGV("lan_ipaddr", "lan_netmask");
		} else {
			ifname = nvram_safe_get("wan_ifname");
			static_route_variables[2].argv = NULL;
		}
		if (!valid_ipaddr(wp, ipaddr, &static_route_variables[0]) ||
		    !valid_ipaddr(wp, netmask, &static_route_variables[1]) ||
		    !valid_ipaddr(wp, gateway, &static_route_variables[2]) ||
		    !valid_range(wp, metric, &static_route_variables[3]))
			continue;
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s:%s:%s:%s:%s",
				cur == buf ? "" : " ", ipaddr, netmask, gateway, metric, ifname);
	}

	nvram_set(v->name, buf);
}
*/
static void
validate_wl_key(webs_t wp, char *value, struct variable *v)
{
	char *c;

	switch (strlen(value)) {
	case 5:
	case 13:			
		break;
	case 10:
	case 26:
		for (c = value; *c; c++) {
			if (!isxdigit((int) *c)) {
				websWrite(wp, "Invalid <b>%s</b>: character %c is not a hexadecimal digit<br>", v->longname, *c);
				return;
			}
		}
		break;
	/* 802.11i key length */
	case 64:
		break;
	default:
		websWrite(wp, "Invalid <b>%s</b>: must be 5 or 13 ASCII characters or 10 or 26 hexadecimal digits<br>", v->longname);
		return;
	}

	nvram_set(v->name, value);
}

static void
validate_wl_wep(webs_t wp, char *value, struct variable *v)
{
	if (!valid_choice(wp, value, v))
		return;

	if (!strcmp(value, "on") || !strcmp(value, "restricted")) {
		char wl_key[] = "wl_keyXXX";

		snprintf(wl_key, sizeof(wl_key), "wl_key%s", nvram_safe_get("wl_key"));
		if (!strlen(nvram_safe_get(wl_key))) {
			websWrite(wp, "Invalid <b>%s</b>: must first specify a valid <b>Network Key</b><br>", v->longname);
			return;
		}
	}

	nvram_set(v->name, value);
}

static void
validate_wl_auth(webs_t wp, char *value, struct variable *v)
{
	if (!valid_choice(wp, value, v))
		return;

/*
	if (atoi(value) == 1) {
		char wl_key[] = "wl_keyXXX";

		snprintf(wl_key, sizeof(wl_key), "wl_key%s", nvram_safe_get("wl_key"));
		if (!strlen(nvram_safe_get(wl_key))) {
			websWrite(wp, "Invalid <b>%s</b>: must first specify a valid <b>Network Key</b><br>", v->longname);
			return;
		}
	}
*/	/* Modified by PeterChen */

	nvram_set(v->name, value);
}

/* channel info structure */
typedef struct {
	uint	chan;		/* channel number */
	uint	freq;		/* in Mhz */
} chan_info_t;

static chan_info_t chan_info[] = {
	/* A channels */
	/* 11a usa low */
	{ 36,	5180},
	{ 40,	5200},
	{ 44,	5220},
	{ 48,	5240},
	{ 52,	5260},
	{ 56,	5280},
	{ 60,	5300},
	{ 64,	5320},

	/* 11a Europe */
	{ 100,	5500},
	{ 104,	5520},
	{ 108,	5540},
	{ 112,	5560},
	{ 116,	5580},
	{ 120,	5600},
	{ 124,	5620},
	{ 128,	5640},
	{ 132,	5660},
	{ 136,	5680},
	{ 140,	5700},

	/* 11a usa high */
	{ 149,	5745},
	{ 153,	5765},
	{ 157,	5785},
	{ 161,	5805},

	/* 11a japan */
	{ 184,	4920},
	{ 188,	4940},
	{ 192,	4960},
	{ 196,	4980},
	{ 200,	5000},
	{ 204,	5020},
	{ 208,	5040},
	{ 212,	5060},
	{ 216,	5080}
};

static void
validate_d11_channel(webs_t wp, char *value, struct variable *v)
{
	char *country = nvram_safe_get("wl_country");
	int channel = atoi(value), min = 0, max = 0, i;

	if ((!strcmp(v->name, "d11b_channel")) || (!strcmp(v->name, "d11g_channel"))) {
		if (!strcmp(country, "Japan") || !strcmp(country, "Thailand")) {
			min = 1; max = 14;
		} else if (!strcmp(country, "Jordan")) {
			min = 10; max = 13;
		} else if (!strcmp(country, "Israel")) {
			min = 5; max = 7;
		} else {
			min = 1; max = 13;
		}

		if (channel < min || channel > max) {
			websWrite(wp, "Invalid <b>%s</b>: valid %s channels are %d-%d<br>", v->longname, country, min, max);
			return;
		}
	} else if (!strcmp(v->name, "d11a_channel")) {
		for (i = 0; i < ARRAYSIZE(chan_info); i++) {
			if (chan_info[i].chan == channel)
				break;
		}

		if (i >= ARRAYSIZE(chan_info)) {
			websWrite(wp, "Invalid <b>%s</b>: valid %s channels are ", v->longname, country);
			for (i = 0; i < ARRAYSIZE(chan_info); i++) {
				channel = chan_info[i].chan;
				websWrite(wp, "%d%s", channel, channel == 216 ? "<br>" : "/");
			}
			return;
		}
	}

	nvram_set(v->name, value);
}

static void
validate_d11_rate(webs_t wp, char *value, struct variable *v)
{
	char *country = nvram_safe_get("wl_country");

 	if (!strcmp(v->name, "d11b_rate") && !strcmp(country, "Japan")) {
		if (atoi(nvram_safe_get("d11b_channel")) == 14 && atoi(value) > 2000000) {
			websWrite(wp, "Invalid <b>%s</b>: valid rates in Japan on channel 14 are Auto, 1 Mbps, and 2 Mbps<br>", v->longname);
			return;
		}
	}

	/* Japan does not allow OFDM on channel 14 */
	if (!strcmp(v->name, "d11g_rate") && !strcmp(country, "Japan")) {
		if (atoi(nvram_safe_get("d11g_channel")) == 14 && atoi(value) > 11000000) {
			websWrite(wp, "Invalid <b>%s</b>: Japan does not allow OFDM rates on channel 14<br>", v->longname);
			return;
		}
	}

	if (!valid_choice(wp, value, v))
		return;

	nvram_set(v->name, value);
}

/*
 * Variables are set in order (put dependent variables later). Set
 * nullok to TRUE to ignore zero-length values of the variable itself.
 * For more complicated validation that cannot be done in one pass or
 * depends on additional form components or can throw an error in a
 * unique painful way, write your own validation routine and assign it
 * to a hidden variable (e.g. filter_ip).
 */
struct variable variables[] = {
	{ "lan_ipaddr", "", validate_ipaddr, NULL, FALSE },
	{ "lan_netmask", "", validate_ipaddr, NULL, FALSE },
	{ "lan_proto", "", validate_choice, ARGV("dhcp", "static"), FALSE },
	{ "lan_stp", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "wan_hostname", "", validate_name, ARGV("255"), TRUE },
	{ "lan_hostname", "", validate_name, ARGV("255"), TRUE },
	{ "wan_domain", "", validate_name, ARGV("255"), TRUE },
	{ "wan_hwaddr", "", validate_hwaddr, NULL, TRUE },
	{ "wan_ipaddr", "", validate_ipaddr, NULL, FALSE },
	{ "wan_netmask", "", validate_ipaddr, NULL, FALSE },
	{ "wan_gateway", "", validate_ipaddr, NULL, TRUE },
	{ "wan_dns", "", validate_ipaddrs, NULL, TRUE },
	{ "wandhcp_dns", "", validate_ipaddrs, NULL, TRUE },
	{ "wan_wins", "", validate_ipaddrs, NULL, TRUE },
	{ "wan_proto", "", validate_choice, ARGV("dhcp", "static", "pppoe", "pptp", "disabled"), FALSE },
	{ "http_username", "", validate_name, ARGV("63"), TRUE },
	{ "http_passwd", "", validate_name, ARGV("63"), TRUE },
	{ "http_wanport", "", validate_range, ARGV("0", "65535"), TRUE },
	{ "router_disable", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "fw_disable", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "wl_ssid", "", validate_name, ARGV("32"), TRUE },
	{ "wl_closed", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "wl_country", "", validate_choice, ARGV("Worldwide", "China", "Europe", "Thailand", "Japan", "Japan High", "Israel", "Jordan", "USA", "USA Low", "All"), FALSE },
	{ "wl_mode", "", validate_choice, ARGV("ap", "sta", "wds"), FALSE },
	{ "wl_lazywds", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "wl_wds", "", validate_hwaddrs, NULL, TRUE },
	/* Order and index matters for WEP keys so enumerate them separately */
	{ "wl_key", "", validate_range, ARGV("1", "4"), FALSE },
//	{ "wl_key1", "Network Key 1", validate_wl_key, NULL, TRUE },
//	{ "wl_key2", "Network Key 2", validate_wl_key, NULL, TRUE },
//	{ "wl_key3", "Network Key 3", validate_wl_key, NULL, TRUE },
//	{ "wl_key4", "Network Key 4", validate_wl_key, NULL, TRUE },
	/* Modify by Terence to fit WPA method 20030523*/
	{ "wl_key1", "", NULL, NULL, TRUE },
	{ "wl_key2", "", NULL, NULL, TRUE },
	{ "wl_key3", "", NULL, NULL, TRUE },
	{ "wl_key4", "", NULL, NULL, TRUE },
	{ "wl_wep", "", validate_wl_wep, ARGV("off", "on", "restricted", "wep", "tkip", "aes"), FALSE },
	{ "wl_auth", "", validate_wl_auth, ARGV("0", "1"), FALSE },
	{ "wl_macmode", "", validate_choice, ARGV("disabled", "allow", "deny"), FALSE },
	{ "wl_mac", "", validate_hwaddrs, NULL, TRUE },
	{ "wl_radio", "", validate_choice, ARGV("0", "1"), FALSE },
	{ "d11b_channel", "", validate_d11_channel, NULL, FALSE },
	{ "d11b_rate", "", validate_d11_rate, ARGV("0", "1000000", "2000000", "5500000", "11000000"), FALSE },
	{ "d11b_rateset", "", validate_choice, ARGV("all", "default"), FALSE },
	{ "d11b_frag", "", validate_range, ARGV("256", "2346"), FALSE },
	{ "d11b_rts", "", validate_range, ARGV("0", "2347"), FALSE },
	{ "d11b_dtim", "", validate_range, ARGV("1", "255"), FALSE },
	{ "d11b_bcn", "", validate_range, ARGV("1", "65535"), FALSE },
	{ "d11b_plcphdr", "", validate_choice, ARGV("long", "short"), FALSE },
	{ "d11a_channel", "", validate_d11_channel, NULL, FALSE },
	{ "d11a_rate", "", validate_choice, ARGV("0", "6000000", "9000000", "12000000", "18000000", "24000000", "36000000"), FALSE },
	{ "d11a_rateset", "", validate_choice, ARGV("all", "default"), FALSE },
	{ "d11a_frag", "", validate_range, ARGV("256", "2346"), FALSE },
	{ "d11a_rts", "", validate_range, ARGV("0", "2347"), FALSE },
	{ "d11a_dtim", "", validate_range, ARGV("1", "255"), FALSE },
	{ "d11a_bcn", "", validate_range, ARGV("1", "65535"), FALSE },
	{ "d11g_channel", "", validate_d11_channel, NULL, FALSE },
	{ "d11g_rate", "", validate_d11_rate, ARGV("0", "1000000", "2000000", "5500000", "6000000", "9000000", "11000000", "12000000", "18000000", "24000000", "36000000", "48000000", "54000000"), FALSE },
	{ "d11g_frag", "", validate_range, ARGV("256", "2346"), FALSE },
	{ "d11g_rts", "", validate_range, ARGV("0", "2347"), FALSE },
	{ "d11g_dtim", "", validate_range, ARGV("1", "255"), FALSE },
	{ "d11g_bcn", "", validate_range, ARGV("1", "65535"), FALSE },
	{ "d11g_mode", "", validate_range, ARGV("0", "6"), FALSE },
	{ "d11g_rateset", "", validate_choice, ARGV("12", "default", "all"), FALSE },
	{ "d11g_rts_cts", "", validate_choice, ARGV("off", "auto"), FALSE },
/*	{ "d11g_shortslot_override", "802.11g shortslot override", validate_range, ARGV("-1", "1"), FALSE },
	{ "d11g_shortslot_restrict", "802.11g shortslot restrict", validate_range, ARGV("0", "3"), FALSE },
*/	/* Internal variables */
/*
	{ "wl_ssid_5G", "Network Name (SSID) for 802.11a", NULL, NULL, TRUE } ,
	{ "wl_rate_5G", "802.11a Rate" , NULL, NULL, TRUE } ,
	{ "wl_rts_5G", "802.11a RTS Threshold" , NULL, NULL, TRUE } ,
	{ "wl_frag_5G", "802.11a Fragmentation Threshold" , NULL, NULL, TRUE } ,
	{ "wl_dtim_5G", "802.11a DTIM Period" , NULL, NULL, TRUE } ,
	{ "wl_wep_5G", "802.11a WEP mode" , NULL, NULL, TRUE } ,
	{ "wl_key_5G", "802.11a Network Key Index" , NULL, NULL, TRUE } ,
	{ "wl_key1_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_key2_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_key3_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_key4_5G", "" , NULL, NULL, TRUE } ,
	{ "Key_Length_5G", "The size of WEP key for 802.11a" , NULL, NULL, TRUE } ,
	{ "wl_auth_5G", "802.11a Authentication Mode" , NULL, NULL, TRUE } ,	
	{ "wl_BeaconInterval_5G", "802.11a Beacon Interval" , NULL, NULL, TRUE } ,
	{ "wl_TransmitPower_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_TurboMode_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_channel_5G", "802.11a Channel" , NULL, NULL, TRUE } ,
	{ "wl_cipher_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_autochannel_5G", "" , NULL, NULL, TRUE } ,
	{ "bridge_count_5G", "0" , NULL, NULL, TRUE } ,
	{ "Bridge_MAC0_5G", "" , NULL, NULL, TRUE } ,
	{ "Bridge_MAC1_5G", "" , NULL, NULL, TRUE } ,
	{ "Bridge_MAC2_5G", "" , NULL, NULL, TRUE } ,
	{ "Bridge_MAC3_5G", "" , NULL, NULL, TRUE } ,
	{ "Bridge_MAC4_5G", "" , NULL, NULL, TRUE } ,	
	{ "wl_filter_mode_5G", "" , NULL, NULL, TRUE } ,
	{ "wl_mac_5G", "" , NULL, NULL, TRUE } ,	
*/
	{ "os_server", "", NULL, NULL, TRUE },
	{ "stats_server", "", NULL, NULL, TRUE },
	{ "timer_interval", "", NULL, NULL, TRUE },
	{ "ConnectionOption", "", NULL, NULL, TRUE },   /* Added by PeterChen, 2002/10/24 PM 09:41 */ 	
	{ "WorkingModel", "", NULL, NULL, TRUE },			/* Added by PeterChen, 2002/10/24 PM 09:41 */ 		
	{ "DRoutingModel", "", NULL, NULL, TRUE },	/* Added by PeterChen, 2002/10/24 PM 09:41 */ 			
	{ "wl_mac_index", "", NULL, NULL, TRUE},		
	/*Filter*/
	/*WEP*/
	{ "Key_Length_24G", "", NULL, NULL, TRUE},	
	/*WEP*/
	{ "DevType", "", NULL, NULL, TRUE},
	{ "ModelId", "", NULL, NULL, TRUE},	
	/*Filters*/
	/*Time Zone*/
	{ "AutoDaylight", "", NULL, NULL, TRUE},
	{ "TimeZone", "", NULL, NULL, TRUE},
	{ "Country", "", NULL, NULL, TRUE},	
	/*Time Zone*/
	/*Wireless*/
	{ "wl_macEnable", "", NULL, NULL, TRUE},	
	{ "wl_hwaddr", "", NULL, NULL, TRUE},
	//{ "wl_hwaddr_5G", "The MAC Address of Wireless", NULL, NULL, TRUE},	
	{ "WlEnable", "", NULL, NULL, TRUE},
	//{ "Wl5GEnable", "", NULL, NULL, TRUE},
	{ "wl_frameburst", "", validate_choice, ARGV("off", "on"), FALSE },
	/*Wireless*/		
	{ "AuthType", "", NULL, NULL, TRUE},	
	//{ "AuthType_5G", "802.11a The Authentication Type", NULL, NULL, TRUE},		
	//{ "FirmwareVersion", "The version of Firmware", NULL, NULL, TRUE},
	{ "lan_hwaddr", "", validate_hwaddr, NULL, TRUE },
	{ "et0macaddr", "", validate_hwaddr, NULL, TRUE },
	{ "et1macaddr", "", validate_hwaddr, NULL, TRUE },

	/* New Nvram for Motorola */	
	{ "WAN_ENABLE", "", NULL, NULL, TRUE},
	{ "SerialNumber", "", NULL, NULL, TRUE},
	{ "wl_macmodeEnable", "", validate_choice, ARGV("0", "1"), FALSE},
	{ "logonidletimer", "", NULL, NULL, TRUE},
	{ "login_msg", "", NULL, NULL, TRUE},
	{ "NeedReboot", "", NULL, NULL, TRUE},
	{ "wl_key_input_method", "", NULL, NULL, TRUE},
	{ "wl_key_strength", "", NULL, NULL, TRUE},
	{ "auth_mode", "", NULL, NULL, TRUE},
	{ "wpa_psk", "", NULL, NULL, TRUE},
	{ "wpa_gtk_rekey", "", NULL, NULL, TRUE},
	{ "radius_ipaddr", "", NULL, NULL, TRUE},
	{ "radius_key", "", NULL, NULL, TRUE},
	{ "radius_port", "", NULL, NULL, TRUE},
	{ "wl_passphrase", "", NULL, NULL, TRUE},
	{ "Enable802_1x", "", NULL, NULL, TRUE},
	{ "TriggerProto", "", NULL, NULL, TRUE},
	{ "IncomingProto", "", NULL, NULL, TRUE},	
	{ "PortTriggerTimeOut", "", NULL, NULL, TRUE},
	{ "d11g_preamble", "", NULL, NULL, TRUE},
	{ "flag_MAC", "", NULL, NULL, TRUE},
	{ "ab_state", "", NULL, NULL, TRUE},
	{ "wds_mode", "", NULL, NULL, TRUE},
	/* End of New Nvram for Motorola */		
	{ "DEBUG", "", NULL, NULL, TRUE}
};

//static short int RedefineWanMacAddr ( void )  /* Added by PeterChen, 2002/10/22 PM 04:07 */
//{
// short int CommitFlag = 0;
// 
// if ( nvram_get ( "BackupForMAClone" ) == NULL ) {
//  nvram_set ( "BackupForMAClone" , "19:76:08:26:11:15" );
//  CommitFlag = 1;
// }
// 
// if ( ( nvram_get ( "wan_hwaddr" ) == NULL ) && ( nvram_get ( "et1macaddr" ) != NULL ) ) {
//  nvram_set ( "wan_hwaddr" , nvram_get ( "et1macaddr" ) );
//  CommitFlag = 1;
// }
// 
// if ( ( nvram_get ( "MACloneSys" ) != NULL ) && ( nvram_get ( "MACloneAddress" ) != NULL ) ) {
//  if ( nvram_match ( "MACloneSys" , "1" ) && nvram_match ( "BackupForMAClone" , "19:76:08:26:11:15" ) ) {
//   nvram_set ( "BackupForMAClone" , nvram_get ( "wan_hwaddr" ) );
//   nvram_set ( "wan_hwaddr" , nvram_get ( "MACloneAddress" ) );
//   nvram_set ( "et1macaddr" , nvram_get ( "MACloneAddress" ) );   
//   CommitFlag = 1;
//  } else if ( nvram_match ( "MACloneSys" , "0" ) && !nvram_match ( "BackupForMAClone" , "19:76:08:26:11:15" ) ) {
//   nvram_set ( "wan_hwaddr" , nvram_get ( "BackupForMAClone" ) );
//   nvram_set ( "et1macaddr" , nvram_get ( "BackupForMAClone" ) );      
//   nvram_set ( "BackupForMAClone" , "19:76:08:26:11:15" );
//   CommitFlag = 1;
//  } else if ( nvram_match ( "MACloneSys" , "1" ) && !nvram_match ( "BackupForMAClone" , "19:76:08:26:11:15" ) ) {
//   nvram_set ( "wan_hwaddr" , nvram_get ( "MACloneAddress" ) );
//   nvram_set ( "et1macaddr" , nvram_get ( "MACloneAddress" ) );
//   CommitFlag = 1;
//  } else {
//   return 2;
//  }
// } else {
//  return 0;
// }
// 
// if ( CommitFlag == 1 ) {
//  sys_commit();
// } else { ; }
// 
// return 1;
//}

//static int
//ej_DeleteFilterTemp ( int eid , webs_t wp , int argc , char_t **argv )
//{
//
//	nvram_unset ( "filter_index" );
//	nvram_unset ( "filter_type" );						
//	sys_commit();
//	return 1;
//}

static int
ej_force_reboot( int eid , webs_t wp , int argc , char_t **argv )
{
	if(wizard_reboot == 1)
		sys_reboot ();
	// system("/sbin/reboot&");
}

static int
ej_get_ipaddr( int eid , webs_t wp , int argc , char_t **argv )
{
	char buf[100] = {0};

	sprintf(buf, "%s", nvram_get("wan_ipaddr"));
	
	websWrite(wp, buf);		
}

static int
ej_get_login_msg( int eid , webs_t wp , int argc , char_t **argv )
{
	char buf[200]={0};
	
	if(nvram_get("login_msg") != NULL)
	{
		//sprintf(buf, "<b><font color=\"red\">%s</font></b>", nvram_get("login_msg"));
		//sprintf(buf, "%s", nvram_get("login_msg"));		
		if(!strcmp(nvram_get("login_msg"), "fail"))
		{
			websWrite(wp, "log_in_bg_fail.gif");		
		}
		else
		{
			websWrite(wp, "log_in_bg.gif");		
		}
		nvram_set("login_msg", "");
	}
}

static int
ej_get_reboot_msg( int eid , webs_t wp , int argc , char_t **argv )
{
	char buf[300]={0};
	
	if(nvram_get("NeedReboot") != NULL)
	{
		if(!strcmp(nvram_get("NeedReboot"), "1"))
		{
			websWrite(wp, "<script>top.left.document.forms[0].restart_status.value = \"1\"; top.left.document.forms[0].main_left_btn_restart.src = \"main_left_btn_restart_Blink.gif\";</script>\n");
			//sprintf(buf, "<p align=\"center\"><font color=\"red\"><b>Waring:<br /><br />You have made changes which require a reboot to take effect.<br />Please reboot when you are finished with this work.</b></font></p>\n");
			//websWrite(wp, buf);				
		}
	}
}

static int
ej_get_reboot_child_msg( int eid , webs_t wp , int argc , char_t **argv )
{
	char buf[300]={0};
	
	if(nvram_get("NeedReboot") != NULL)
	{
		if(!strcmp(nvram_get("NeedReboot"), "1"))
		{
			websWrite(wp, "<script>top.left.document.forms[0].restart_status.value = \"1\"; top.left.document.forms[0].main_left_btn_restart.src = \"main_left_btn_restart_Blink.gif\";</script>\n");
			//sprintf(buf, "<p align=\"center\"><font color=\"red\"><b>Waring:<br /><br />You have made changes which require a reboot to take effect.<br />Please reboot when you are finished with this work.</b></font></p>\n");
			//websWrite(wp, buf);				
		}
	}
}


//static int
//ej_get_rulestring( int eid , webs_t wp , int argc , char_t **argv )
//{
//	int i;
//	
//	for(i = 0;i<30;i++)
//	{
//		int buf[200]={0}, rule_str[20]={0};
//		sprintf(rule_str, "RuleString%d", i);
//		sprintf(buf, "<input type=\"hidden\" name=\"RuleString%d\" value=\"%s\">\n", i, nvram_get(rule_str));
//		websWrite(wp, buf);
//	}	
//	for(i = 0;i<30;i++)
//	{
//		int buf[200]={0}, rule_str[20]={0};
//		sprintf(rule_str, "FirewallName%d", i);
//		sprintf(buf, "<input type=\"hidden\" name=\"FirewallName%d\" value=\"%s\">\n", i, nvram_get(rule_str));
//		websWrite(wp, buf);
//	}		
//}

//static int
//ej_GetWANFactoryMACAddr( int eid , webs_t wp , int argc , char_t **argv )
//{
//	char buf[20];
//	memset(buf, 0, 20);	
//	
//	if(nvram_match ( "MACloneSys" , "1" ))
//	{
//		sprintf(buf, "%s", nvram_get("BackupForMAClone"));
//		websWrite(wp, buf);
//	}
//	else if(nvram_match ( "MACloneSys" , "0" ))
//	{
//		sprintf(buf, "%s", nvram_get("et1macaddr"));		
//		websWrite(wp, buf);		
//	}
//	else
//	{
//		websWrite(wp, "00:00:00:00:00:00");		
//	}
//}


static int
ej_get_login_mac_addr( int eid , webs_t wp , int argc , char_t **argv )
{
		char buf[200] = {0};
		char ipaddr[100], hw_type[100], flag[100], mac_addr[100], mask[100], device[100];
		char login[100] = {0};
		FILE *fp;
		
		fp = fopen("/proc/net/arp", "r") ;
		
		if( fp == NULL )
		{
			return 0;
		}

		strcpy(login, nvram_get("login_addr"));

		fgets(buf, 200, fp);
				
		while(!feof(fp))
		{
  		char ipaddr[100]={0}, hw_type[100]={0}, flag[100]={0}, mac_addr[100]={0}, mask[100]={0}, device[100]={0};
			fscanf(fp, "%s %s %s %s %s %s", ipaddr, hw_type, flag, mac_addr, mask, device);

			if(!strcmp(ipaddr, login))
			{
				websWrite(wp, mac_addr);					
				break;
			}
		}
		fclose(fp);
}

static int
ej_killhttpd( int eid , webs_t wp , int argc , char_t **argv )
{
		system("echo \"sleep 3\" > /tmp/httpd.sh");
		system("echo \"killall httpd\" >> /tmp/httpd.sh");
		system("echo \"cd /www\" >> /tmp/httpd.sh");
		system("echo \"/usr/sbin/httpd\" >> /tmp/httpd.sh");
		system("echo \"cd /\" >> /tmp/httpd.sh");
		system("sh /tmp/httpd.sh &");
}

static int
ej_GetAllVar( int eid , webs_t wp , int argc , char_t **argv )
{
	char buf[10000];
	int i=0,ret=0;
	
	ret = nvram_getall(buf,sizeof(buf));

	for (i=0; i<sizeof(buf) ; i++)
	{		

		if (buf[i] == '\0')
			websWrite(wp,"<br>\n");
		else
			websWrite(wp, "%c", buf[i]);
		if ((buf[i] == '\0') && (buf[i+1] == '\0'))
			break;
	}

	return 1;
}
/*
static int FilterVar(webs_t wp )
{
	int i;
	char buf[1000]="", *cur = buf;
			

	for (i=0; i<5; i++)
	{
		char filter_port_proto[] = "filter_port_protoXXX";
		char filter_port_start[] = "filter_port_startXXX";
		char filter_port_end[]	 = "filter_port_endXXX";
		char *port_proto, *port_start, *port_end;
			
		snprintf(filter_port_proto, sizeof(filter_port_proto),  "filter_port_proto%d", i);
		snprintf(filter_port_start, sizeof(filter_port_start), "filter_port_start%d", i);
		snprintf(filter_port_end, sizeof(filter_port_end), "filter_port_end%d", i);
			
	
		port_proto = websGetVar ( wp , filter_port_proto, "");
		port_start = websGetVar ( wp , filter_port_start, "");
		port_end = websGetVar ( wp , filter_port_end, "");
			

			
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s:%s:%s",
				cur == buf ? "" : " ", port_proto, port_start, port_end);
	}


	nvram_set("filter_portVar", buf);
	sys_commit();
	
	return 1;
	
}


static int IPFilterVar(webs_t wp)
{
	int i,itemnum;
	char buf[1000]="", *cur = buf;
			
			
	itemnum = atoi(websGetVar ( wp, "filter_ipAddr", ""));

	for (i=0; i<itemnum; i++)
	{
		char filter_ipAddr[] = "filter_ipAddrXXX";
		char *ipAddr;
			
		snprintf(filter_ipAddr, sizeof(filter_ipAddr),  "filter_ipAddr%d", i);
		ipAddr = websGetVar ( wp , filter_ipAddr, "");
		if (!strcmp(ipAddr, ""))
			continue;
		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s",
				cur == buf ? "" : " ", ipAddr);
	}

	nvram_set("filter_ipAddr", buf);
	sys_commit();
	return 1;
}	
static int MACFilterVar(webs_t wp )
{
	sys_commit();

	nvram_set("wl_macmodetemp", nvram_get("wl_macmode"));
	nvram_set("wl_mactemp", nvram_get("wl_mac"));
		
	if (nvram_match("filter_macA", "0"))
	{
		nvram_set("wl_macmode", "deny");
		nvram_set("wl_mac", "");		
	}

	sys_commit();		
	
	return 1;
}
*/
/*
PortForwardFrom, PortForwardTo, PortForwardProto, PortForwardIP, PortForwardEnable
*/

//static int PortForwardVar(webs_t wp)
//{
//	int i;
//	char buf[1000]="", *cur = buf;
//	char buf1[1000]="", *cur1 = buf1;	
//			
//
//	for (i=0; i<30; i++)
//	{
//		char pf_port_from[] = "PortForwardFromXXX";
//		char pf_port_to[]	= "PortForwardToXXX";
//		char pf_port_proto[]= "PortForwardProtoXXX";
//		char pf_ip[]		= "PortForwardIPXXX";				
//		char pf_enable[]	= "PortForwardEnableXXX";
//		
//		char *port_proto, *port_from, *port_to, *ip, *enable;
//
//		snprintf(pf_port_from, sizeof(pf_port_from), "PortForwardFrom%d", i);
//		snprintf(pf_port_to, sizeof(pf_port_to), "PortForwardTo%d", i);	
//		snprintf(pf_port_proto, sizeof(pf_port_proto),  "PortForwardProto%d", i);
//		snprintf(pf_ip, sizeof(pf_ip),  "PortForwardIP%d", i);
//		snprintf(pf_enable, sizeof(pf_enable),  "PortForwardEnable%d", i);		
//			
//		port_from 	= websGetVar ( wp , pf_port_from, "");
//		port_to		= websGetVar ( wp , pf_port_to, "");	
//		port_proto 	= websGetVar ( wp , pf_port_proto, "");
//		ip 			= websGetVar ( wp , pf_ip, "");
//		enable 		= websGetVar ( wp , pf_enable, "");
//			
//
//		cur += snprintf(cur, buf + sizeof(buf) - cur, "%s%s:%s:%s:%s:%s",
//				cur == buf ? "" : " ", port_from, port_to, port_proto, ip, enable);
//	
//	}
//	nvram_set("PortForwardVar", buf);
//
///*
//	for (i=0; i<10; i++)
//	{
//		char pf_name[] = "PortForwardNameXXX";
//		
//		char *name;
//
//		snprintf(pf_name, sizeof(pf_name), "PortForwardName%d", i);
//			
//		name 	= websGetVar ( wp , pf_name, "");
//
//		cur1 += snprintf(cur1, buf1 + sizeof(buf1) - cur1, "%s%s",
//				cur1 == buf1 ? "" : " ", name);
//
//	}
//
//	nvram_set("PortForwardName", buf1);
//*/	sys_commit();
//	
//	return 1;
//	
//}
/*
static int
ej_filter_PortVar(int eid, webs_t wp, int argc, char_t **argv)
{
	char *arg;
	int which;
	char word[256], *next;	
	char *proto, *start, *end;
	int ret=0;
	
	if (ejArgs(argc, argv, "%s %d", &arg, &which) < 2) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}
	foreach(word, nvram_safe_get("filter_portVar"), next) {
		if (which-- == 0) {
			
			start = word;
			proto = strsep(&start, ":");
			end = start;
			start = strsep(&end, ":");			
			
			if (!strcmp(arg, "proto"))
				ret += websWrite(wp, proto);			
			else if (!strcmp(arg, "start"))
				ret += websWrite(wp, start);						
			else if (!strcmp(arg, "end"))
				ret += websWrite(wp, end);						
		}
	}

	return ret;
}
*/
/*
static int
ej_PortForwardVar(int eid, webs_t wp, int argc, char_t **argv)
{
	char *arg;
	int which;
	char word[256], *next;	
	char *proto, *from, *to, *ip, *enable;
	int ret=0;
	if (ejArgs(argc, argv, "%s %d", &arg, &which) < 2) {
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}
	foreach(word, nvram_safe_get("PortForwardVar"), next) {
		if (which-- == 0) {
			
			to = word;
			from = strsep(&to, ":");
			proto = to;
			to = strsep(&proto, ":");			
			ip = proto;
			proto = strsep(&ip, ":");
			enable = ip;
			ip = strsep(&enable, ":");

			if (!strcmp(arg, "from"))
				ret += websWrite(wp, from);			
			else if (!strcmp(arg, "to"))
				ret += websWrite(wp, to);						
			else if (!strcmp(arg, "proto"))
				ret += websWrite(wp, proto);						
			else if (!strcmp(arg, "ip"))
				ret += websWrite(wp, ip);						
			else if (!strcmp(arg, "enable"))
				ret += websWrite(wp, enable);										
		}
	}

	return ret;
}
*/
/*WEP Key*/

char *ToUpperCase ( char *AnyString )
{
	char	*ReplyString = AnyString;
	int	Counter = 0;

	for ( Counter = 0 ; *(ReplyString + Counter ) != '\0' ; Counter++ ) {
		if ( *(ReplyString + Counter ) == 'a' ) {
			*(ReplyString + Counter ) = 'A';
		} else if ( *(ReplyString + Counter ) == 'b' ) {
			*(ReplyString + Counter ) = 'B';
		} else if ( *(ReplyString + Counter ) == 'c' ) {
			*(ReplyString + Counter ) = 'C';
		} else if ( *(ReplyString + Counter ) == 'd' ) {
			*(ReplyString + Counter ) = 'D';
		} else if ( *(ReplyString + Counter ) == 'e' ) {
			*(ReplyString + Counter ) = 'E';
		} else if ( *(ReplyString + Counter ) == 'f' ) {
			*(ReplyString + Counter ) = 'F';
		}
	}

	return ReplyString;
}


int A2I4Key(char *string)
{
	if (string == NULL)
	{
		return 0;
	} 
	else {
	
		return atoi(string) ;	
	}
		
}

/*
static int
ej_Select11aKeyLength_0 ( int eid , webs_t wp , int argc , char_t **argv )
{

	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) == 0)) {
		websWrite(wp, " selected ","");
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 0)) {
		websWrite(wp, " selected ","");
	} 
	else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) != 0)) {
		;	// Do no thing 
	} 
	else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 0)) {
		;	// Do no thing 
	} 
	else {
		printf(" Function 'Select11aKeyLength_0' happens  exception.\n");
		return 0;
	}
	return 1;
}

static int
ej_Select11aKeyLength_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) == 1)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 1)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) != 1)) {
		;	// Do no thing
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 1)) {
		;	// Do no thing
	} else {
		printf(" Function 'Select11aKeyLength_1' happens  exception.\n");
		return 0;
	}
	return 1;

}

static int
ej_Select11aKeyLength_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) == 2)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 2)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_5G")) != 2)) {
		;	// Do no thing
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 2)) {
		;	// Do no thing
	} else {
		printf(" Function 'Select11aKeyLength_2' happens  exception.\n");
		return 0;
	}
	return 1;
}
*/
static int
ej_Select11gKeyLength_0 ( int eid , webs_t wp , int argc , char_t **argv )
{

	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) == 0)) {
		websWrite(wp, " selected ","");
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 0)) {
		websWrite(wp, " selected ","");
	} 
	else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) != 0)) {
		;	// Do no thing 
	} 
	else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 0)) {
		;	// Do no thing 
	} 
	else {
		printf(" Function 'Select11gKeyLength_0' happens  exception.\n");
		return 0;
	}
	return 1;
}

static int
ej_Select11gKeyLength_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) == 1)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 1)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) != 1)) {
		;	// Do no thing
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 1)) {
		;	// Do no thing
	} else {
		printf(" Function 'Select11gKeyLength_1' happens  exception.\n");
		return 0;
	}
	return 1;

}

static int
ej_Select11gKeyLength_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) == 2)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) == 2)) {
		websWrite(wp, " selected ",NULL);
	} else if ((nvram_get("wl_passphrase") == NULL) && (A2I4Key(nvram_get("Key_Length_24G")) != 2)) {
		;	// Do no thing
	} else if ((nvram_get("wl_passphrase") != NULL) && (A2I4Key(nvram_get("PassphraseKeyLength")) != 2)) {
		;	// Do no thing
	} else {
		printf(" Function 'Select11gKeyLength_2' happens  exception.\n");
		return 0;
	}
	return 1;
}


static int
ej_DeletePassphraseParameter ( int eid , webs_t wp , int argc , char_t **argv )
{
	//nvram_unset ( "wl_passphrase" );
	//nvram_unset ( "PassphraseKeyLength" );
	sys_commit();
	return 1;
}
/*
static int
ej_Get11aKey_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key1_5G") == NULL ) {
			;// Do no thing
		} else if ( nvram_get("wl_key1_5G") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key1_5G")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[0][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}
     				break;
     			default:
     				printf(" Function 'ej_Get11aKey_1' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch
	} else {
		printf(" Function 'ej_Get11aKey_1' happens exception.\n");
		return 0;
	}

	return 1;
}

static int
ej_Get11aKey_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key2_5G") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key2_5G") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key2_5G")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[1][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}
     				break;
     			default:
     				printf(" Function 'ej_Get11aKey_2' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11aKey_2' happens exception.\n");
	}
		return 0;

	return 1;
}

static int
ej_Get11aKey_3 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key3_5G") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key3_5G") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key3_5G")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[2][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}
     				break;
     			default:
     				printf(" Function 'ej_Get11aKey_3' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11aKey_3' happens exception.\n");
		return 0;
	}

	return 1;
}


static int
ej_Get11aKey_4 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key4_5G") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key4_5G") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key4_5G")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[3][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}
     				break;
     			default:
     				printf(" Function 'ej_Get11aKey_4' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11aKey_4' happens exception.\n");
		return 0;
	}

	return 1;
}
*/
/* Start of 11i passphrase function */
//#define HMAC_DEBUG
#define MAX_MESSAGE_LENGTH 4096

/****************************************/
/* Text output options.                 */
/* Comment out to reduce text output    */
/****************************************/

void debug_out(unsigned char *label, unsigned char *data, int data_length);

/********************************************/
/* Test Cases                               */
/* An array of test cases, each containing  */
/* a block to be processed by michael       */
/********************************************/
#define NUM_TEST_CASES  1

int passphrase_lengths[] = {8, 15, 32};
int ssid_lengths[] = {4, 11, 32};
                                                           
unsigned char passphrases[] =
{
    'p','a','s','s','w','o','r','d',

    'T','h','i','s','I','s','A','P','a','s','s','w','o','r','d',

    'a','a','a','a','a','a','a','a',
    'a','a','a','a','a','a','a','a',
    'a','a','a','a','a','a','a','a',
    'a','a','a','a','a','a','a','a'
};

unsigned char ssids[] =
{

    'I','E','E','E',

    'T','h','i','s','I','s','A','S','S','I','D',

    'Z','Z','Z','Z','Z','Z','Z','Z',
    'Z','Z','Z','Z','Z','Z','Z','Z',
    'Z','Z','Z','Z','Z','Z','Z','Z',
    'Z','Z','Z','Z','Z','Z','Z','Z'
};

/****************************************/
/* sha1()                               */
/* Performs the NIST SHA-1 algorithm    */
/****************************************/

unsigned long int ft(int t, unsigned long int x, unsigned long int y, unsigned long int z)
{
unsigned long int a,b,c;

    if (t < 20)
    {
        a = x & y;
        b = (~x) & z;
        c = a ^ b;
    }
    else if (t < 40)
    {
        c = x ^ y ^ z;
    }
    else if (t < 60)
    {
        a = x & y;
        b = a ^ (x & z);
        c = b ^ (y & z);
    }
    else if (t < 80)
    {
        c = (x ^ y) ^ z;
    }

    return c;
}

unsigned long int k(int t)
{
unsigned long int c;

    if (t < 20)
    {
        c = 0x5a827999;
    }
    else if (t < 40)
    {
        c = 0x6ed9eba1;
    }
    else if (t < 60)
    {
        c = 0x8f1bbcdc;
    }
    else if (t < 80)
    {
        c = 0xca62c1d6;
    }

    return c;
}

unsigned long int rotr(int bits, unsigned long int a)
{
unsigned long int c,d,e,f,g;
    c = (0x0001 << bits)-1;
    d = ~c;

    e = (a & d) >> bits;
    f = (a & c) << (32 - bits);

    g = e | f;

    return (g & 0xffffffff );

}

unsigned long int rotl(int bits, unsigned long int a)
{
unsigned long int c,d,e,f,g;
    c = (0x0001 << (32-bits))-1;
    d = ~c;

    e = (a & c) << bits;
    f = (a & d) >> (32 - bits);

    g = e | f;

    return (g & 0xffffffff );

}


void sha1(unsigned char *message, int message_length, unsigned char *digest)
{
int i;
int num_blocks;
int block_remainder;
int padded_length;

unsigned long int l;
unsigned long int t;
unsigned long int h[5];
unsigned long int a,b,c,d,e;
unsigned long int w[80];
unsigned long int temp;

#ifdef SHA1_DEBUG
int x,y;
#endif

    /* Calculate the number of 512 bit blocks */

    padded_length = message_length + 8; /* Add length for l */
    padded_length = padded_length + 1; /* Add the 0x01 bit postfix */

    l = message_length * 8;

    num_blocks = padded_length / 64;
    block_remainder = padded_length % 64;


    if (block_remainder > 0)
    {
        num_blocks++;
    }

    padded_length = padded_length + (64 - block_remainder);

     /* clear the padding field */
    for (i = message_length; i < (num_blocks * 64); i++)
    {
        message[i] = 0x00;           
    }

    /* insert b1 padding bit */
    message[message_length] = 0x80;
    
    /* Insert l */
    message[(num_blocks*64)-1] = (unsigned char)( l        & 0xff);
    message[(num_blocks*64)-2] = (unsigned char)((l >> 8)  & 0xff);
    message[(num_blocks*64)-3] = (unsigned char)((l >> 16) & 0xff);
    message[(num_blocks*64)-4] = (unsigned char)((l >> 24) & 0xff);

    /* Set initial hash state */
    h[0] = 0x67452301;
    h[1] = 0xefcdab89;
    h[2] = 0x98badcfe;
    h[3] = 0x10325476;
    h[4] = 0xc3d2e1f0;

#ifdef SHA1_DEBUG
    printf("INITIAL message_length = %d\n", message_length);
    printf("INITIAL padded_length = %d\n", padded_length);
    printf("INITIAL num_blocks = %d\n", num_blocks);

        for (x=0;x<num_blocks; x++)
        {
            printf("\t\t"); 
            for (y=0; y<16;y++)
            {
                printf("%02x ",message[y + (x*64)]);
            }
            printf("\n");
            printf("\t\t"); 
            for (y=0; y<16;y++)
            {
                printf("%02x ",message[16 + y + (x*64)]);
            }
            printf("\n");
            printf("\t\t"); 
            for (y=0; y<16;y++)
            {
                printf("%02x ",message[32 + y + (x*64)]);
            }
            printf("\n");
            printf("\t\t"); 
            for (y=0; y<16;y++)
            {
                printf("%02x ",message[48 + y + (x*64)]);
            }
            printf("\n");
        }

#endif

    for (i = 0; i < num_blocks; i++)
    {
        /* Prepare the message schedule */
        for (t=0; t < 80; t++)
        {
            if (t < 16)
            {
                w[t]  = (256*256*256) * message[(i*64)+(t*4)];
                w[t] += (256*256    ) * message[(i*64)+(t*4) + 1];
                w[t] += (256        ) * message[(i*64)+(t*4) + 2];
                w[t] +=                 message[(i*64)+(t*4) + 3];
            }
            else if (t < 80)
            {
                w[t] = rotl(1,(w[t-3] ^ w[t-8] ^ w[t-14] ^ w[t-16]));
            }
        }

#ifdef SHA1_DEBUG
        printf("\tW(0) = %08lX \t W(9)  = %08lX \n", w[0], w[8]);
        printf("\tW(1) = %08lX \t W(10) = %08lX \n", w[1], w[9]);
        printf("\tW(2) = %08lX \t W(11) = %08lX \n", w[2], w[10]);
        printf("\tW(3) = %08lX \t W(12) = %08lX \n", w[3], w[11]);
        printf("\tW(4) = %08lX \t W(13) = %08lX \n", w[4], w[12]);
        printf("\tW(5) = %08lX \t W(14) = %08lX \n", w[5], w[13]);
        printf("\tW(6) = %08lX \t W(15) = %08lX \n", w[6], w[14]);
        printf("\tW(7) = %08lX \t W(16) = %08lX \n\n", w[7], w[15]);

#endif
        /* Initialize the five working variables */
        a = h[0];
        b = h[1];
        c = h[2];
        d = h[3];
        e = h[4];

        /* iterate a-e 80 times */

        for (t = 0; t < 80; t++)
        {
            temp = (rotl(5,a) + ft(t,b,c,d)) & 0xffffffff;
            temp = (temp + e) & 0xffffffff;
            temp = (temp + k(t)) & 0xffffffff;
            temp = (temp + w[t]) & 0xffffffff;
            e = d;
            d = c;
            c = rotl(30,b);
            b = a;
            a = temp;
#ifdef SHA1_DEBUG
            printf("t = %2ld\t %08lx, %08lx, %08lx, %08lx, %08lx\n", t,a,b,c,d,e);
#endif

        }

        /* compute the ith intermediate hash value */
#ifdef SHA1_DEBUG
        printf("  +   \t %08lx, %08lx, %08lx, %08lx, %08lx\n", h[0],h[1],h[2],h[3],h[4]);
#endif
        h[0] = (a + h[0]) & 0xffffffff;
        h[1] = (b + h[1]) & 0xffffffff;
        h[2] = (c + h[2]) & 0xffffffff;
        h[3] = (d + h[3]) & 0xffffffff;
        h[4] = (e + h[4]) & 0xffffffff;

#ifdef SHA1_DEBUG
        printf("  =   \t %08lx, %08lx, %08lx, %08lx, %08lx\n", h[0],h[1],h[2],h[3],h[4]);
#endif

    }

    digest[3]  = (unsigned char) ( h[0]       & 0xff);
    digest[2]  = (unsigned char) ((h[0] >> 8) & 0xff);
    digest[1]  = (unsigned char) ((h[0] >> 16) & 0xff);
    digest[0]  = (unsigned char) ((h[0] >> 24) & 0xff);

    digest[7]  = (unsigned char) ( h[1]       & 0xff);
    digest[6]  = (unsigned char) ((h[1] >> 8) & 0xff);
    digest[5]  = (unsigned char) ((h[1] >> 16) & 0xff);
    digest[4]  = (unsigned char) ((h[1] >> 24) & 0xff);

    digest[11]  = (unsigned char) ( h[2]       & 0xff);
    digest[10]  = (unsigned char) ((h[2] >> 8) & 0xff);
    digest[9] = (unsigned char) ((h[2] >> 16) & 0xff);
    digest[8] = (unsigned char) ((h[2] >> 24) & 0xff);

    digest[15] = (unsigned char) ( h[3]       & 0xff);
    digest[14] = (unsigned char) ((h[3] >> 8) & 0xff);
    digest[13] = (unsigned char) ((h[3] >> 16) & 0xff);
    digest[12] = (unsigned char) ((h[3] >> 24) & 0xff);

    digest[19] = (unsigned char) ( h[4]       & 0xff);
    digest[18] = (unsigned char) ((h[4] >> 8) & 0xff);
    digest[17] = (unsigned char) ((h[4] >> 16) & 0xff);
    digest[16] = (unsigned char) ((h[4] >> 24) & 0xff);

}

/******************************************************/
/* hmac-sha1()                                        */
/* Performs the hmac-sha1 keyed secure hash algorithm */
/******************************************************/

void hmac_sha1(unsigned char *key, int key_length, unsigned char *data, int data_length, unsigned char *digest)

{
    int b = 64; /* blocksize */
    unsigned char ipad = 0x36;

    unsigned char opad = 0x5c;

    unsigned char k0[64];
    unsigned char k0xorIpad[64];
    unsigned char step7data[64];
    unsigned char step5data[MAX_MESSAGE_LENGTH+128];
    //unsigned char step8data[64+20];
    unsigned char step8data[128];//[64+20];	// modified by Jimmy Ma 2003.5.16
    int i;

    for (i=0; i<64; i++)
    {
        k0[i] = 0x00;
    }



    if (key_length != b)    /* Step 1 */
    {
        /* Step 2 */
        if (key_length > b)      
        {
            sha1(key, key_length, digest);
            for (i=0;i<20;i++)
            {
                k0[i]=digest[i];
            }
        }
        else if (key_length < b)  /* Step 3 */
        {
            for (i=0; i<key_length; i++)
            {
                k0[i] = key[i];
            }
        }
    }
    else
    {
        for (i=0;i<b;i++)
        {
            k0[i] = key[i];
        }
    }
#ifdef HMAC_DEBUG
    debug_out("k0",k0,64);
#endif
    /* Step 4 */
    for (i=0; i<64; i++)
    {
        k0xorIpad[i] = k0[i] ^ ipad;
    }
#ifdef HMAC_DEBUG
    debug_out("k0 xor ipad",k0xorIpad,64);
#endif
    /* Step 5 */
    for (i=0; i<64; i++)
    {
        step5data[i] = k0xorIpad[i];
    }
    for (i=0;i<data_length;i++)
    {
        step5data[i+64] = data[i];
    }
#ifdef HMAC_DEBUG
    debug_out("(k0 xor ipad) || text",step5data,data_length+64);
#endif

    /* Step 6 */
    sha1(step5data, data_length+b, digest);

#ifdef HMAC_DEBUG
    debug_out("Hash((k0 xor ipad) || text)",digest,20);
#endif

    /* Step 7 */
    for (i=0; i<64; i++)
    {
        step7data[i] = k0[i] ^ opad;
    }

#ifdef HMAC_DEBUG
    debug_out("(k0 xor opad)",step7data,64);
#endif

    /* Step 8 */
    for (i=0;i<64;i++)
    {
        step8data[i] = step7data[i];
    }
    for (i=0;i<20;i++)
    {
        step8data[i+64] = digest[i];
    }

#ifdef HMAC_DEBUG
    debug_out("(k0 xor opad) || Hash((k0 xor ipad) || text)",step8data,20+64);
#endif

    /* Step 9 */
    sha1(step8data, b+20, digest);

#ifdef HMAC_DEBUG
    debug_out("HASH((k0 xor opad) || Hash((k0 xor ipad) || text))",digest,20);
#endif
}


/*****************************/
/* password_hash()           */
/*****************************/

void password_hash_src(unsigned char *password, int password_length, unsigned char *ssid, int ssid_length, int iterations, int ctr, unsigned char *hash)
{
    int i,j;
    unsigned char digest[36];
    unsigned char digest1[20];

    for (i=0; i< ssid_length; i++)
    {
        digest[i] = ssid[i];
    }
    digest[ssid_length]   = (unsigned char)((ctr / (256*256*256)) & 0xff);
    digest[ssid_length+1] = (unsigned char)((ctr / (256*256)) & 0xff);
    digest[ssid_length+2] = (unsigned char)((ctr / (256)) & 0xff);
    digest[ssid_length+3] = (unsigned char) (ctr & 0xff);
    hmac_sha1(password, password_length, digest, ssid_length+4, digest1);
    for (j=0; j<20; j++)
    {
        hash[j] = digest1[j];   
    }

    for (i=0; i<(iterations-1); i++)
    {
        hmac_sha1(password, password_length, digest1, 20, digest);
        for (j=0; j<20; j++)
        {
            digest1[j] = digest[j];
        }

        for(j=0; j<20; j++)
        {
            hash[j] = hash[j] ^ digest[j];
        }
    }
}

void password_hash(unsigned char *password, int password_length, unsigned char *ssid, int ssid_length, unsigned char *hash)
{
    password_hash_src(password, password_length, ssid, ssid_length, 4096, 1, hash);
    password_hash_src(password, password_length, ssid, ssid_length, 4096, 2, hash+20);
}

/************************************************/
/* get_testcase()                               */
/* Copies an mpdu from the test case data       */
/************************************************/
void get_testcase(int test_case, unsigned char *passphrase, int *passphrase_length, unsigned char *ssid, int *ssid_length)
{
//    int i;
//    unsigned char *ptr;
//
//    ptr = passphrases;
//    for (i=0; i< (test_case-1); i++)    /* Iterate through test cases */
//    {
//        ptr = ptr + passphrase_lengths[i];
//    }
//
//    for (i=0; i< passphrase_lengths[test_case-1]; i++)
//    {
//        passphrase[i] = *ptr++;
//    }
//
//    ptr = ssids;
//    for (i=0; i< (test_case-1); i++)    /* Iterate through test cases */
//    {
//        ptr = ptr + ssid_lengths[i];
//    }
//
//    for (i=0; i< ssid_lengths[test_case-1]; i++)
//    {
//        ssid[i] = *ptr++;
//    }
//
//    *ssid_length = ssid_lengths[test_case-1];
//    *passphrase_length = passphrase_lengths[test_case-1];
//    /* add string terminators */
//    ssid[*ssid_length] = 0x00;
//    passphrase[*passphrase_length] = 0x00;
    
    strcpy(passphrase, nvram_get("wl_passphrase"));
    *passphrase_length = strlen(nvram_get("wl_passphrase"));    
    strcpy(ssid, nvram_get("wl_ssid"));
    *ssid_length = strlen(nvram_get("wl_ssid"));
}

void debug_out(unsigned char *label, unsigned char *data, int data_length)
{
int i,j;
int num_blocks;
int block_remainder;
    num_blocks = data_length / 16;
    block_remainder = data_length % 16;

    printf("%s\n",label);

    for (i=0; i< num_blocks;i++)
    {
        printf("\t");
        for (j=0; j< 16;j++)
        {
            printf("%02x ", data[j + (i*16)]);
        }
        printf("\n");
    }

    if (block_remainder > 0)
    {
        printf("\t");
        for (j=0; j<block_remainder; j++)
        {
            printf("%02x ", data[j+(num_blocks*16)]);
        }
        printf("\n");
    }
}
/* End of 11i passphrase function */

static unsigned char hash[65];

void gen_11i_passphrase_key()
{
	unsigned char passphrase[65];
  unsigned char ssid[65];
  //unsigned char key_buf[33];
  int passphrase_length;
  int ssid_length;

  int test_case;

  for (test_case = 1; test_case < (NUM_TEST_CASES+1); test_case++)
  {
      get_testcase(test_case, passphrase, &passphrase_length, ssid, &ssid_length);
              
      //printf ("\nTEST CASE %d\n",test_case);

      password_hash(passphrase, passphrase_length, ssid, ssid_length, hash);
      //debug_out("Password =", passphrase, passphrase_length);
      //debug_out("ssid =", ssid, ssid_length);

      //printf("\tPassphrase = %s\n",passphrase);
      //printf("\tSSID       = %s\n",ssid);
      //debug_out("\thash =", hash, 32);
  }
  
  memset(key_buf, 0, 33);
  memcpy(key_buf, hash, 32);
//  nvram_set("Passphrase_key_11i", key_buf);
}

void write_wl_key(int index, webs_t wp)
{
	int i;
  char buf[65] = {0};
  
  memset(hash, 0, 65);
  
	//printf("Passphrase_key_11i : %p %d %s\n", nvram_get("Passphrase_key_11i"), strlen(nvram_get("Passphrase_key_11i")),nvram_get("Passphrase_key_11i"));  

  if((nvram_get("Passphrase_key_11i") == NULL) || (strlen(nvram_get("Passphrase_key_11i")) != 32))
  {
  	gen_11i_passphrase_key();
  }
	
  strcpy(hash, nvram_get("Passphrase_key_11i"));
  
  switch(index)
  {
		case 1:
		{
			if(!strcmp(nvram_get("wl_key_strength"), "64"))
				sprintf(buf, "%02X%02X%02X%02X%02X", hash[0], hash[1], hash[2], hash[3], hash[4]);
			else if(!strcmp(nvram_get("wl_key_strength"), "128"))
				sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", hash[0], hash[1], hash[2], hash[3], hash[4], hash[5], hash[6], hash[7], hash[8], hash[9], hash[10], hash[11], hash[12]);
			else if(!strcmp(nvram_get("wl_key_strength"), "256"))
			{
				sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X",
				hash[0], hash[1], hash[2], hash[3], hash[4], hash[5], hash[6], hash[7], hash[8], hash[9], hash[10], hash[11], hash[12], hash[13], hash[14], hash[15],
				hash[16], hash[17], hash[18], hash[19], hash[20], hash[21], hash[22], hash[23], hash[24], hash[25], hash[26], hash[27], hash[28], hash[29], hash[30], hash[31]);
			}
			break;
		}
		case 2:
		{
			if(!strcmp(nvram_get("wl_key_strength"), "64"))
				sprintf(buf, "%02X%02X%02X%02X%02X", hash[8], hash[9], hash[10], hash[11], hash[12]);
			else if(!strcmp(nvram_get("wl_key_strength"), "128"))
				sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", hash[16], hash[17], hash[18], hash[19], hash[20], hash[21], hash[22], hash[23], hash[24], hash[25], hash[26], hash[27], hash[28]);
			
			break;
		}
		case 3:
		{
			if(!strcmp(nvram_get("wl_key_strength"), "64"))
				sprintf(buf, "%02X%02X%02X%02X%02X", hash[16], hash[17], hash[18], hash[19], hash[20]);
			
			break;
		}
		case 4:
		{
			if(!strcmp(nvram_get("wl_key_strength"), "64"))
				sprintf(buf, "%02X%02X%02X%02X%02X", hash[24], hash[25], hash[26], hash[27], hash[28]);
			break;
		}
	}
	
	websWrite(wp, "%s",buf);
	
}


static int
ej_Get11g11iKey_all ( int eid , webs_t wp , int argc , char_t **argv )
{
		int i;
  char buf[200] = {0};
  
  memset(hash, 0, 65);
  
  strcpy(hash, nvram_get("Passphrase_key_11i"));
  
  if(strlen(hash) == 0 || strlen(hash) == 64)
  {
  	gen_11i_passphrase_key();
  }
  tsprintf("broadcom.c : in Get11g11iKey_all(); \n");
	sprintf(buf, "<input type=\"hidden\" name=\"wlkey1_64\" value=\"%02X%02X%02X%02X%02X\">\n", hash[0], hash[1], hash[2], hash[3], hash[4]);
	websWrite(wp, "%s",buf);

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey1_128\" value=\"%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X\">\n", hash[0], hash[1], hash[2], hash[3], hash[4], hash[5], hash[6], hash[7], hash[8], hash[9], hash[10], hash[11], hash[12]);
	websWrite(wp, "%s",buf);	

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey1_256\" value=\"%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X\">\n",
		hash[0], hash[1], hash[2], hash[3], hash[4], hash[5], hash[6], hash[7], hash[8], hash[9], hash[10], hash[11], hash[12], hash[13], hash[14], hash[15],
		hash[16], hash[17], hash[18], hash[19], hash[20], hash[21], hash[22], hash[23], hash[24], hash[25], hash[26], hash[27], hash[28], hash[29], hash[30], hash[31]);
	websWrite(wp, "%s",buf);

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey2_64\" value=\"%02X%02X%02X%02X%02X\">\n", hash[8], hash[9], hash[10], hash[11], hash[12]);
	websWrite(wp, "%s",buf);

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey2_128\" value=\"%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X\">\n", hash[16], hash[17], hash[18], hash[19], hash[20], hash[21], hash[22], hash[23], hash[24], hash[25], hash[26], hash[27], hash[28]);
	websWrite(wp, "%s",buf);

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey3_64\" value=\"%02X%02X%02X%02X%02X\">\n", hash[16], hash[17], hash[18], hash[19], hash[20]);
	websWrite(wp, "%s",buf);

	sprintf(buf, "<input type=\"hidden\" name=\"wlkey4_64\" value=\"%02X%02X%02X%02X%02X\">\n", hash[24], hash[25], hash[26], hash[27], hash[28]);
	websWrite(wp, "%s",buf);
	
  return 0;
}



static int
ej_Get11g11iKey_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if(strcmp(nvram_get("wl_key_input_method"), "0"))
	{
		websWrite(wp, "%s", nvram_get("wl_key1"));
		return;
	}
		
  //write_wl_key(1, wp);
  return 0;
}

static int
ej_Get11g11iKey_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if(strcmp(nvram_get("wl_key_input_method"), "0"))
	{
		websWrite(wp, "%s", nvram_get("wl_key2"));
		return;
	}	
  //write_wl_key(2, wp);
  return 0;  
}

static int
ej_Get11g11iKey_3 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if(strcmp(nvram_get("wl_key_input_method"), "0"))
	{
		websWrite(wp, "%s", nvram_get("wl_key3"));
		return;
	}	
  //write_wl_key(3, wp);
  return 0;  
}

static int
ej_Get11g11iKey_4 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if(strcmp(nvram_get("wl_key_input_method"), "0"))
	{
		websWrite(wp, "%s", nvram_get("wl_key4"));
		return;
	}	
  //write_wl_key(4, wp);
  return 0;  
}

static int
ej_Get11gKey_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key1") == NULL ) {
			;// Do no thing
		} else if ( nvram_get("wl_key1") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key1")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[0][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}
     				break;
     			default:
     				printf(" Function 'ej_Get11gKey_1' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch
	} else {
		printf(" Function 'ej_Get11gKey_1' happens exception.\n");
		return 0;
	}

	return 1;
}

static int
ej_Get11gKey_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key2") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key2") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key2")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[1][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}     			
     				break;
     			default:
     				printf(" Function 'ej_Get11gKey_2' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11gKey_2' happens exception.\n");
	}
		return 0;

	return 1;
}

static int
ej_Get11gKey_3 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key3") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key3") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key3")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[2][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}     			
     				break;
     			default:
     				printf(" Function 'ej_Get11gKey_3' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11gKey_3' happens exception.\n");
		return 0;
	}

	return 1;
}


static int
ej_Get11gKey_4 ( int eid , webs_t wp , int argc , char_t **argv )
{
	unsigned char	output_1[13];
	unsigned char	output_2[4][5];
	unsigned int	i = 0;

	if ( nvram_get("wl_passphrase") == NULL ){
		if ( nvram_get("wl_key4") == NULL ) {
			;// Do no thing 
		} else if ( nvram_get("wl_key4") != NULL ) {
			websWrite(wp, "%s",ToUpperCase(nvram_get("wl_key4")));
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		switch ( atoi(nvram_get("PassphraseKeyLength")) ) {
     			case 1:
     				Get64bitkey(nvram_get("wl_passphrase") , output_2);

     				for ( i = 0 ; i < 5 ; i++ ) {
     					websWrite(wp, "%02X",output_2[3][i]);
     				}
     				break;
     			case 2:
   				Get128bitkey ( nvram_get("wl_passphrase") , output_1 );

     				for ( i = 0 ; i < 13 ; i++ ) {
     					websWrite(wp, "%02X",output_1[i]);
     				}     			
     				break;
     			default:
     				printf(" Function 'ej_Get11gKey_4' PassphraseKeyLength happens exception.\n");
     				break;
		}	// End of Switch 
	} else {
		printf(" Function 'ej_Get11gKey_4' happens exception.\n");
		return 0;
	}

	return 1;
}
/*
static int
ej_SelectionKey_1 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ( nvram_get("wl_passphrase") == NULL ) {
		if (atoi(nvram_get("wl_key")) == 1) {
			websWrite(wp, " checked ",NULL);
		} else {
			;// Do no thing 
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		websWrite(wp, " checked ",NULL);
	} else {
		printf(" Function 'ej_SelectionKey_1' happens exception.\n");
		return 0;
	}

	return 1;
}

static int
ej_SelectionKey_2 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ( nvram_get("wl_passphrase") == NULL ) {
		if (atoi(nvram_get("wl_key")) == 2) {
			websWrite(wp, " checked ",NULL);
		} else {
			;// Do no thing 
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		;// Do no thing 
	} else {
		printf(" Function 'ej_SelectionKey_2' happens exception.\n");
		return 0;
	}

	return 1;
}

static int
ej_SelectionKey_3 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ( nvram_get("wl_passphrase") == NULL ) {
		if (atoi(nvram_get("wl_key")) == 3) {
			websWrite(wp, " checked ",NULL);
		} else {
			;// Do no thing 
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		;// Do no thing 
	} else {
		printf(" Function 'ej_SelectionKey_3' happens exception.\n");
		return 0;
	}

	return 1;
}

static int
ej_SelectionKey_4 ( int eid , webs_t wp , int argc , char_t **argv )
{
	if ( nvram_get("wl_passphrase") == NULL ) {
		if (atoi(nvram_get("wl_key")) == 4) {
			websWrite(wp, " checked ",NULL);
		} else {
			;// Do no thing 
		}
	} else if (nvram_get("wl_passphrase") != NULL) {
		;// Do no thing 
	} else {
		printf(" Function 'ej_SelectionKey_4' happens exception.\n");
		return 0;
	}

	return 1;
}
*/
/*WEP Key*/
/*Show Routing Table*/
char *in_ntoa(unsigned long addr)
{
	static char buffer[16];
	memset(buffer,'\0',16);

#ifndef CONFIG_CPU_BIG_ENDIAN
	sprintf(buffer, "%ld.%ld.%ld.%ld",
		addr & 255,
		(addr >> 8) & 255,
		(addr >> 16) & 255,
		(addr >> 24) & 255);
#else /* CONFIG_CPU_BIG_ENDIAN */
	sprintf(buffer, "%ld.%ld.%ld.%ld",
		(addr >> 24) & 255,
		(addr >> 16) & 255,
		(addr >> 8) & 255,
		addr & 255) ;
#endif /* CONFIG_CPU_BIG_ENDIAN */

	return buffer;
}
#define sin_addr(s) (((struct sockaddr_in *)(s))->sin_addr)
/*Show Routing Table Added by YaoChung*/
//static int 
//ej_RoutingTable(int eid , webs_t wp , int argc , char_t **argv ) 
//{
//	int i=0,len,flag,use,ref,metric; /* fd,sz, */
//	unsigned int des,gw,mask;
///*	const int U=1,G=2,H=4,D=8,M=16;*/
//	char buf[120]; /*,*sp1,*sp2,buf2[30];*/
//	char IF[10],metricstr[1];
//	FILE *fp;
//		
//
//	if ((fp = fopen("/proc/net/route","r")) == NULL) {
//		websWrite(wp, " No Routing Table File! ");
//		return 0;
//	}
//	fgets(buf,120,fp);	
//	fgets(buf,120,fp);		
//	while(!feof(fp) && i < 20) {
//		if (fgets(buf,120,fp) == NULL) break;	
//		sscanf(buf,"%s %x %x %d %d %d %d %x %d %d %d",IF,&des,&gw,&flag,&ref,&use,&metric,&mask,&len,&len,&len);
//		sprintf(metricstr, "%d", metric);
//	/*	printf("dest:%s ",in_ntoa(des));
//		printf("mask:%s ",in_ntoa(mask));
//		printf("gateway:%s ",in_ntoa(gw));
//		printf("metric:%d ",metric);
//		printf("interface:%s\n",IF);				
//*/
//		websWrite(wp, "<TR align=middle bgColor=#FFFFFF>\n");	              
//		websWrite(wp, "<TD><font face=Arial size=2>");
//		websWrite(wp, in_ntoa(des));
//		websWrite(wp, "</font></TD>\n");                                     
//		websWrite(wp, "<TD><font face=Arial size=2>");                   
//		websWrite(wp, in_ntoa(mask));
//		websWrite(wp, "</font></TD>\n");		                              
//		websWrite(wp, "<TD><font face=Arial size=2>");
//		if (!strcmp(in_ntoa(gw),"0.0.0.0") && !strcmp(IF, "ppp0"))
//		{
//			int s;
//			struct ifreq ifr;
//			if ((s = socket(AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0)
//				websWrite(wp, in_ntoa(gw));
//			else
//			{
//				strcpy(ifr.ifr_name, "ppp0");
//				if (ioctl(s, SIOCGIFADDR, &ifr) == 0)
//			 		websWrite(wp, inet_ntoa(sin_addr(&ifr.ifr_addr)));
//			}
//			close(s);			
//		}
//		else if (!strcmp(in_ntoa(gw),"0.0.0.0") && !strcmp(IF, "br0"))
//		{
//			int s;
//			struct ifreq ifr;
//			if ((s = socket(AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0)
//				websWrite(wp, in_ntoa(gw));
//			else
//			{
//				strcpy(ifr.ifr_name, "br0");	
//				if (ioctl(s, SIOCGIFADDR, &ifr) == 0)
//			 		websWrite(wp, inet_ntoa(sin_addr(&ifr.ifr_addr)));
//			}
//			close(s);
//		}
//		else if (!strcmp(in_ntoa(gw),"0.0.0.0") && !strcmp(IF, "eth1"))
//		{
//			int s;
//			struct ifreq ifr;
//			if ((s = socket(AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0)
//				websWrite(wp, in_ntoa(gw));
//			else
//			{
//				strcpy(ifr.ifr_name, "eth1");
//				if (ioctl(s, SIOCGIFADDR, &ifr) == 0)
//			 		websWrite(wp, inet_ntoa(sin_addr(&ifr.ifr_addr)));
//			}
//			close(s);
//		}
//		else
//			websWrite(wp, in_ntoa(gw));
//		websWrite(wp, "</font></TD>\n");                                     
///*		websWrite(wp, "<TD><font face=Arial size=2>");                   
//		websWrite(wp, metricstr);
//		websWrite(wp, "</font></TD>\n");				                      
//*/		websWrite(wp, "<TD><font face=Arial size=2>");                   
///*		websWrite(wp, IF);*/
//		if (!strcmp(IF,"br0"))
//			websWrite(wp, "LAN&Wireless");
//		else if (!strcmp(IF,"eth0"))
//			websWrite(wp, "LAN&Wireless");
//		else if (!strcmp(IF,"eth1"))
//			websWrite(wp, "WAN");
//		else if (!strcmp(IF,"eth2"))
//			websWrite(wp, "LAN&Wireless");
//		else if (!strcmp(IF,"wlan"))
//			websWrite(wp, "LAN&Wireless");
//		else if (!strcmp(IF,"ppp0"))
//			websWrite(wp, "WAN");
//		else if (!strcmp(IF,"ppp1"))
//			websWrite(wp, "WAN");			
//			
//		websWrite(wp, "</font></TD>\n");		                              
//		websWrite(wp, "</TR>\n");		                                      
//		
//
//
//		if (fgets(buf,120,fp) == NULL) break;
//		i++;
//	}
//		
//	websWrite(wp, "<TR align=middle bgColor=#FFFFFF>\n");
//	websWrite(wp, "<TD><font face=Arial size=2>127.0.0.1</font></TD>\n");
//	websWrite(wp, "<TD><font face=Arial size=2>0.0.0.0</font></TD>\n");
//	websWrite(wp, "<TD><font face=Arial size=2>127.0.0.1</font></TD>\n");
//	websWrite(wp, "<TD><font face=Arial size=2>LOOPBACK</font></TD>\n");
//	websWrite(wp, "</TR>\n");
//	
//	fclose(fp);    
//	return 1;
//	
//}

/* Show event log */
static int 
ej_sortEventTable(int eid , webs_t wp , int argc , char_t **argv ) 
{
	FILE *fp;
	char msg[1024], event_msg[1024], info[1024], t[100], *p;
	char all_msg[50][1024];
	int msg_cnt = 0, i;
	int event_type = -1, event_count = 0;
	char event_name[3][200] = {"DHCP Server Lease Information", "Wireless Client Associations", "User Interface Access"};
	
//	if(!strcmp(nvram_get("EVENTLOGENABLE1"), "0") && !strcmp(nvram_get("EVENTLOGENABLE2"), "0") && !strcmp(nvram_get("EVENTLOGENABLE3"), "0"))
//		return;
	
	if ((fp = fopen("/tmp/var/log/eventmsg","r")) == NULL) {
		tsprintf(" No Event Table File!\n");
		return 0;
	}
	
	//websWrite(wp, "<table border=\"1\" width=\"550\">");		
	//websWrite(wp, "<tr><td><b>Event</b></td><td><b>Message</b></td></tr>\n");	
	while(!feof(fp))
	{		
		if(event_count > 50)
			break;
			
		memset(msg, 0, sizeof(msg));
		memset(event_msg, 0, sizeof(event_msg));
		memset(t, 0, sizeof(t));
		
		event_type = -1;
		
		fscanf(fp,"%d", &event_type);
		fgets( all_msg[msg_cnt++], 1024, fp );
		p = strstr(all_msg[msg_cnt - 1], "##");
		if(p == 0)
		{
			tsprintf("broadcom.c : msg : %s %p p : %s %p\n", all_msg[msg_cnt - 1], all_msg[msg_cnt - 1], p, p);
			break;
		}
		strncpy(t, all_msg[msg_cnt - 1], p - all_msg[msg_cnt - 1]);
		strcpy(event_msg, p + 2);
		if(event_type == -1)
			break;
		tsprintf("EventLog : %d %s\n", event_type, all_msg[msg_cnt - 1]);
		if(event_count % 2)
			sprintf(info, "<tr><td bgcolor=\"#C0C0C0\">&nbsp;%s</td>", t);
		else
			sprintf(info, "<tr><td>&nbsp;%s</td>", t);
			websWrite(wp, info);
		if(event_count % 2)
			sprintf(info, "<td bgcolor=\"#C0C0C0\">&nbsp;%s</td>", event_name[event_type]);
		else
			sprintf(info, "<td>&nbsp;%s</td>", event_name[event_type]);
			websWrite(wp, info);
		if(event_count % 2)		
			sprintf(info, "<td bgcolor=\"#C0C0C0\">&nbsp;%s</td></tr>\n", event_msg);
		else
			sprintf(info, "<td>&nbsp;%s</td></tr>\n", event_msg);			
		websWrite(wp, info);	
		event_count++;
	}				
	
	for(i = 0;i<msg_cnt;i++)
	//websWrite(wp, "</table>");
	
	fclose(fp);    
	return 1;
}

/* Show Site Survey Result */
#define SiteSurvay

#ifdef SiteSurvay
#if 0
#ifdef B_3_11_44_0
#if 0
char *ether_etoa(const unsigned char *e, char *a)
{
	char *c = a;
	int i;

	for (i = 0; i < ETHER_ADDR_LEN; i++) 
	{
		if (i)
			*c++ = ':';
		c += sprintf(c, "%02X", e[i] & 0xff);
	}
	return a;
}
#endif
#else
char *ether_etoa(const unsigned char *n)
{
	static char buf[ETHER_ADDR_LEN * 3];
	char *c = buf;
	int i;

	for (i = 0; i < ETHER_ADDR_LEN; i++) 
	{
		if (i)
			*c++ = ':';
		c += sprintf(c, "%02X", n[i] & 0xff);
	}
	return buf;
}
#endif
#endif

static int ej_doSiteSurvey ( int eid , webs_t wp , int argc , char_t **argv )
{
	char name[10];
	char *mode ;
	unsigned char buf[8192] ;
	unsigned char web_buf[8192] ;
	static int  val;//,ret ;
	wl_bss_info_t *bi;
	wl_scan_results_t *list = (wl_scan_results_t *) buf ;
	uint i = 0, rssi = 0 ;
	//char *p = NULL, *q = NULL ;
	//FILE *fp = NULL ;
	//char tmp[100] ;
	//int count = 0 ;
	if(!strcmp(nvram_safe_get("WlEnable"), "0"))
	//if(!strcmp(nvram_safe_get("wl_radio"), "0"))
	{
		websWrite ( wp , "%s", "You must enable Radio Interface to start Site Monitor");
		return -1;
	}

	strcpy(name, nvram_safe_get("wlif"));

	
	memset( buf, '\0', sizeof(buf) );
	memset( web_buf, '\0', sizeof(web_buf) );
	
	if( ejArgs(argc, argv, "%s", &mode ) < 1 )
	{
		websError(wp, 400, "Insufficient args\n");
		return -1;
	}
#if defined(WE800G)
        //system("sitesurvey");
#else
//	if(strcmp(nvram_get("wl_mode"), "sta"))
//	{
		nvram_set("wl_mode_ori", nvram_get("wl0_mode"));
		tsprintf("broadcom.c : before wl_mode is %s\n", nvram_get("wl_mode"));
		nvram_set("wl_mode", "sta");
		nvram_set("wl0_mode", "sta");
		system("sitesurvey");
		sleep(2);
//	}
#endif
	if(!strcmp(mode, "all"))
	{	/* do site survey */
		//websWrite ( wp , "%s", sitesurvey_table_header );

#if 1
    tsprintf("site survey all\n");
		if(!strcmp(nvram_safe_get("wl_mode"), "sta" ))
		{

			tsprintf("broadcom.c : WLC_UP\n");
			//wl_ioctl( name, WLC_UP, NULL, sizeof(val) ) ;
                         
			memset(buf,0,sizeof(buf));
			tsprintf("broadcom.c : WLC_SCAN\n");
			wl_ioctl( name, WLC_SCAN, buf, sizeof(buf) );
			usleep(1000000);
			memset(buf,0,sizeof(buf));
			list->buflen = sizeof(buf) - 12;
			tsprintf("sizeof(wl_bss_info_t) : %d\n", sizeof(wl_bss_info_t));
			tsprintf("broadcom.c : list->buflen : %d list->version : %d list->count : %d\n", list->buflen, list->version, list->count);
			tsprintf("broadcom.c : WLC_SCAN_RESULTS\n");
      wl_ioctl( name, WLC_SCAN_RESULTS, buf, sizeof(buf) );
			tsprintf("broadcom.c : list->buflen : %d list->version : %d list->count : %d\n", list->buflen, list->version, list->count);

      tsprintf("------------------\n");
//			sprintf ( web_buf , "<tr bgcolor=\"#DDDDDD\">\n<font face=\"Arial\" size=\"2\"><b>\n
//			 <td height=\"25\" align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>Type</b></font></td>\n
//			 <td height=\"25\" align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>SSID</b></font></td>\n
//			 <td align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>MAC address</b></font></td>\n
//			 <td align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>Channel</b></font></td>\n
//			 <td align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>RSSI</b></font></td>\n      
//			 <td align=\"center\" valign=\"middle\"><font face=\"Arial\" size=\"2\"><b>Wireless Mode</b></font></td>\n</b></font></tr>\n");
//
//			websWrite ( wp , "%s", web_buf );
			//list = (wl_scan_results_t *) buf ;
		}
		
		//websWrite ( wp , "<input type=\"hidden\" name=\"ap_cnt\" value=\"%d\">\n", i );
		//websWrite ( wp , "%s", sitesurvey_table_footer );
#endif

	}
	else if(!strcmp(mode, "channel"))
	{
		tsprintf("site survey one channel\n");
		if(!strcmp(nvram_safe_get("wl_mode"), "sta" ))
		{	
			wl_ioctl( name, WLC_UP, NULL, sizeof(val) ) ;
			wl_ioctl( name, WLC_SCAN, buf, sizeof(buf) );
			usleep(200000);
			wl_ioctl( name, WLC_SCAN_RESULTS, buf, sizeof(buf) );
		}
		
		websWrite ( wp , "<input type=\"hidden\" name=\"ap_cnt\" value=\"%d\">\n", i );
	}

#if 1

  char ssid[33];
	char bssid[18];
        bi=list->bss_info;
	int mode2;
	
	websWrite ( wp , "<table cellSpacing=\"0\" cellPadding=\"0\" width=\"720\" border=\"1\">");
	for( i=0 ; i < list->count ; i++ )
	{
		memset( web_buf, '\0', sizeof(web_buf) );

/*
		rssi = abs(bi->RSSI)-20 ;
		rssi = (5*rssi)/4 ;
		rssi = 100 - rssi ;
*/

		rssi = 100 - abs(bi->RSSI) ;
		
		memset(ssid,0,sizeof(ssid));
                memcpy(ssid,bi->SSID,bi->SSID_len);
		tsprintf("ssid: %s , ",ssid);
		memset(bssid,0,sizeof(bssid));
		sprintf(bssid,"%02X:%02X:%02X:%02X:%02X:%02X",bi->BSSID.octet[0],bi->BSSID.octet[1],bi->BSSID.octet[2],bi->BSSID.octet[3],bi->BSSID.octet[4],bi->BSSID.octet[5]);
                tsprintf("bssid: %s\n",bssid);

		tsprintf("Sitesurvey : bssid : %s bi->RSSI : %d, rssi : %d\n", bssid, bi->RSSI, rssi);
		
		//sprintf(web_buf,"<tr bgcolor=\"%s\">",(i%2)?"#EEEEEE":"#FFFFFF");
		sprintf(web_buf,"<tr>");

                websWrite ( wp , "%s", web_buf );
                mode2 = (bi->capability & 0x01);
		//sprintf(web_buf,"<td height=\"15\"  width=\"10%%\" align=\"center\" valign=\"middle\">%s</td>",(mode2)?"Infra":"Adhoc");
		//websWrite ( wp , "%s", web_buf );
#if 0
		{
			int i=0;

			for(i=0;i<16;i++)
			{
				websWrite ( wp , "%X", (bi->capability >> i) & 0x01);
			}
		}
#endif
		sprintf(web_buf,"<td align=\"center\" width=\"30%%\" valign=\"middle\">%s</td>",ssid);
                websWrite ( wp , "%s", web_buf );
		sprintf(web_buf,"<td align=\"center\" width=\"20%%\" valign=\"middle\">%s</td>",bssid);
                websWrite ( wp , "%s", web_buf );
		sprintf(web_buf,"<td align=\"center\" width=\"10%%\" valign=\"middle\">%d</td>",bi->channel);
                websWrite ( wp , "%s", web_buf );
		sprintf(web_buf,"<td align=\"center\" width=\"10%%\" valign=\"middle\">%d%%</td>",rssi);
                websWrite ( wp , "%s", web_buf );
		mode2 = ((bi->capability >> 4) & 0x01);
		sprintf(web_buf,"<td align=\"center\" width=\"10%%\" valign=\"middle\">%s</td>",(bi->rateset.count > 4) ? "802.11b/g" : "802.11b");
                websWrite ( wp , "%s", web_buf );
		sprintf(web_buf,"<td align=\"center\" width=\"10%%\" valign=\"middle\">%s</td>",(mode2)?"WEP":"None");
                websWrite ( wp , "%s", web_buf );		
		websWrite ( wp , "</tr>");                
		
		bi = (wl_bss_info_t*)((int8*)bi + bi->length);
	}

	websWrite ( wp , "</table>");		
	websWrite ( wp , "<input type=\"hidden\" name=\"ap_cnt\" value=\"%d\">\n", i );


#endif
#if defined(WE800G)
        /* In WE800G "wl_mode" is always "sta" */
#else
	nvram_set("wl_mode", nvram_safe_get("wl_mode_ori"));
	nvram_set("wl0_mode", nvram_safe_get("wl_mode_ori"));
 	tsprintf("broadcom.c : after wl_mode is %s\n", nvram_safe_get("wl_mode"));
	system("sitesurvey");
	sleep(2);
	//sys_commit();
#endif
	return 0 ;
}

#endif

/* Show event log */
//static int 
//ej_EventTable(int eid , webs_t wp , int argc , char_t **argv ) 
//{
//	FILE *fp;
//	char msg[1024], event_msg[1024], info[1024], t[100], *p;
//	int event_type = -1, event_count = 0;
//	char event_name[3][200] = {"DHCP Server Lease Information", "Wireless Client Associations", "User Interface Access"};
//	
////	if(!strcmp(nvram_get("EVENTLOGENABLE1"), "0") && !strcmp(nvram_get("EVENTLOGENABLE2"), "0") && !strcmp(nvram_get("EVENTLOGENABLE3"), "0"))
////		return;
//	
//	if ((fp = fopen("/tmp/var/log/eventmsg","r")) == NULL) {
//		tsprintf(" No Event Table File!\n");
//		return 0;
//	}
//	
//	//websWrite(wp, "<table border=\"1\" width=\"550\">");		
//	//websWrite(wp, "<tr><td><b>Event</b></td><td><b>Message</b></td></tr>\n");	
//	while(!feof(fp))
//	{		
//		if(event_count > 50)
//			break;
//			
//		memset(msg, 0, sizeof(msg));
//		memset(event_msg, 0, sizeof(event_msg));
//		memset(t, 0, sizeof(t));
//		
//		event_type = -1;
//		
//		fscanf(fp,"%d", &event_type);
//		fgets( msg, 1024, fp );
//		p = strstr(msg, "##");
//		if(p == 0)
//		{
//			tsprintf("broadcom.c : msg : %s %p p : %s %p\n", msg, msg, p, p);
//			break;
//		}
//		strncpy(t, msg, p - msg);
//		strcpy(event_msg, p + 2);
//		if(event_type == -1)
//			break;
//		tsprintf("EventLog : %d %s\n", event_type, msg);
//		if(event_count % 2)
//			sprintf(info, "<tr><td width=\"30%\">&nbsp;%s</td>", t);
//		else
//			sprintf(info, "<tr><td width=\"30%\">&nbsp;%s</td>", t);
//			websWrite(wp, info);
//		if(event_count % 2)
//			sprintf(info, "<td width=\"30%\">&nbsp;%s</td>", event_name[event_type]);
//		else
//			sprintf(info, "<td width=\"30%\">&nbsp;%s</td>", event_name[event_type]);
//			websWrite(wp, info);
//		if(event_count % 2)		
//			sprintf(info, "<td width=\"40%\">&nbsp;%s</td></tr>\n", event_msg);
//		else
//			sprintf(info, "<td width=\"40%\">&nbsp;%s</td></tr>\n", event_msg);			
//		websWrite(wp, info);	
//		event_count++;
//	}				
//	//websWrite(wp, "</table>");
//	
//	fclose(fp);    
//	return 1;
//}

/*Show Routing Table*/
/*Show Log Table Added by YaoChung*/

//#define LOG_SIZE 251  // Define as LOG_SIZE + 1
//#define LOG_BUFFER_SIZE 200
//static int 
//ej_LogTable(int eid , webs_t wp , int argc , char_t **argv ) 
//{
//	char IN[10],OUT[10],SRC[2048],DST[2048],SPORT[20],DPORT[20],PROTO[20];
//	char date_str[20] = {0}, time_str[20] = {0};
//	
//	char *direction;
//	int log_count = 0;
//	FILE *fp, *fp_size;
//	char conn_size[9][100];
//	int plog=0, log_wrap = 0;
//	char log_buffer[LOG_SIZE][LOG_BUFFER_SIZE]={0};
//	int i=0;
//	
//	
//	if(!strcmp(nvram_get("LogEnable"), "0"))
//		return;
//		
//	if (ejArgs(argc, argv, "%s", &direction) < 1) {
//		websError(wp, 400, "Insufficient args\n");
//		return -1;
//	}
//	
//	system("cp /tmp/var/log/connmsg /tmp/var/log/connmsg.www");
//	
//	if ((fp = fopen("/tmp/var/log/connmsg.www","r")) == NULL) {
//		tsprintf(" No Log Table File!\n");
//		return 0;
//	}
//	else
//	{
////		int file_size = 0;
////		system("ls -l /tmp/var/log/connmsg > /tmp/var/log/connmsg.size");	
////
////		if ((fp_size = fopen("/tmp/var/log/connmsg.size","r")) == NULL) 
////		{
////			tsprintf(" No Log Size Table File!\n");
////		}
////		else
////		{
////			tsprintf("Get Log Size Table File!\n");
////		}
////		
////		fscanf(fp_size, "%s %s %s %s %s %s %s %s %s", conn_size[0], conn_size[1], conn_size[2], conn_size[3], conn_size[4], conn_size[5], conn_size[6], conn_size[7], conn_size[8]);
////		
////		//printf("File size : %s %s %s %s %s %s %s %s %s\n", conn_size[0], conn_size[1], conn_size[2], conn_size[3], conn_size[4], conn_size[5], conn_size[6], conn_size[7], conn_size[8]);	
////		
////		printf("Connmsg size is is %d\n", atoi(conn_size[4]));
//	}
//	
//	system("cp /tmp/hosts /tmp/hosts.www");
//	
//	while(!feof(fp)) {
//		
///*		if(log_count > LOG_SIZE)
//		{
//			printf("Log file over!\n");
//			break;
//		}
//*/			
//		*IN = '\0';
//		
//		memset(log_buffer[plog], 0, LOG_BUFFER_SIZE);
//		fgets(log_buffer[plog], LOG_BUFFER_SIZE, fp);
//		tsprintf("Log Entry[%d] => %s\n", plog, log_buffer[plog]);
//		
//		sscanf(log_buffer[plog],"IN=%s OUT=%s SRC=%s DST=%s SPORT=%s DPORT=%s PROTO=%s time=%s %s\n", IN,OUT,SRC,DST,SPORT,DPORT,PROTO, date_str, time_str);
//		
//		if ( *IN=='\0')
//			break;
//
//		if (!strcmp(direction,"in") && !strcmp(OUT,"br0"))//Incoming Log
//		{
//			websWrite(wp, "<TR align=middle bgColor=#FFFFFF>\n");
//			websWrite(wp, "<TH width=280 bgcolor=#FFFFFF><FONT face=Arial size=2>");
//  		websWrite(wp, SRC);
//  		websWrite(wp, "</FONT></TH>\n");
//  		websWrite(wp, "<TH width=280 bgcolor=#FFFFFF><FONT face=Arial size=2>");
//  		websWrite(wp, DPORT);
//  		websWrite(wp, "</FONT></TH></TR>\n");
//		}
//		if (!strcmp(direction,"out") && !strcmp(IN,"br0"))//Outgoing Log
//		{
//			
//			plog++;
//			if(plog >= LOG_SIZE)
//			{
//				tsprintf("broadcom.c : Log wrap!\n");
//				log_wrap = 1;
//				plog = 0;
//			}			
//			
////#ifdef MOTO_UI			
////			char friendly_name[500] = {0};
////			char mac[50] = {0};
////			
////			plog++;
////			if(plog >= LOG_SIZE)
////			{
////				printf("broadcom.c : Log wrap!\n");
////				log_wrap = 1;
////				plog = 0;
////			}
////			strcpy(mac, "Unknown");
////			findMACByIPaddr(SRC, mac);
////			strcpy(friendly_name, "Empty");
////			findFriendlyNameByIPaddr(SRC, friendly_name);
////			
////		  websWrite(wp, "<TR align=middle>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, DST);
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, SRC);    		
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, mac);
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, friendly_name);
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, date_str);
////  		websWrite(wp, " ");
////  		websWrite(wp, time_str);
//  		
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, DPORT);
////  		websWrite(wp, "</FONT></TH></TR>\n");
////#else  		
////      //Original method			
////			websWrite(wp, "<TR align=middle bgColor=#FFFFFF>\n");
////  		websWrite(wp, "<TH width=163 bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, SRC);    		
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH width=280 bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, DST);
////  		websWrite(wp, "</FONT></TH>\n");
////  		websWrite(wp, "<TH width=307 bgcolor=#FFFFFF><FONT face=Arial size=2>");
////  		websWrite(wp, DPORT);
////  		websWrite(wp, "</FONT></TH></TR>\n");
////#endif   
////
////			log_count++; 		
//		}
//	}
//		
//		
//		
//	if(plog == 0 && log_wrap == 0)
//	{
//		printf("No URL Log Data!\n");
//	}
//	else
//	{
//		FILE *fp_url_log;
//		tsprintf("\nFinal Log Data ==================\n");
//		if ((fp_url_log = fopen("/var/log/connmsg","w")) == NULL) 
//		{
//			printf("open /var/log/connmsg error !!!\n");
//			//fclose(fp_size);
//			fclose(fp);   			
//			return;
//		}	
//		
//		if(log_wrap == 1)
//		{
//			for(i=(plog + 1);i<LOG_SIZE;i++)
//			{
//				char friendly_name[500] = {0};
//				char mac[50] = {0};
//				sscanf(log_buffer[i],"IN=%s OUT=%s SRC=%s DST=%s SPORT=%s DPORT=%s PROTO=%s time=%s %s\n", IN,OUT,SRC,DST,SPORT,DPORT,PROTO, date_str, time_str);
//			
//				strcpy(mac, "Unknown");
//				findMACByIPaddr(SRC, mac);
//				strcpy(friendly_name, "Empty");
//				findFriendlyNameByIPaddr(SRC, friendly_name);
//				
//			  websWrite(wp, "<TR align=middle>\n");
//	  		websWrite(wp, "<TH width=\"160\" bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DST);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH width=\"120\" bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, SRC);    		
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH width=\"160\" bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, mac);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH width=\"120\" bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, friendly_name);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH width=\"160\" bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, date_str);
//	  		websWrite(wp, " ");
//	  		websWrite(wp, time_str);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DPORT);
//	  		websWrite(wp, "</FONT></TH></TR>\n");
//	
//				tsprintf("Log Entry[%d] => %s\n", i, log_buffer[i]);		
//				fprintf(fp_url_log ,"%s", log_buffer[i]);				
//			}
//			for(i=0;i<plog;i++)
//			{
//				char friendly_name[500] = {0};
//				char mac[50] = {0};
//				sscanf(log_buffer[i],"IN=%s OUT=%s SRC=%s DST=%s SPORT=%s DPORT=%s PROTO=%s time=%s %s\n", IN,OUT,SRC,DST,SPORT,DPORT,PROTO, date_str, time_str);
//			
//				strcpy(mac, "Unknown");
//				findMACByIPaddr(SRC, mac);
//				strcpy(friendly_name, "Empty");
//				findFriendlyNameByIPaddr(SRC, friendly_name);
//				
//			  websWrite(wp, "<TR align=middle>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DST);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, SRC);    		
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, mac);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, friendly_name);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, date_str);
//	  		websWrite(wp, " ");
//	  		websWrite(wp, time_str);
//  		
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DPORT);
//	  		websWrite(wp, "</FONT></TH></TR>\n");
//	
//				tsprintf("Log Entry[%d] => %s\n", i, log_buffer[i]);		
//				fprintf(fp_url_log ,"%s", log_buffer[i]);	
//			}				
//		}
//		else
//		{
//			if(plog == LOG_SIZE)
//				i = 1;
//			else
//				i = 0;
//				
//			for(i;i<plog;i++)
//			{
//				char friendly_name[500] = {0};
//				char mac[50] = {0};
//				sscanf(log_buffer[i],"IN=%s OUT=%s SRC=%s DST=%s SPORT=%s DPORT=%s PROTO=%s time=%s %s\n", IN,OUT,SRC,DST,SPORT,DPORT,PROTO, date_str, time_str);
//			
//				strcpy(mac, "Unknown");
//				findMACByIPaddr(SRC, mac);
//				strcpy(friendly_name, "Empty");
//				findFriendlyNameByIPaddr(SRC, friendly_name);
//				
//			  websWrite(wp, "<TR align=middle>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DST);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, SRC);    		
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, mac);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, friendly_name);
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, date_str);
//	  		websWrite(wp, " ");
//	  		websWrite(wp, time_str);
//  		
//	  		websWrite(wp, "</FONT></TH>\n");
//	  		websWrite(wp, "<TH bgcolor=#FFFFFF><FONT face=Arial size=2>");
//	  		websWrite(wp, DPORT);
//	  		websWrite(wp, "</FONT></TH></TR>\n");
//	
//				tsprintf("Log Entry[%d] => %s\n", i, log_buffer[i]);		
//				fprintf(fp_url_log ,"%s", log_buffer[i]);			
//			}
//		}
//		
//		fclose(fp_url_log);	
//		
//		tsprintf("=================================\n");
//	}
//	
//	//fclose(fp_size);
//	fclose(fp);    
//	return 1;
//}
/*Show Log Table*/
/*Show Current Time*/
//static int 
//ej_ShowCurrentTime(int eid , webs_t wp , int argc , char_t **argv ) 
//{
//	static const char *months[] = {
//        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
//        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
//};
//static const char *days[] = {
//        "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
//};
//
//		char bp[20];
//        struct  tm             *rv_tm;
//        struct  timeval         curtime;
//        time_t  systime;
//
//
//		time(&systime);
//        rv_tm = gmtime(&systime);
///*
//        sprintf(bp,"%s, %s %2d %2d:%02d:%02d %4d\n",
//                  days[rv_tm->tm_wday], months[rv_tm->tm_mon], rv_tm->tm_mday, 
//                  rv_tm->tm_hour, rv_tm->tm_min, rv_tm->tm_sec,
//                  1900+rv_tm->tm_year);
//
//        printf("%s", bp);
//*/        
//        websWrite(wp, ctime(&systime));	
//	return 1;
//}
/*Show Current Time*/

static void
validate_cgi(webs_t wp)
{
	struct variable *v;
	char *value;

	/* Validate and set variables in table order */
	for (v = variables; v < &variables[sizeof(variables)/sizeof(variables[0])]; v++) {
		if (!(value = websGetVar(wp, v->name, NULL)))
			continue;
		if ((!*value && v->nullok) || !v->validate)
		{
			//printf("broadcom.c : Nvram set [%s] : %s\n", v->name, value);
			nvram_set(v->name, value);
		}
		else
			v->validate(wp, value, v);
	}
}

char KillDhcpClient ( void )
{
 FILE *DhcpdFp = NULL;
 
 if ( ( DhcpdFp = fopen ( "/tmp/KillUdhcpc" , "w+" ) ) == NULL ) {
 	//Mark by Terence 20030512
  //fclose ( DhcpdFp );
  return 0;
 }
 
 fprintf ( DhcpdFp , "000\n" );
 
 fclose ( DhcpdFp );
 return 1;
}
int KillService(void)
{
	system("/usr/bin/killall filter");
	system("/usr/bin/killall portfw");	
}
int RecoverService(void)
{
	system("/sbin/filter&");
	system("/sbin/portfw&");
}

static int apply_cgi_wlmac(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_wlmac : %s\n", act);

	nvram_set("wl_mac_index", websGetVar(wp, "wl_mac_index", ""));
	websHeader(wp);
	websWrite(wp, (char_t *) refresh_header);
	websDone(wp, 200);
//		sys_commit();

	*action = NOTHING;
	*jumpto = JUMP_RETURN;
	
	return 1;
}

//static int apply_cgi_filterindex(char* act, int *action, int *jumpto, webs_t wp)
//{
//	tsprintf("apply_cgi_filterindex : %s\n", act);
//
//	nvram_set("filter_index", websGetVar(wp, "filter_index", ""));
//	nvram_set("filter_type", websGetVar(wp, "filter_type", ""));		
////		sys_commit();		
////		sleep(2);
//	websHeader(wp);
//	websWrite(wp, (char_t *) filter_header);
//	websDone(wp, 200);
//	
//	*action = NOTHING;
//	*jumpto = JUMP_RETURN;
//	
//	return 1;
//}
/*
static int apply_cgi_GenKey(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_GenKey : %s\n", act);

	nvram_set("PassphraseKeyLength", websGetVar(wp, "Key_Length_24G", ""));
	nvram_set("wl_passphrase", websGetVar(wp, "wl_passphrase", ""));

	websHeader(wp);				
	websWrite(wp, (char_t *) genkey_header);
	websDone(wp, 200);
//		sys_commit();	

	*action = NOTHING;
	*jumpto = JUMP_RETURN;
		
	return 1;
}

static int apply_cgi_GenKey_5G(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_GenKey_5G : %s\n", act);

	nvram_set("PassphraseKeyLength", websGetVar(wp, "Key_Length_5G", ""));
	nvram_set("wl_passphrase", websGetVar(wp, "wl_passphrase", ""));
		
	websHeader(wp);				
	websWrite(wp, (char_t *) genkey_header);
	websDone(wp, 200);
	//		sys_commit();		
	
	*action = NOTHING;
	*jumpto = JUMP_RETURN;	
	
	return 1;
}
*/
/*
static int apply_cgi_network_diagnostic(char* act, int *action, int *jumpto, webs_t wp)
{
	FILE *fp = NULL ;
	char buf[1024];
	char temp[50];
	int count = 0;

	tsprintf("apply_cgi_network_diagnostic : %s\n", act);
	
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
	//websWrite(wp, "<form>\n");
	//websWrite(wp, "<a href=\"gw_network_diagnostic.asp\">Return to Network Diagnostic Page</a>&nbsp;&nbsp;\n");	
	//websWrite(wp, "<input type=\"hidden\" name=\"action\" value=\"cmd\">\n");
	//websWrite(wp, "<table><tr><th align=\"right\">Command :&nbsp;&nbsp; </th><td>&nbsp;<input name=\"cmdfile\"  size=\"15\"></td></tr><tr><th align=\"right\">Output file :&nbsp;&nbsp; </th><td>&nbsp;<input name=\"tempfile\"  size=\"15\"></td></tr></table>\n");
	//websWrite(wp, "<input type=\"submit\" name=\"cmdBtn\" value=\"cmd\">\n");
	
	if(!strcmp(websGetVar(wp, "cmd", ""), ""))
	{
		websWrite(wp, "cmd : command error\n");	
	}
	else
	{
		if(!strcmp(websGetVar(wp, "tempfile", ""), ""))
		{
			sprintf(temp, "/tmp/network_diag");
		}
		else
		{
			sprintf(temp, "/tmp/%s", websGetVar(wp, "tempfile", ""));
		}

		sprintf(buf, "%s > %s", websGetVar(wp, "cmd", ""), temp);
		system(buf);
		
		fp = fopen(temp, "r") ;
		//websWrite(wp, "Network Diagnostic Result : ");
		//websWrite(wp, buf);
		//websWrite(wp, "<br><br><hr><br>\n");
		
		if( fp == NULL )
		{
			//websWrite(wp, "No Network Diagnostic Result!\n");
			return *action;
		}
		
		while(fgets( buf, sizeof(buf), fp ))
		{
			count++;
			websWrite(wp, buf);
			websWrite(wp, "<br>\n");			
		}
		
		if(count == 0)
		{
			//websWrite(wp, "Network unreachable!");
			websWrite(wp, "<br>\n");	
		}
										
		fclose(fp);
	}
	//websWrite(wp, "<br><img src=\"bar.gif\"><br>\n");	
	//websWrite(wp, "</from><br><br><hr><br>\n");
	websWrite(wp, (char_t *) apply_footer);	
	websFooter(wp);
	websDone(wp, 200);	
	
	*action = NOTHING;
	*jumpto = JUMP_RETURN;
	
	//goto NOTHING ;	
	return *action;
}
*/
extern struct sockaddr_in mysockaddr;

static int apply_cgi_log_out(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_log_out : %s\n", act);

	/* Modify by Terence to tune process priority 20030715 */
	{
		pid_t PID = 0;
		PID = getpid ();
		setpriority ( PRIO_PROCESS , PID , -10 ); 
	}
	
	AuthReset = 1;
	memset(&mysockaddr, 0, sizeof(mysockaddr));
	websWrite(wp, Login_Fail_asp);

	{
		char msg[100];
		char bp[20];
    struct  tm             *rv_tm;
    struct  timeval         curtime;
		time_t  systime;
		static const char *months[] = {
		        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
		        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
		};
		static const char *days[] = {
		        "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
		};

		time(&systime);
  	rv_tm = gmtime(&systime);

  	sprintf(bp,"%s, %s %2d %2d:%02d:%02d %4d",
            days[rv_tm->tm_wday], months[rv_tm->tm_mon], rv_tm->tm_mday, 
            rv_tm->tm_hour, rv_tm->tm_min, rv_tm->tm_sec,
            1900+rv_tm->tm_year);
		
		memset( msg, '\0', sizeof(msg) );
		
		sprintf( msg, "%s##%s logout", bp, nvram_get("login_addr"));
		//write_eventlog(2, msg);
		//ap_syslogd( msg );
	}
	websDone(wp, 200);
	
	/* Modify by Terence to tune process priority 20030715 */
	{
	pid_t PID = 0;
	PID = getpid ();
	setpriority ( PRIO_PROCESS , PID , 0); 
	}

	*action = NOTHING;
	*jumpto = JUMP_ACTION;
	nvram_set("login_addr","0");
	//goto footer;
	return *action;
}

static int apply_cgi_restart(char* act, int *action, int *jumpto, webs_t wp)
{
	char buf[200];
	tsprintf("apply_cgi_restart : %s\n", act);
	//ap_syslogd("System reboot");
	//websHeader(wp);
	//websWrite(wp, (char_t *) apply_header);
	websWrite(wp, (char_t *) apply_asp_header);
	
	sprintf(buf, "<input type=\"hidden\" name=\"dest_ip\" value=\"%s\">\n", nvram_get("wan_ipaddr"));
		
	websWrite(wp, buf);		
	websWrite(wp, (char_t *) apply_asp_footer);	
	websDone(wp, 200);
	//*action = REBOOT;
	*action = NOTHING;
	
	*jumpto = JUMP_ACTION;
	//goto footer;
	return *action;
}

static int apply_cgi_DDNS(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_DDNS : %s\n", act);
	
/*	char Useraccount[50];
	char cmdstr[100];
	
	system("killall updatedd");
	if (!strcmp(value, "TZODDNS"))
		sprintf(cmdstr, "updatedd -S tzo -n %s -e %s -k %s", nvram_safe_get("DDNSHostname")
											  	  , nvram_safe_get("DDNSEmail")
												  , nvram_safe_get("DDNSKey")
																			);
	else
	{
		sprintf(Useraccount, "%s:%s",nvram_safe_get("DDNSUsername"),nvram_safe_get("DDNSPassword"));
		sprintf(cmdstr, "updatedd -s dyndns -n %s -u %s"	, nvram_safe_get("DDNSHostname")
															, Useraccount
															);		
	}
	system(cmdstr);
	websWrite(wp, (char_t *) refresh_header);
	websDone(wp, 200);
	sys_commit();		
	return 1;				*/
	return *action;
}

static int apply_cgi_DHCPStatus(char* act, int *action, int *jumpto, webs_t wp)
{
	char killstr[20];
	char ifstr[30];
	char cmdstr[100];		
	char *hostname = nvram_get("wan_hostname");	

	tsprintf("apply_cgi_DHCPStatus : %s\n", act);

	if (hostname == NULL || !strcmp(hostname,""))
		sprintf(cmdstr, "udhcpc -b -i eth1 -p /var/run/udhcpc.pid -s /tmp/udhcpc &");
	else
		sprintf(cmdstr, "udhcpc -b -i eth1 -p /var/run/udhcpc.pid -s /tmp/udhcpc -H %s &", hostname);
	sprintf(ifstr, "ifconfig eth1 0.0.0.0");
	sprintf(killstr, "echo 000>/tmp/KillUdhcpc");
	if	( atoi(websGetVar(wp, "ConnectionOption", "")) == 1 )
	{

		system(ifstr);
		/* system(killstr); */
		KillDhcpClient ();
		printf("DHCP Release...\n");
			nvram_set("wan_ipaddr", "0.0.0.0");
			nvram_set("wan_netmask", "0.0.0.0");
			nvram_set("wan_gateway", "0.0.0.0");
			nvram_set("wan_dns", "0.0.0.0 0.0.0.0 0.0.0.0");
		KillService();
	}
	else
if	( atoi(websGetVar(wp, "ConnectionOption", "")) == 2 )
	{
		system(ifstr);
		/* printf ( "$$$ %d $$$\n" , system(killstr) ); */
		KillDhcpClient();
		printf("DHCP Release...\n");
		
		/* Modify by Terence for Motorla 20030603 */
		nvram_set("wan_ipaddr", "0.0.0.0");
		nvram_set("wan_netmask", "0.0.0.0");
		nvram_set("wan_gateway", "0.0.0.0");
		nvram_set("wan_dns", "0.0.0.0 0.0.0.0 0.0.0.0");
			
		KillService();
		
		sleep (2);
		system(cmdstr);
		sleep (2);
		system("/sbin/udhcpdset &");
		RecoverService();
		printf("DHCP Renew...\n");
	}
//	else
//	{
//		system(ifstr);
//		/* printf ( "$$$ %d $$$\n" , system(killstr) ); */
//		if (strcmp(nvram_safe_get("wan_ipaddr"),"0.0.0.0" ))
//			KillDhcpClient();
//		sleep (3);
//		system(cmdstr);
//		sleep ( 5 );
//		system("/sbin/udhcpdset");
//		RecoverService();
//		printf("DHCP Renew...\n");
//	}
	
	
	nvram_set("ConnectionOption", 0);
	websWrite(wp, (char_t *) refresh_header);
	websDone(wp, 200);
	sys_commit();		
	return 1;		
}

//static int apply_cgi_PPPoE_PPTP_Status(char* act, int *action, int *jumpto, webs_t wp)
//{
//	char killstr[20];
//	char ifstr[30];
//	char cmdstr[100];
//	struct ifreq ifr;
//	int s;
//	
//	tsprintf("apply_cgi_PPPoE_PPTP_Status : %s\n", act);	
//	
//	if (!strcmp(nvram_safe_get("pptp_enable"), "1"))
//	{
//		sprintf(killstr, "killall pptp");
//		if (!strcmp(nvram_safe_get("wan_proto"), "pppoe"))
//			sprintf(ifstr, "ifconfig ppp1 0.0.0.0");
//		else
//			sprintf(ifstr, "ifconfig ppp0 0.0.0.0");				
//		sprintf(cmdstr, "pptp %s", nvram_safe_get("pptp_gateway"));
//	}
//	else if (!strcmp(nvram_safe_get("wan_proto"), "pppoe"))
//	{
//		system("rm -f /tmp/Killpppoecd");
//		sprintf(killstr, "killall pppoecd");
//		sprintf(ifstr, "ifconfig ppp0 0.0.0.0");
//		sprintf(cmdstr, "pppoecd %s -u %s -p %s -r %s -t %s -i %s", nvram_safe_get("pppoe_ifname"),
//nvram_safe_get("pppoe_username"),
//nvram_safe_get("pppoe_passwd"),
//nvram_safe_get("pppoe_mru"),
//nvram_safe_get("pppoe_mtu"),
//nvram_match("pppoe_demand", "1") ? nvram_safe_get("pppoe_idletime") : "0",
//nvram_match("pppoe_demand", "1") || nvram_match("pppoe_keepalive", "1") ? "-k" : NULL);
//	}
//
//			
//	if( atoi(websGetVar(wp, "ConnectionOption", "")) == 1 )		// Disconnect
//	{
//		system(killstr);
//		sleep(3);// added by Jimmy Ma 2003.2.22
//		system(ifstr);
//
//		
//		if (nvram_match("pppoe_demand", "1")) {
//			system(cmdstr);
//			while (ifconfig(nvram_safe_get("wan_ifname"), IFUP,
//				NULL, "255.255.255.255"));		
//		
//			if ((s = socket(AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0)
//				return;
//
//			/* Set P-t-P address if available */
//			strncpy(ifr.ifr_name, nvram_safe_get("wan_ifname"), IFNAMSIZ);
//			inet_aton(nvram_safe_get("wan_gateway"), &sin_addr(&ifr.ifr_dstaddr));
//			ifr.ifr_dstaddr.sa_family = AF_INET;
//			ioctl(s, SIOCSIFDSTADDR, &ifr);
//
//			/* Delete all default routes */
//			while (route_del(nvram_safe_get("wan_ifname"), 0, NULL, NULL, NULL) == 0);
//
//			/* Set default route to gateway if specified */
//			route_add(nvram_safe_get("wan_ifname"), 0, "0.0.0.0", nvram_safe_get("wan_gateway"), "0.0.0.0");					
//		}
//		
//		nvram_set("pppoe_status", "0");
//		LED_wan_ip_ok(0);		
//		if (!strcmp(nvram_safe_get("pptp_enable"), "1"))
//		{
//			nvram_set("pptp_ipaddr", "0.0.0.0");
//			nvram_set("pptp_netmask", "0.0.0.0");
//			nvram_set("pptp_dstaddr", "0.0.0.0");
//			nvram_set("pptp_status", "0");				
//		}
//		else
//		{
//			nvram_set("wan_ipaddr", "0.0.0.0");
//			nvram_set("wan_netmask", "0.0.0.0");
//			nvram_set("wan_gateway", "0.0.0.0");
//			nvram_set("wan_dns", "0.0.0.0 0.0.0.0 0.0.0.0");
//	
//		}
//		KillService();
//		ycprintf("Wan Release...\n");		
//		
//	}
//	else	// connect
//	{
//		
//		nvram_set("pppoe_status", "2");
//		nvram_set("pptp_status", "2");
//
//		if (!nvram_match("pppoe_demand", "1")) {
//			system(killstr);
//			sleep(3);// added by Jimmy Ma 2003.2.22
//			system(ifstr);
//			system(cmdstr);
//		}
//
//
//		if (!strcmp(nvram_safe_get("pptp_enable"), "1"))
//		{
//			sleep(2);
//			system("/tmp/GetPPTPAddr");
//		}
//		ycprintf("Wan Renew...\n");
//	/*Added by Jimmy*/
//	{ 
//
//	/* Pretend that the WAN interface is up */
//		if (nvram_match("pppoe_demand", "1")) {
//			while (ifconfig(nvram_safe_get("wan_ifname"), IFUP,
//				NULL, "255.255.255.255"));		
//		
//		if ((s = socket(AF_INET, SOCK_RAW, IPPROTO_RAW)) < 0)
//			return;
//
//		
//
//
//		/* Set P-t-P address if available */
//		strncpy(ifr.ifr_name, nvram_safe_get("wan_ifname"), IFNAMSIZ);
//		inet_aton(nvram_safe_get("wan_gateway"), &sin_addr(&ifr.ifr_dstaddr));
//		ifr.ifr_dstaddr.sa_family = AF_INET;
//		ioctl(s, SIOCSIFDSTADDR, &ifr);
//
//		/* Delete all default routes */
//		while (route_del(nvram_safe_get("wan_ifname"), 0, NULL, NULL, NULL) == 0);
//
//		/* Set default route to gateway if specified */
//		route_add(nvram_safe_get("wan_ifname"), 0, "0.0.0.0", nvram_safe_get("wan_gateway"), "0.0.0.0");
//		system("/usr/sbin/pingondemand &");
//		}	
//		
//		
//	}/*Added by Jimmy*/
//		RecoverService();
//	}
//
//	nvram_set("ConnectionOption", 0);
//	websWrite(wp, (char_t *) refresh_header);
//	websDone(wp, 200);
//	sys_commit();		
//	return 1;		
//	
//}

static int apply_cgi_SelFilter(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_SelFilter : %s\n", act);
/*	
	nvram_set("RuleIDTemp", websGetVar(wp, "RuleIDTemp", ""));
	nvram_set("ScheduleListTemp", websGetVar(wp, "ScheduleListTemp", ""));
	nvram_set("filter_ipATemp", websGetVar(wp, "filter_ipATemp", ""));
	nvram_set("filter_ipNotTemp", websGetVar(wp, "filter_ipNotTemp", ""));
	nvram_set("filter_macATemp", websGetVar(wp, "filter_macATemp", ""));
	nvram_set("filter_macNotTemp", websGetVar(wp, "filter_macNotTemp", ""));
	nvram_set("filter_portVarTemp", websGetVar(wp, "filter_portVarTemp", ""));
	sys_commit();
	websHeader(wp);
	websWrite(wp, (char_t *) refresh_header);
	websDone(wp, 200);
*/
	return 1;	
}

static int apply_cgi_wizard(char* act, int *action, int *jumpto, webs_t wp)
{
	
	char buf[200];
	
	tsprintf("apply_cgi_wizard : %s\n", act);

	websWrite(wp, (char_t *) apply_asp_wizard_header);

	tsprintf("Finish header apply_cgi_wizard : %s\n", act);
	validate_cgi(wp);
	//*action = RESTART;	
	//nvram_set("NeedReboot", "1");
	
	if(!strcmp(nvram_get("wl_key_input_method"), "0")) /* 0 */
	{
		if(!strcmp(nvram_get("wl_key_strength"), "64")) /* 64 128 */
		{
			//unsigned char key_buf[65] = {0};
			unsigned char buf[65] = {0};
			gen_11i_passphrase_key();
			//strncpy(key_buf, nvram_get("Passphrase_key_11i"), 65);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[0], key_buf[1], key_buf[2], key_buf[3], key_buf[4]);
			nvram_set("wl_key1", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[8], key_buf[9], key_buf[10], key_buf[11], key_buf[12]);
			nvram_set("wl_key2", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[16], key_buf[17], key_buf[18], key_buf[19], key_buf[20]);
			nvram_set("wl_key3", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[24], key_buf[25], key_buf[26], key_buf[27], key_buf[28]);
			nvram_set("wl_key4", buf);			
			
			//printf("Final result : \n");
			//printf("1 : %s\n2 : %s\n3 : %s\n4 : %s\n", nvram_get("wl_key1"), nvram_get("wl_key2"), nvram_get("wl_key3"), nvram_get("wl_key4"));
		}
		else if(!strcmp(nvram_get("wl_key_strength"), "128"))
		{
			//unsigned char key_buf[65] = {0};
			unsigned char buf[65] = {0};
			gen_11i_passphrase_key();
			//strncpy(key_buf, nvram_get("Passphrase_key_11i"), 65);
			sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", key_buf[0], key_buf[1], key_buf[2], key_buf[3], key_buf[4], key_buf[5], key_buf[6], key_buf[7], key_buf[8], key_buf[9], key_buf[10], key_buf[11], key_buf[12]);
			nvram_set("wl_key1", buf);			
			sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", key_buf[16], key_buf[17], key_buf[18], key_buf[19], key_buf[20], key_buf[21], key_buf[22], key_buf[23], key_buf[24], key_buf[25], key_buf[26], key_buf[27], key_buf[28]);			
			nvram_set("wl_key2", buf);
			nvram_set("wl_key3", "");
			nvram_set("wl_key4", "");			
			
			//printf("Final result : \n");
			//printf("1 : %s\n2 : %s\n3 : %s\n4 : %s\n", nvram_get("wl_key1"), nvram_get("wl_key2"), nvram_get("wl_key3"), nvram_get("wl_key4"));
			
		}
		else
		{
			//printf("Unknown wl_key_strength!\n"); 
//			return;
		}
	}
		
	tsprintf("Finish apply_cgi_wizard : %s action : %d\n", act, *action);

	sprintf(buf, "<input type=\"hidden\" name=\"dest_ip\" value=\"%s\">\n", nvram_get("wan_ipaddr"));

	websWrite(wp, buf);		
	websWrite(wp, (char_t *) apply_asp_wizard_footer);	
	websDone(wp, 200);

	sys_commit();
	
	wizard_reboot = 1;
	
	*action = NOTHING;		
	*jumpto = JUMP_ACTION;
	
	return *action;
}

static int apply_cgi_Apply_Child(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_Apply_Child : %s\n", act);
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header_child);
	tsprintf("Finish header apply_cgi_Apply_Child : %s\n", act);
	validate_cgi(wp);
	//*action = RESTART;	
	nvram_set("NeedReboot", "1");
	tsprintf("Finish apply_cgi_Apply_Child : %s action : %d\n", act, *action);
	
	*action = NOTHING;		
	*jumpto = JUMP_NOTHING;
	
	return *action;
}

static int
ej_get_debug_result( int eid , webs_t wp , int argc , char_t **argv )
{
	FILE *fp;
	char buf[1026];
	int count = 0;
	
	fp = fopen("/tmp/debug_result", "r") ;
	//websWrite(wp, "Network Diagnostic Result : ");
	//websWrite(wp, buf);
	//websWrite(wp, "<br><br><hr><br>\n");
	
	if( fp == NULL )
	{
		websWrite(wp, "");
		return ;
	}
	
	while(fgets( buf, sizeof(buf)-2, fp ))
	{
		char *p_str = NULL;
		count++;
		if(p_str = strchr(buf, '\n'))
		{
		  memset(p_str, '\\', 1);
		  memset(p_str + 1, 'n', 1);
		  memset(p_str + 2, 0, 1);
		}		  
		websWrite(wp, buf);
	}
	
	if(count == 0)
	{
		//websWrite(wp, "Network unreachable!");
	}
									
	fclose(fp);
}

static int ej_nvram_dump(int eid, webs_t wp, int argc, char_t **argv)
{
        /* create file: /tmp/var/tmp/nvram */
#if 0
	pid_t pid;
	int ret = EINVAL;
	tsprintf("start to create /tmp/var/tmp/nvram\n");

        _eval("/usr/sbin/nvram show",">/tmp/var/tmp/nvram", 0, &pid);
	waitpid(pid, &ret, 0);
        tsprintf("create done\n");
	system("/usr/sbin/nvram show > /tmp/var/tmp/nvram");
	sleep(1);

#endif
	FILE *fp = NULL;
        char nvram_buf[NVRAM_SPACE];
	char temp[1024];
	char *p;
	fp = fopen("/tmp/var/tmp/nvram","w");
	if (!fp)
	{
		tsprintf("can't open /tmp/var/tmp/nvram\n");
		return -1;
	}

	/* get names and values in nvram */
	nvram_getall(nvram_buf, sizeof(nvram_buf));

	for(p=nvram_buf; *p ; p+=strlen(p)+1)
	{
		memset(temp,0,sizeof(temp));
		sprintf(temp,"nvram_%s",p);
		fprintf(fp,"%s\n",temp);
	}

	fclose(fp);
	return 0;
}

static int apply_cgi_debug_page(char* act, int *action, int *jumpto, webs_t wp)
{
	FILE *fp = NULL ;
	char buf[1024];
	char temp[50];
	int count = 0;

	tsprintf("apply_cgi_debug_page : %s\n", act);
	
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
	//websWrite(wp, "<form>\n");
	//websWrite(wp, "<a href=\"gw_network_diagnostic.asp\">Return to Network Diagnostic Page</a>&nbsp;&nbsp;\n");	
	//websWrite(wp, "<input type=\"hidden\" name=\"action\" value=\"cmd\">\n");
	//websWrite(wp, "<table><tr><th align=\"right\">Command :&nbsp;&nbsp; </th><td>&nbsp;<input name=\"cmdfile\"  size=\"15\"></td></tr><tr><th align=\"right\">Output file :&nbsp;&nbsp; </th><td>&nbsp;<input name=\"tempfile\"  size=\"15\"></td></tr></table>\n");
	//websWrite(wp, "<input type=\"submit\" name=\"cmdBtn\" value=\"cmd\">\n");
	
	if(!strcmp(websGetVar(wp, "cmd", ""), ""))
	{
		websWrite(wp, "cmd : command error\n");	
	}
	else
	{
		if(!strcmp(websGetVar(wp, "tempfile", ""), ""))
		{
			sprintf(temp, "/tmp/network_diag");
		}
		else
		{
			sprintf(temp, "/tmp/%s", websGetVar(wp, "tempfile", ""));
		}

		sprintf(buf, "/usr/bin/killall %s", websGetVar(wp, "cmd_type", ""));
		tsprintf("%s\n", buf);
		system(buf);
		
		sprintf(buf, "%s > %s", websGetVar(wp, "cmd", ""), temp);
		system(buf);
		
		fp = fopen(temp, "r") ;
		//websWrite(wp, "Network Diagnostic Result : ");
		//websWrite(wp, buf);
		//websWrite(wp, "<br><br><hr><br>\n");
		
		if( fp == NULL )
		{
			//websWrite(wp, "No Network Diagnostic Result!\n");
			return *action;
		}
		
		while(fgets( buf, sizeof(buf), fp ))
		{
			count++;
			websWrite(wp, buf);
			websWrite(wp, "<br>\n");			
		}
		
		if(count == 0)
		{
			//websWrite(wp, "Network unreachable!");
			websWrite(wp, "<br>\n");	
		}
										
		fclose(fp);
	}
	//websWrite(wp, "<br><img src=\"bar.gif\"><br>\n");	
	//websWrite(wp, "</from><br><br><hr><br>\n");
	websWrite(wp, (char_t *) apply_footer);	
	websFooter(wp);
	websDone(wp, 200);	
	
	*action = NOTHING;
	*jumpto = JUMP_RETURN;
	
	//goto NOTHING ;	
	return *action;
}

static int apply_cgi_Apply(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_Apply : %s\n", act);
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
	tsprintf("Finish header apply_cgi_Apply : %s\n", act);
	validate_cgi(wp);
	//*action = RESTART;	
	nvram_set("NeedReboot", "1");
	tsprintf("Finish apply_cgi_Apply : %s action : %d\n", act, *action);
	
	*action = NOTHING;		
	*jumpto = JUMP_NOTHING;
	
	return *action;
}

static int apply_cgi_Restore_Defaults(char* act, int *action, int *jumpto, webs_t wp)
{
	char buf[200];
	
	tsprintf("apply_cgi_Restore_Defaults : %s\n", act);

	websWrite(wp, (char_t *) apply_asp_header);

	nvram_set("wan_ipaddr", "192.168.40.1");	
	nvram_set("server_ipaddr", "192.168.40.1");	

	nvram_set("move_to_defaults" , "1");
	
	sprintf(buf, "<input type=\"hidden\" name=\"dest_ip\" value=\"%s\">\n", nvram_get("wan_ipaddr"));
		
	websWrite(wp, buf);		
	websWrite(wp, (char_t *) apply_asp_footer);	
	websDone(wp, 200);

	//system ( "echo 000 >/tmp/ResetToDefaultFlag" );
		
	*action = NOTHING; 
	*jumpto = JUMP_FOOTER;
	
	return *action;		 		
}

static int apply_cgi_Release(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_Release : %s\n", act);

	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);

	websWrite(wp, "Releasing lease...");
	sys_release();
	websWrite(wp, "done<br>");
	
	*action = NOTHING;		
	*jumpto = JUMP_NOTHING;
	
	return *action;
}

static int apply_cgi_Renew(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_Renew : %s\n", act);
	
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);

	websWrite(wp, "Renewing lease...");
	sys_renew();
	websWrite(wp, "done<br>");
	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
	
	return *action;		
}

void show_current_time(char *p)
{
//For Debug
			{
			char msg[100];
			char bp[20];
      struct  tm             *rv_tm;
      struct  timeval         curtime;
			time_t  systime;
			static const char *months[] = {
			        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
			        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
			};
			static const char *days[] = {
			        "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
			};

			time(&systime);
    	rv_tm = gmtime(&systime);

    	sprintf(bp,"%s, %s %2d %2d:%02d:%02d %4d",
              days[rv_tm->tm_wday], months[rv_tm->tm_mon], rv_tm->tm_mday, 
              rv_tm->tm_hour, rv_tm->tm_min, rv_tm->tm_sec,
              1900+rv_tm->tm_year);
			
			memset( msg, '\0', sizeof(msg) );
			
			sprintf( msg, "%s##%s %s", bp, nvram_get("login_addr"), p);
			printf("broadcom.c : %s\n", msg);
			}

}

char server_ipaddr[16] = {0}, server_netmask[16] = {0}, server_domain[16] = {0}, client_domain[16] = {0};

static int apply_cgi_Login(char* act, int *action, int *jumpto, webs_t wp)
{
	char *id, *passwd;
	
	/* Modify by Terence to tune process priority 20030715 */
	{
		pid_t PID = 0;
		PID = getpid ();
		setpriority ( PRIO_PROCESS , PID , -10 ); 
	}
			
	tsprintf("apply_cgi_Apply : %s\n", act);
	
	id = websGetVar(wp, "userid", "");
	passwd = websGetVar(wp, "password", "");
	
	tsprintf("id : %s, passwd : %s, NVRAM user : %s password : %s\n", id, passwd, nvram_get("http_username"), nvram_get("http_passwd"));
	
	
	//websHeader(wp);
	//websWrite(wp, (char_t *) apply_header);
	
	if(strcmp( id, nvram_get("http_username") ) == 0 && strcmp( passwd, nvram_get("http_passwd") ) == 0 )
	{
		 /* Walter add for fixing authentication hole Oct-04-2004*/
		if(strcmp(nvram_safe_get("login_addr"),"0") && strcmp(nvram_safe_get("login_addr"),login_addr_global))
		 {
		   //fprintf(stderr, "Login error: someone already in login session\n");	    
		   websWrite(wp,"<HTML><HEAD><TITLE>403.9 Only one login allowed</TITLE></HEAD>\n<BODY BGCOLOR=\"#cc9999\"><H4>403.9 Only one login allowed,<p> please try again a few minites later, <p> redirect...</H4>\n");    		
    		   //websWrite(wp,"Redirect... \r\n" );
    		   websWrite(wp,"</BODY></HTML>\r\n" );
		   return;
		   
		 } 
		 else
		 {
		   nvram_set("login_addr",login_addr_global); //Walter add
		        
		 
		//websWrite(wp, "Redirect to <a href=frames.asp>frames.asp</a>");
//		{
//			char msg[100];
//			char bp[20];
//      struct  tm             *rv_tm;
//      struct  timeval         curtime;
//			time_t  systime;
//			static const char *months[] = {
//			        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
//			        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
//			};
//			static const char *days[] = {
//			        "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
//			};
//
//			time(&systime);
//    	rv_tm = gmtime(&systime);
//
//    	sprintf(bp,"%s, %s %2d %2d:%02d:%02d %4d",
//              days[rv_tm->tm_wday], months[rv_tm->tm_mon], rv_tm->tm_mday, 
//              rv_tm->tm_hour, rv_tm->tm_min, rv_tm->tm_sec,
//              1900+rv_tm->tm_year);
//			
//			memset( msg, '\0', sizeof(msg) );
//			
//			sprintf( msg, "%s##%s login success", bp, nvram_get("login_addr"));
//			write_eventlog(2, msg);
//			//ap_syslogd( msg );
//		}

		if(MOTOROLA_Wizard == 1)
			websWrite(wp, Login_OK_wizard_asp);
		else
			websWrite(wp, Login_OK_asp);
		
		tsprintf("Login device is : %s\n", nvram_get("login_addr"));
		
		if(AuthReset == 1)
		{
			//show_current_time("login1");
			
//			if(!strcmp(server_domain, ""))//Save IP and Subnet mask information at first time.
//			{
//				strncpy(server_ipaddr, nvram_get("lan_ipaddr"), 15);
//				strncpy(server_netmask, nvram_get("lan_netmask"), 15);	
//				nvram_set("server_ipaddr", nvram_safe_get("wan_ipaddr"));
//				nvram_set("server_netmask", nvram_safe_get("wan_netmask"));				
//				nvram_set("server_gateway", nvram_safe_get("wan_gateway"));					
//				nvram_set("server_lan_ipaddr", nvram_safe_get("lan_ipaddr"));					
//				get_ip_domain(server_ipaddr, server_netmask, server_domain);	
//				tsprintf("Server domain : %s\n", server_domain);					
//			}
//
//			//show_current_time("login2");
//
//			get_ip_domain(nvram_get("login_addr"), server_netmask, client_domain);
//			tsprintf("Client domain : %s\n", client_domain);		
//							
//			if(strcmp(client_domain, server_domain))
//			{
//				tsprintf("Different domain\n");
//				theSameDomain = 0;
//			}
//			else
//			{
//				tsprintf("The same domain\n");
//				theSameDomain = 1;			
//			}	
			
			//The same domain forever
			theSameDomain = 1;
		}
		AuthReset = 0;
		
		//show_current_time("login3");
	    }	
	}
	else
	{
		//websWrite(wp, "Authentication error!!!");
		AuthReset = 1;

//		{
//			char msg[100];
//			char bp[20];
//      struct  tm             *rv_tm;
//      struct  timeval         curtime;
//			time_t  systime;
//			static const char *months[] = {
//			        "Jan", "Feb", "Mar", "Apr", "May", "Jun",
//			        "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
//			};
//			static const char *days[] = {
//			        "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"
//			};
//
//			time(&systime);
//    	rv_tm = gmtime(&systime);
//
//    	sprintf(bp,"%s, %s %2d %2d:%02d:%02d %4d",
//              days[rv_tm->tm_wday], months[rv_tm->tm_mon], rv_tm->tm_mday, 
//              rv_tm->tm_hour, rv_tm->tm_min, rv_tm->tm_sec,
//              1900+rv_tm->tm_year);
//			
//			memset( msg, '\0', sizeof(msg) );
//			
//			sprintf( msg, "%s##%s login fail", bp, nvram_get("login_addr"));
//			write_eventlog(2, msg);
//			//ap_syslogd( msg );
			nvram_set("login_msg", "fail");
//		}
		websWrite(wp, Login_Fail_asp);		
	}
	tsprintf("broadcom.c : AuthReset => %d %p\n", AuthReset, &AuthReset);
	websDone(wp, 200);
	*action = NOTHING;
	*jumpto = JUMP_ACTION;
	
	return *action;
}

static int apply_cgi_backup_configuration(char* act, int *action, int *jumpto, webs_t wp)
{
	
	tsprintf("apply_cgi_backup_configuration : %s\n", act);
	
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header_child);
	validate_cgi(wp);

	
	/* make /tmp/config.bin */
	{
		char *restore_argv[] = { "/sbin/restore", "/tmp/var/tmp/nvram", "1", "/tmp/config.bin", "/tmp/test", nvram_get("ModelId"), NULL};
		int ret = EINVAL;
		pid_t pid;
		
		tsprintf("broadcom.c : Backup nvram file..."); 
		_eval(restore_argv, NULL, 0, &pid);
		waitpid(pid, &ret, 0);
		tsprintf("done\n"); 		
	}
	websWrite(wp, "<script>window.parent.config_bottom.location.href = 'config.bin';</script>\n");
	
	*action = NOTHING;		
	*jumpto = JUMP_NOTHING;
	
	return *action;
}

static int apply_cgi_restore_configuration(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_restore_configuration : %s\n", act);
	
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
	validate_cgi(wp);
	
	*action = NOTHING;		
	*jumpto = JUMP_NOTHING;
	
	return *action;
}

static int apply_cgi_redirect_to_reboot(char* act, int *action, int *jumpto, webs_t wp)
{
	char buf[100] = {0};
	
	tsprintf("apply_cgi_redirect_to_reboot : %s\n", act);

	websWrite(wp, (char_t *) reboot_asp);

	sprintf(buf, "<input type=\"hidden\" name=\"dest_ip\" value='%s'\">\n", nvram_get("wan_ipaddr"));
	
	websWrite(wp, buf);			
	
	sprintf(buf, "<input type=\"hidden\" name=\"wan_proto\" value='%s'>\n", nvram_get("wan_proto"));
	websWrite(wp, buf);		

	websWrite(wp, (char_t *) reboot_asp_footer);
	
	//validate_cgi(wp);
	websDone(wp, 200);
	*action = REBOOT;		
	*jumpto = JUMP_ACTION;
	
	return *action;
}


static int apply_cgi_restore(char* act, int *action, int *jumpto, webs_t wp)

{
		FILE *fp = NULL ;
		char buf[1024];
		char name[50];
		char temp[50];
		char *base = NULL ;
		char *b = NULL ;
		
		fp = fopen( "/tmp/config.txt", "r" ) ;
		
		if( fp == NULL )
		{
			printf("open config.txt error \n");
		
			websWrite(wp, (char_t *) apply_header_child);
		
			websWrite(wp, (char_t *) apply_restore_footer);
		
			websDone(wp, 200);
			
			*action = NOTHING; 
			*jumpto = JUMP_ACTION;
	
			return;
		}
		else
		{
			printf("Open confoig.txt success!\n");
		}	
		while(fgets( buf, sizeof(buf), fp ))
		{
			if( base = strchr( buf, '=' ) )
			{
				memset( name, '\0', sizeof(name) );
				memset( temp, '\0', sizeof(temp) );
				memcpy( temp, buf, &base[0]-&buf[0] );
				
				if( b = strchr( temp, '_' ) )
				{
					b = b + 1 ;
					strcpy(name,b);
					
					if(!strcmp(name, "sdram_init") || !strcmp(name, "SerialNumber") || !strcmp(name, "et0macaddr") || !strcmp(name, "et1macaddr") || !strcmp(name, "lan_hwaddr") || !strcmp(name, "wan_hwaddr") || !strcmp(name, "BackupForMAClone") || !strcmp(name, "MACloneSys") || !strcmp(name, "MACloneAddress") || !strcmp(name, "http_username") || !strcmp(name, "http_passwd"))
					{
						//Do nothing
						DanielDBG(
							cprintf("This name is %s...do nothing\n", name);
						)						
					}
					else
					{
						char *p_str=NULL;
						DanielDBG(
							cprintf("name=%s\t", name);
						)
						base = base + 1 ;
						if(p_str = strchr(base, '\n'))
						  memset(p_str, 0, 1);
						printf("Nvram set : [%s] [%s]\n", name, base);
						
						DanielDBG(
							cprintf("value=%s\n", base);
							cprintf("start nvram_set( name, base);\n");
						)
						nvram_set( name, base);
					}
				}
			}
		}
		
		DanielDBG(
			cprintf("close config.txt\n");
		)
		fclose(fp);
		
		sys_commit();
		
		websWrite(wp, (char_t *) apply_header_child);
		
		websWrite(wp, (char_t *) apply_restore_footer);
		
		websDone(wp, 200);
		
		nvram_set("NeedReboot", "1");
		
		*action = NOTHING; 
		*jumpto = JUMP_ACTION;
		
}

static int apply_cgi_UpgradeComplete(char* act, int *action, int *jumpto, webs_t wp)

{

	tsprintf("apply_cgi_UpgradeComplete : %s\n", act);

	

	websWrite(wp, (char_t *) Firmware_Update_Header);


	websWrite(wp, "<input type=\"hidden\" name=\"restart_status\" value='%s'>\n", nvram_get("NeedReboot"));
	websWrite(wp, "<span class=\"text\"><font size=\"3\">Upgrade Complete<br><br>Please press Restart button.</font></span>\n");
	websWrite(wp, "<script>window.status=\"Upgrade progress status : Upgrade Complete\";</script>\n");

	websWrite(wp, (char_t *) Firmware_Update_Footer);
	

	*action = NOTHING;		

	*jumpto = JUMP_ACTION;

	

	return *action;

}

static int apply_cgi_UpgradeFail4702Only(char* act, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_UpgradeFail4702Only : %s\n", act);
	
	websWrite(wp, (char_t *) Firmware_Update_Header);

	websWrite(wp, "<input type=\"hidden\" name=\"restart_status\" value='%s'>\n", nvram_get("NeedReboot"));
	websWrite(wp, "<span class=\"text\"><font size=\"3\">Please use newer firmware to upgrade this device.</font></span>\n");
	websWrite(wp, "<script>window.status=\"Upgrade progress status : Upgrade Failed\";</script>\n");

	websWrite(wp, (char_t *) Firmware_Update_Footer);
	
	*action = NOTHING;		
	*jumpto = JUMP_ACTION;
	
	return *action;
}

static int apply_cgi_UpgradeFail(char* act, int *action, int *jumpto, webs_t wp)

{

	tsprintf("apply_cgi_UpgradeFail : %s\n", act);

	

	websWrite(wp, (char_t *) Firmware_Update_Header);


	websWrite(wp, "<input type=\"hidden\" name=\"restart_status\" value='%s'>\n", nvram_get("NeedReboot"));
	websWrite(wp, "<span class=\"text\"><font size=\"3\">Upgrade Failed</font></span>\n");
	websWrite(wp, "<script>window.status=\"Upgrade progress status : Upgrade Failed\";</script>\n");

	websWrite(wp, (char_t *) Firmware_Update_Footer);
	

	*action = NOTHING;		

	*jumpto = JUMP_ACTION;

	

	return *action;

}

struct apply_cgi_handler
{
	char* pattern;
	int (*output)(char* act, int *action, int *jumpto, webs_t wp);
};

struct apply_cgi_handler apply_cgi_handlers[]=
{
	{"wlmac",          apply_cgi_wlmac},
	//{"filterindex",    apply_cgi_filterindex},
	//{"GenKey",         apply_cgi_GenKey},
	//{"GenKey_5G",      apply_cgi_GenKey_5G},
	//{"network_diagnostic",      apply_cgi_network_diagnostic},	
	{"restart",      apply_cgi_restart},	
	{"TZODDNS",      apply_cgi_DDNS},	
	{"DynDDNS",      apply_cgi_DDNS},	
	{"DHCPStatus",      apply_cgi_DHCPStatus},	
	//{"PPPoEStatus",      apply_cgi_PPPoE_PPTP_Status},	
	//{"PPTPStatus",      apply_cgi_PPPoE_PPTP_Status},	
	//{"PPPStatus",      apply_cgi_PPPoE_PPTP_Status},		
	{"SelFilter",      apply_cgi_SelFilter},	
	{"ApplyChild", apply_cgi_Apply_Child},	
	{"Apply",      apply_cgi_Apply},									
	{"Restore_Defaults",      apply_cgi_Restore_Defaults},
	{"Release",      apply_cgi_Release},
	{"Renew",      apply_cgi_Renew},
	{"Login", apply_cgi_Login},
	{"Logout", apply_cgi_log_out},
	{"backup_configuration",      apply_cgi_backup_configuration},						
	{"restore_configuration",      apply_cgi_restore_configuration},	
	{"restore",	apply_cgi_restore},	
	{"wizard.html", 		apply_cgi_wizard},	
	{"RedirectToReboot", apply_cgi_redirect_to_reboot},
	{"debug_page", apply_cgi_debug_page},
	{"UpgradeComplete", apply_cgi_UpgradeComplete},
	{"UpgradeFail", apply_cgi_UpgradeFail},		
	{"Upgrade4702OnlyFail", apply_cgi_UpgradeFail4702Only},	
	{NULL, NULL}
};

static int apply_cgi_PageName_applycontinueclose_footer(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_PageName_applycontinueclose_footer : %s\n", pagename);

	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
		
	websWrite(wp, (char_t *) applycontinueclose_footer);
	
	return *action;		
}

static int apply_cgi_PageName_applycontinueclose_footer_REBOOT(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_PageName_applycontinueclose_footer_REBOOT : %s\n", pagename);

	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
		
	websWrite(wp, (char_t *) applycontinueclose_footer);
	*action = REBOOT;
	
	return *action;		
}

static int apply_cgi_PageName_reboot_footer(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_PageName_reboot_footer : %s\n", pagename);
/*
	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);
		
	websWrite(wp, (char_t *) reboot_footer);
	action = REBOOT;
*/
	return *action;		
}

//static int apply_cgi_PageName_frame_internet_advanced_asp(char* pagename, int *action, int *jumpto, webs_t wp)
//{
//	tsprintf("apply_cgi_PageName_frame_internet_advanced_asp : %s\n", pagename);
//	/* Move from frame_internet_advanced_WAN_asp */	
//	Config_WAN_Enable();
//
//	RedefineWanMacAddr();
//	//*action=REBOOT;
//	return *action;		
//}

//static int apply_cgi_PageName_MAClone(char* pagename, int *action, int *jumpto, webs_t wp)
//{
//	printf("apply_cgi_PageName_MAClone : %s\n", pagename);
//
//	RedefineWanMacAddr();
//	//*action=REBOOT;
//	return *action;		
//}

//static int apply_cgi_PageName_PortForward(char* pagename, int *action, int *jumpto, webs_t wp)
//{
//	tsprintf("apply_cgi_PageName_PortForward : %s\n", pagename);
///*
//	websHeader(wp);
//	websWrite(wp, (char_t *) apply_header);
//		
//	websWrite(wp, (char_t *) reboot_footer);
//	action = REBOOT;
//*/
//	PortForwardVar(wp);
//	
//	return *action;		
//}

void Config_WAN_Enable()
{
	if(!strcmp(nvram_get("WAN_ENABLE"), "1"))
	{
		tsprintf("ifconfig eth1 up\n");
		system("ifconfig eth1 up");
		LED_wan_if_enable(1);		
	}
	else
	{
		tsprintf("ifconfig eth1 down\n");
		system("ifconfig eth1 down");			
		LED_wan_if_enable(0);		
	}
}

static int apply_cgi_PageName_frame_internet_advanced_WAN_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("frame_internet_advanced_WAN_asp : %s\n", pagename);
	Config_WAN_Enable();

	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}

static int apply_cgi_PageName_frame_networking_dhcp_server_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("frame_networking_dhcp_server_asp : %s\n", pagename);
	//system("/sbin/udhcpdset &");

	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}

static int apply_cgi_PageName_gw_other_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	tsprintf("apply_cgi_PageName_gw_other_asp : %s\n", pagename);

	Config_WAN_Enable();

	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}

static int apply_cgi_PageName_frame_networking_dns_proxy_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	char *p, *pstr;
	tsprintf("frame_networking_dns_proxy_asp : %s\n", pagename);

	p = websGetVar(wp, "dhsproxy_str", "");
	
	tsprintf("broadcom.c : frame_networking_dns_proxy_asp => I got value is %s\n", p);
	
	tsprintf("Size is %d %d\n", sizeof(p), strlen(p));
	pstr = malloc(strlen(p) + 30);
	sprintf(pstr, "echo \"%s\" > /tmp/ExtraHosts", p);
	system(pstr);
	free(pstr);
	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}

static int apply_cgi_PageName_frame_parental_control_content_policy_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	char *p, *pstr;
	tsprintf("apply_cgi_PageName_frame_parental_control_content_policy_asp : %s\n", pagename);

	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}



static int apply_cgi_PageName_frame_wireless_security_asp(char* pagename, int *action, int *jumpto, webs_t wp)
{
	char *p, *pstr;
	tsprintf("apply_cgi_PageName_frame_wireless_security_asp : %s\n", pagename);

	//printf("Key Info : Input method : %s Key Lnegth : %s\n", nvram_get("wl_key_input_method"), nvram_get("wl_key_strength"));
	if(!strcmp(nvram_get("wl_key_input_method"), "0")) /* 0 */
	{
		if(!strcmp(nvram_get("wl_key_strength"), "64")) /* 64 128 */
		{
			//unsigned char key_buf[65] = {0};
			unsigned char buf[65] = {0};
			gen_11i_passphrase_key();
			//strncpy(key_buf, nvram_get("Passphrase_key_11i"), 65);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[0], key_buf[1], key_buf[2], key_buf[3], key_buf[4]);
			nvram_set("wl_key1", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[8], key_buf[9], key_buf[10], key_buf[11], key_buf[12]);
			nvram_set("wl_key2", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[16], key_buf[17], key_buf[18], key_buf[19], key_buf[20]);
			nvram_set("wl_key3", buf);
			sprintf(buf, "%02X%02X%02X%02X%02X", key_buf[24], key_buf[25], key_buf[26], key_buf[27], key_buf[28]);
			nvram_set("wl_key4", buf);			
			
			//printf("Final result : \n");
			//printf("1 : %s\n2 : %s\n3 : %s\n4 : %s\n", nvram_get("wl_key1"), nvram_get("wl_key2"), nvram_get("wl_key3"), nvram_get("wl_key4"));
		}
		else if(!strcmp(nvram_get("wl_key_strength"), "128"))
		{
			//unsigned char key_buf[65] = {0};
			unsigned char buf[65] = {0};
			gen_11i_passphrase_key();
			//strncpy(key_buf, nvram_get("Passphrase_key_11i"), 65);
			sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", key_buf[0], key_buf[1], key_buf[2], key_buf[3], key_buf[4], key_buf[5], key_buf[6], key_buf[7], key_buf[8], key_buf[9], key_buf[10], key_buf[11], key_buf[12]);
			nvram_set("wl_key1", buf);			
			sprintf(buf, "%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X", key_buf[16], key_buf[17], key_buf[18], key_buf[19], key_buf[20], key_buf[21], key_buf[22], key_buf[23], key_buf[24], key_buf[25], key_buf[26], key_buf[27], key_buf[28]);			
			nvram_set("wl_key2", buf);
			nvram_set("wl_key3", "");
			nvram_set("wl_key4", "");			
			
			//printf("Final result : \n");
			//printf("1 : %s\n2 : %s\n3 : %s\n4 : %s\n", nvram_get("wl_key1"), nvram_get("wl_key2"), nvram_get("wl_key3"), nvram_get("wl_key4"));
			
		}
		else
		{
			//printf("Unknown wl_key_strength!\n"); 
			return;
		}
	}


	*action = NOTHING;
	*jumpto = JUMP_NOTHING;
			
	return *action;		
}

struct apply_cgi_PageName
{
	char* pattern;
	int (*output)(char* pagename, int *action, int *jumpto, webs_t wp);
};

struct apply_cgi_PageName apply_cgi_PageNames[]=
{
	{"IPMACFilter",      apply_cgi_PageName_applycontinueclose_footer},
	{"WlMACFilter",      apply_cgi_PageName_applycontinueclose_footer},
	{"WEPKey",      apply_cgi_PageName_applycontinueclose_footer_REBOOT},
	{"WEPKey_5G",      apply_cgi_PageName_applycontinueclose_footer_REBOOT},
	{"reboot",      apply_cgi_PageName_reboot_footer},
	//{"MAClone",      apply_cgi_PageName_MAClone},
	//{"PortForward",      apply_cgi_PageName_PortForward},													
	{"frame_internet_advanced_WAN.asp", apply_cgi_PageName_frame_internet_advanced_WAN_asp},
	{"frame_networking_dns_proxy.asp", apply_cgi_PageName_frame_networking_dns_proxy_asp},
	{"frame_parental_control_content_policy.asp", apply_cgi_PageName_frame_parental_control_content_policy_asp},
	//{"frame_wireless_basic.asp", apply_cgi_PageName_frame_wireless_basic_asp},
	{"frame_wireless_security.asp", apply_cgi_PageName_frame_wireless_security_asp},	
	//{"frame_internet_advanced.asp", apply_cgi_PageName_frame_internet_advanced_asp},
	{"frame_networking_dhcp_server.asp", apply_cgi_PageName_frame_networking_dhcp_server_asp},
	{NULL, NULL}
};

static int
apply_cgi(webs_t wp, char_t *urlPrefix, char_t *webDir, int arg, 
	  char_t *url, char_t *path, char_t *query)
{
	int action = NOTHING, jumpto = 0; //jumpto : 0 => Do Nothing, 1 => footer 
	char *value, *pagename, buf[256];
	struct apply_cgi_handler *handler;
	struct apply_cgi_PageName *PageNamehandler;
	
	if (!query)
		goto footer;
		
	value = websGetVar(wp, "action", "");
	pagename = websGetVar(wp, "PageName", "");
	
	if(strcmp(value, "wizard.html"))
	{
		if(strcmp(value, "Login") && AuthReset == 1)
		{
			websWrite(wp, Login_Fail_asp);
			websDone(wp, 200);
			return;
		}
	}
	
	for (handler = &apply_cgi_handlers[0]; handler->pattern; handler++) {
		if (strncmp(handler->pattern, value, strlen(handler->pattern)) == 0)
		{
			handler->output(value, &action, &jumpto, wp);
			break;
		}
	}
	
	//printf("1 Write WEB action => action : %d value : %s PageName : %s\n", action, value, pagename);

	if(handler->pattern == NULL)
	{
		websHeader(wp);
		websWrite(wp, (char_t *) apply_header);		
		websWrite(wp, "Invalid action %s<br>", value);
		websWrite(wp, (char_t *) apply_footer);	
		jumpto = JUMP_FOOTER;
	}
	
//	enum
//	{
//		JUMP_NOTHING,
//		JUMP_FOOTER,
//    JUMP_PAGENAME,
//		JUMP_ACTION,
//    JUMP_RETURN,
//	};

	if(jumpto == JUMP_NOTHING)
	{
		tsprintf("Right action...Continue\n");
	}
	else if(jumpto == JUMP_PAGENAME)
	{
		tsprintf("goto DoPageName\n");
		goto DoPageName;
	}
	else if(jumpto == JUMP_FOOTER)
	{
		tsprintf("goto footer\n");
		goto footer;
	}
	else if(jumpto == JUMP_ACTION)
	{
		tsprintf("goto DoAction\n");
		goto DoAction;
	}
	else if(jumpto == JUMP_RETURN)
	{
		tsprintf("goto return\n");
		return 1;
	}
	else
	{
		tsprintf("Wrong action...Return!\n");
	}
	

DoPageName:

	//printf("2 Write WEB action => action : %d value : %s PageName : %s\n", action, value, pagename);	
	for (PageNamehandler = &apply_cgi_PageNames[0]; PageNamehandler->pattern; PageNamehandler++) {
		if (strncmp(PageNamehandler->pattern, pagename, strlen(PageNamehandler->pattern)) == 0)
		{
			PageNamehandler->output(pagename, &action, &jumpto, wp);
			websWrite(wp, (char_t *) apply_footer);				
			break;
		}
	}

	if(PageNamehandler->pattern == NULL)
	{
		//websHeader(wp);
		//websWrite(wp, (char_t *) apply_header);			
		//websWrite(wp, "PageName not find %s<br>", pagename);
		//printf("PageName not find %s<br>\n", pagename);		
		websWrite(wp, (char_t *) apply_footer);	
		//goto footer;
	}

footer:

	//printf("Write WEB Footer => action : %d value : %s PageName : %s\n", action, value, pagename);
	websFooter(wp);
	websDone(wp, 200);

	//websWrite(wp, "Saving is in Progress...");
	tsprintf("sys_commit()");
	sys_commit();
	//websWrite(wp, "Done");
	tsprintf("...Done\n");
	
	/* Added by PeterChen, 2002/10/22 PM 05:29 */
	/* Modified by PeterChen, 2002/10/23 PM 01:51 */

DoAction:
	
	if (action == RESTART)
	{
		sys_restart();
	}
	else if (action == REBOOT)
	{
		 sys_reboot ();
		// system("/sbin/reboot&");
	}
	else if (action == NOTHING)		
	{
		/* Nothing to Do */
	}


	return 1;
}

static int
internal_cgi(webs_t wp, char_t *urlPrefix, char_t *webDir, int arg, 
	     char_t *url, char_t *path, char_t *query)
{
	int action = NOTHING;
	char *value;

	websHeader(wp);
	websWrite(wp, (char_t *) apply_header);

	if (!query)
		goto footer;

	value = websGetVar(wp, "action", "");

	/* Apply values */
	if (!strcmp(value, "Apply")) {
		validate_cgi(wp);
		action = RESTART;
	}

	/* Upgrade image */
	else if (!strcmp(value, "Upgrade")) {
		char *os_name = nvram_safe_get("os_name");
		char *os_server = websGetVar(wp, "os_server", nvram_safe_get("os_server"));
		char *os_version = websGetVar(wp, "os_version", "current");
		char url[PATH_MAX];
		if (!*os_version)
			os_version = "current";
		snprintf(url, sizeof(url), "%s/%s/%s/%s.trx",
			 os_server, os_name, os_version, os_name);
		websWrite(wp, "Retrieving %s...", url);
		if (sys_upgrade(url, NULL, NULL)) {
			websWrite(wp, "error<br>");
			goto footer;
		} else {
			websWrite(wp, "done<br>");
			action = REBOOT;
		}
	}

	/* Report stats */
	else if (!strcmp(value, "Stats")) {
		char *server = websGetVar(wp, "stats_server", nvram_safe_get("stats_server"));
		websWrite(wp, "Contacting %s...", server);
		if (sys_stats(server)) {
			websWrite(wp, "error<br>");
			goto footer;
		} else {
			websWrite(wp, "done<br>");
			nvram_set("stats_server", server);
		}
	}

	/* Invalid action */
	else {
		websWrite(wp, "Invalid action<br>");
		goto footer;
	}

	websWrite(wp, "Committing values...");
	sys_commit();
	websWrite(wp, "done");
 footer:
	websWrite(wp, (char_t *) apply_footer);
	websFooter(wp);
	websDone(wp, 200);

	if (action == RESTART)
		sys_restart();
	else if (action == REBOOT)
	{
		sys_reboot ();
		// system("/sbin/reboot&");
		
	}

	return 1;
}

#ifdef WEBS

void
initHandlers(void)
{
	websAspDefine("nvram_get", ej_nvram_get);
	websAspDefine("nvram_match", ej_nvram_match);
	websAspDefine("nvram_invmatch", ej_nvram_invmatch);
	websAspDefine("nvram_list", ej_nvram_list);
/*	websAspDefine("filter_ip", ej_filter_ip);
	websAspDefine("filter_port", ej_filter_port);
*/
//	websAspDefine("forward_port", ej_forward_port);
	//websAspDefine("static_route", ej_static_route);
	websAspDefine("localtime", ej_localtime);
	//websAspDefine("dumplog", ej_dumplog);
	//websAspDefine("dumpleases", ej_dumpleases);
	//websAspDefine("ppplink", ej_ppplink);
	//Add by Yao-Chung Yeh
/*	websAspDefine("filter_PortVar", ej_filter_PortVar);*/
	//websAspDefine("PortForwardVar", ej_PortForwardVar);

	//websAspDefine("Select11aKeyLength_0", ej_Select11aKeyLength_0 );
	//websAspDefine("Select11aKeyLength_1", ej_Select11aKeyLength_1 );
	//websAspDefine("Select11aKeyLength_2", ej_Select11aKeyLength_2 );		
	websAspDefine("Select11gKeyLength_0", ej_Select11gKeyLength_0 );
	websAspDefine("Select11gKeyLength_1", ej_Select11gKeyLength_1 );
	websAspDefine("Select11gKeyLength_2", ej_Select11gKeyLength_2 );
	websAspDefine("DeletePassphraseParameter", ej_DeletePassphraseParameter );
//	websAspDefine("Get11aKey_1", ej_Get11aKey_1 );
//	websAspDefine("Get11aKey_2", ej_Get11aKey_2 );
//	websAspDefine("Get11aKey_3", ej_Get11aKey_3 );
//	websAspDefine("Get11aKey_4", ej_Get11aKey_4 );	
	websAspDefine("Get11gKey_1", ej_Get11gKey_1 );
	websAspDefine("Get11gKey_2", ej_Get11gKey_2 );
	websAspDefine("Get11gKey_3", ej_Get11gKey_3 );
	websAspDefine("Get11gKey_4", ej_Get11gKey_4 );
	websAspDefine("Get11g11iKey_all", ej_Get11g11iKey_all);
	websAspDefine("Get11g11iKey_1", ej_Get11g11iKey_1 );
	websAspDefine("Get11g11iKey_2", ej_Get11g11iKey_2 );
	websAspDefine("Get11g11iKey_3", ej_Get11g11iKey_3 );
	websAspDefine("Get11g11iKey_4", ej_Get11g11iKey_4 );	
/*	websAspDefine("SelectionKey_1", ej_SelectionKey_1 );
	websAspDefine("SelectionKey_2", ej_SelectionKey_2 );
	websAspDefine("SelectionKey_3", ej_SelectionKey_3 );
	websAspDefine("SelectionKey_4", ej_SelectionKey_4 );		
*/	
	//websAspDefine("RoutingTable", ej_RoutingTable );
	//websAspDefine("LogTable", ej_LogTable );
	//websAspDefine("DeleteFilterTemp", ej_DeleteFilterTemp );
	//websAspDefine("ShowCurrentTime", ej_ShowCurrentTime );
	websAspDefine("GetAllVar", ej_GetAllVar );	
	//websAspDefine("HostMAC_Table", ej_HostMAC_Table);
	
	//websAspDefine("DNS_Host_Table", ej_DNS_Host_Table);
	websAspDefine("wl_assoclist", ej_wl_assoclist);
	websAspDefine("wl_ioctl", ej_wl_ioctl);	
	
	//websAspDefine("get_led_status", ej_get_led_status);
	websAspDefine("link", ej_link);
	//websAspDefine("EventTable", ej_EventTable);
	websAspDefine("get_login_mac_addr", ej_get_login_mac_addr);
	//websAspDefine("get_all_reserv_info", ej_get_all_reserv_info);
	//websAspDefine("get_rulestring", ej_get_rulestring);
	websAspDefine("force_reboot", ej_force_reboot);
	websAspDefine("get_ipaddr", ej_get_ipaddr);	
	websAspDefine("get_login_msg", ej_get_login_msg);
	websAspDefine("get_reboot_msg", ej_get_reboot_msg);
	websAspDefine("get_reboot_child_msg", ej_get_reboot_child_msg);
	websAspDefine("killhttpd", ej_killhttpd);
	websAspDefine("doSiteSurvey", ej_doSiteSurvey);
	//websAspDefine("GetWANFactoryMACAddr", ej_GetWANFactoryMACAddr);
	websAspDefine("get_debug_result", ej_get_debug_result);
	websUrlHandlerDefine("/apply.cgi", NULL, 0, apply_cgi, 0);
	websUrlHandlerDefine("/internal.cgi", NULL, 0, internal_cgi, 0);

//	websSetPassword(nvram_safe_get("http_passwd"));

//	websSetRealm("Motorola");
	/* Modified by PeterChen */
}

#else /* !WEBS */

static void
do_auth(char *userid, char *passwd, char *realm)
{
	strncpy(userid, nvram_safe_get("http_username"), AUTH_MAX);
	strncpy(passwd, nvram_safe_get("http_passwd"), AUTH_MAX);
	strncpy(realm, "Motorola", AUTH_MAX);
}

static void
do_apply_cgi(char *url, FILE *stream)
{
	char *path, *query;

	query = url;
	path = strsep(&query, "?") ? : url;
	init_cgi(query);
	apply_cgi(stream, NULL, NULL, 0, url, path, query);
}

static void
do_internal_cgi(char *url, FILE *stream)
{
	char *path, *query;

	query = url;
	path = strsep(&query, "?") ? : url;
	init_cgi(query);
	internal_cgi(stream, NULL, NULL, 0, url, path, query);
}
char applybuf[9216];

static void
do_wep_post ( char *url , FILE *stream , int len , char *boundary )/* Added by PeterChen , 2002/11/06 PM 01:27 */
{
	char buf[9216];
	/* Look for our part */
	while ( len > 0 ) {
		if ( !fgets ( buf , MIN ( len + 1 , sizeof ( buf ) ) , stream ) ) { return; }

		len -= strlen ( buf );

		if ( !strncasecmp ( buf , "Content-Disposition:" , 20 ) &&
		     strstr ( buf , "name=\"file\"" ) ) { break; }
	}

	/* Skip boundary and headers */
	while ( len > 0 ) {
		if ( !fgets ( buf , MIN ( len + 1 , sizeof ( buf ) ) , stream ) ) { return; }

		len -= strlen ( buf );

		if ( !strcmp ( buf , "\n" ) || !strcmp ( buf , "\r\n" ) ) { break; }
	}

	strcpy(applybuf, buf);
	
	/* Slurp anything remaining in the request */
	while (len--)
		(void) fgetc(stream);
}
#define ApplyString "apply.cgi?"
static void
do_wep_cgi ( char *url , FILE *stream )	/* Added by PeterChen , 2002/11/06 PM 01:27 */
{
	char *path = NULL , *query = NULL , *TempUrl = NULL;
	int StrSize = 0;
 
 	StrSize = strlen ( ApplyString ) + strlen ( applybuf ) + 1;
 
 	TempUrl = (char*) malloc ( sizeof ( char ) * StrSize );
 
 	memset ( TempUrl , '\0' , StrSize );
 
 	TempUrl = strcat ( TempUrl , ApplyString );
 	TempUrl = strcat ( TempUrl , applybuf );
 
 	query = TempUrl;
 	
 	path = strsep ( &query , "?" ) ? : TempUrl;
 	
/* 	printf("broadcom.c : query is : %s\n", query);
 	if(strstr(query, "wpa_psk") != NULL)
 	{
 		printf("wpa_psk is : %s\n", strstr(query, "wpa_psk"));
 	}
*/ 	
 	init_cgi ( query );
 	apply_cgi ( stream , NULL , NULL , 0 , TempUrl , path , query );
 
 	free ( TempUrl );
}


/* added by Jimmy Ma */

#ifdef DanielAdd
static void do_restore_post(char *url, FILE *stream, int len, char *boundary)
{
	char upload_fifo[] = "/tmp/restoreXXXXXX";
	char config_txt = "/tmp/config.txt" ;
	FILE *fifo = NULL;
	char *write_argv[] = { "ls -al", upload_fifo, NULL };
	char *restore_argv[] = { "/sbin/restore", upload_fifo, "2", config_txt, "/tmp/test", nvram_get("ModelId"), NULL };
	pid_t pid;
	char buf[1024];
	char temp[1024];
	int count, ret = EINVAL;
	char *base = NULL ;	

	tsprintf("broadcom.c do_restore_post : stream : %p\n", stream);
			
	/* Look for our part */
	DanielDBG( cprintf("Look for our part\n"); )
	while (len > 0) 
	{
		if (!fgets(buf, MIN(len + 1, sizeof(buf)), stream))
		{
			DanielDBG( cprintf("goto_err(1)\n"); )			
			goto err;
		}	
		
		len -= strlen(buf);
		
		if (!strncasecmp(buf, "Content-Disposition:", 20) && strstr(buf, "name=\"file\""))
			break;
	}
	
	DanielDBG( cprintf("buf=%s\n",buf); )
	DanielDBG( cprintf("Content-Length=%d\n", len); )
	
	/* Skip boundary and headers */
	DanielDBG( cprintf("Skip boundary and headers\n"); )
	while (len > 0) 
	{
		if (!fgets(buf, MIN(len + 1, sizeof(buf)), stream))
		{
			DanielDBG( cprintf("goto_err(2)\n"); )
			
			goto err;
		}	
		
		len -= strlen(buf);
		
		if (!strcmp(buf, "\n") || !strcmp(buf, "\r\n"))
			break;
	}
	
	DanielDBG( cprintf("buf=%s\n",buf); )
	DanielDBG( cprintf("Content-Length=%d\n", len); )	
	
	/* Feed write from a temporary FIFO */
	DanielDBG( cprintf("Feed write from a temporary FIFO\n"); )
#if 0	
	if (!mktemp(upload_fifo) || 
		mkfifo(upload_fifo, S_IRWXU) < 0 || 		
		_eval(write_argv, NULL, 0, &pid) || 
		!(fifo = fopen(upload_fifo, "w")))
#endif
	if (!mktemp(upload_fifo) ||	!(fifo = fopen(upload_fifo, "w")))	
	{
		DanielDBG( cprintf("goto_err(3)\n"); )		
		goto err;
	}	

	/* Set nonblock on the socket so we can timeout */
	DanielDBG( cprintf("Set nonblock on the socket so we can timeout\n"); )
	if (fcntl(fileno(stream), F_SETFL, O_NONBLOCK) < 0)
	{
		DanielDBG( cprintf("goto_err(4)\n"); )
		goto err;
	}	

	/* Pipe the rest to the FIFO */
	cprintf("Get restore file\n");	
	DanielDBG(cprintf("Pipe the rest to the FIFO\n");)	
	while (len > 0) 
	{		
#if 0		
		if (waitfor(fileno(stream), 5) <= 0)
			break;
#endif				
		count = fread(buf, 1, MIN(len, sizeof(buf)), stream);
		len -= count;		
		
		if( base = strstr(buf, "\r\n" ) )
		{
			fwrite(buf, 1, &base[0]-&buf[0], fifo);
			cprintf(".\n");	
			break ;
		}	
		else
		{				
			fwrite(buf, 1, count, fifo);
			cprintf(".\n");	
		}
	}
	
	fclose(fifo);
	fifo = NULL;
	cprintf("done\n");
	
	/* restore restoreXXXXXX */
	DanielDBG(cprintf("function eval\n");)

	eval( "/sbin/restore", upload_fifo, "2", "/tmp/config.txt", "/tmp/test", nvram_get("ModelId"));
	sleep(2);
#if 0	
	pid = fork();
	
	if( pid == 0 )
	{	/* child process */
		DanielDBG(cprintf("child process\n");)
		setenv("PATH", "/sbin:/bin:/usr/sbin:/usr/bin", 1);
		execvp( "/sbin/restore", restore_argv );
	}
	else if( pid == -1 )
	{	/* error */
		DanielDBG(cprintf("error process\n");)
		DanielDBG(cprintf("vfork() error\n");)
	}
	else
	{	/* parent process */
		DanielDBG(cprintf("parent process\n");)
		waitpid(pid, &ret, 0);
		DanielDBG(cprintf("goto err:\n");)
		goto err;
	}
#endif	

#if 0	
	/* Wait for restore to terminate */
	DanielDBG(cprintf("Wait for write to terminate\n");)
	waitpid(pid, &ret, 0);				
#endif	
	
	/* Reset nonblock on the socket */
	DanielDBG(cprintf("Reset nonblock on the socketn\n");)	
	if (fcntl(fileno(stream), F_SETFL, 0) < 0)
	{
		DanielDBG( cprintf("goto_err(5)\n"); )
		goto err;
	}	
#if 0	
	/* Slurp anything remaining in the request */
	while (len-- > 0)
		(void) fgetc(stream);
#endif	

 err:
	if (fifo)
		fclose(fifo);
	
	DanielDBG( cprintf("delete upload file.\n"); )
	remove(upload_fifo);	
	
#if 0	
	DanielDBG(cprintf("ret=%d\n", ret);)	
	fcntl(fileno(stream), F_SETOWN, -ret);
#endif
	
	DanielDBG(cprintf("End of function do_restore_post\n");)
}

static void do_restore_cgi(char *url, FILE *stream)
{
#if 0
	int ret;
	FILE *fifo = NULL;
	char *base = NULL ;
	char buf[1024];
	char config_txt = "/tmp/config.txt" ;
#endif  
    FILE *wp;
		FILE *fp = NULL ;
		char buf[1024];
		char name[1024];
		char temp[1024];
		char *base = NULL ;
		char *b = NULL ;    
		wp=stream;
		cprintf("enter apply_cgi_restore\n");

		fp = fopen( "/tmp/config.txt", "r" ) ;
		if( fp == NULL )
		{
			printf("open config.txt error \n");
			websWrite(wp, (char_t *) apply_header_child);
			websWrite(wp, (char_t *) apply_restore_footer);
			websDone(wp, 200);
			return;
		}
		
		tsprintf("broadcom.c do_restore_cgi : fp : %p stream : %p\n", fp, stream);
		
		while(fgets( buf, sizeof(buf), fp ))
		{
			if( base = strchr( buf, '=' ) )
			{
				memset( name, '\0', sizeof(name) );
				memset( temp, '\0', sizeof(temp) );
				memcpy( temp, buf, &base[0]-&buf[0] );
				
				if( b = strchr( temp, '_' ) )
				{
					b = b + 1 ;
					strcpy(name,b);

					if(!strcmp(name, "sdram_init") || !strcmp(name, "SerialNumber") || !strcmp(name, "et0macaddr") || !strcmp(name, "et1macaddr") || !strcmp(name, "lan_hwaddr") || !strcmp(name, "wan_hwaddr") || !strcmp(name, "BackupForMAClone") || !strcmp(name, "MACloneSys") || !strcmp(name, "MACloneAddress") || !strcmp(name, "http_username") || !strcmp(name, "http_passwd"))
					{
						//Do nothing
						//cprintf("This name is %s...do nothing\n", name);
					}
					else
					{       
            char *p_str=NULL;
						base = base + 1 ;
						if(p_str = strchr(base, '\n'))
						  memset(p_str, 0, 1);
						
						{
							struct variable *v;
							char *value;
						
							/* Validate and set variables in table order */
							for (v = variables; v < &variables[sizeof(variables)/sizeof(variables[0])]; v++) 
							{
								if(!strcmp(name, v->name))
								{
									//cprintf("=== Find nvram : [%s] value is [%s]\n", name, base);
									nvram_set( name, base);
									//cprintf("\n----------\n");
									break;
								}
							}
						}		
						
					}
				}
			}
		}

		fclose(fp);
		sys_commit();
		//websWrite(wp, (char_t *) apply_header_child);
		//websWrite(wp, (char_t *) apply_restore_footer);
		//websDone(wp, 200);

		nvram_set("NeedReboot", "1");
		tsprintf("exit apply_cgi_restore\n");

//	websHeader(stream);
//	websWrite(stream, (char_t *) RedirectApplyCGI);
//	websFooter(stream);
//	websDone(stream, 200);
}

//static void do_restore_cgi(char *url, FILE *stream)
//{
//	int ret;
//	FILE *fifo = NULL;
//	char *base = NULL ;	
//	char buf[1024];
//	char config_txt = "/tmp/config.txt" ;
//	int i;	
//#if 0	
//	ret = fcntl(fileno(stream), F_GETOWN, 0);
//#endif
//	DanielDBG(cprintf("function do_restore_cgi\n");)
//	
//	websHeader(stream);
//	websWrite(stream, (char_t *) RedirectApplyCGI);
//	
//	DanielDBG(
//		cprintf("RedirectApplyCGI=<%s>\n", RedirectApplyCGI);
//	)
//	
//	
//#if 0	
//	/* We could probably be more informative here... */
//	if (ret)
//		websWrite(stream, "Error during restore<br>");
//	else
//		websWrite(stream, "<center>Restore complete</center><br>");
//	
//	websWrite(stream, (char_t *) apply_footer);
//#endif
//sleep(2);
//for(i = 0;i<50;i++)
//cprintf("check\n");	
//	websFooter(stream);
//	websDone(stream, 200);
//	cprintf("End of do_restore_cgi\n");
//#if 0	
//	/* Reboot if successful */
//	if (ret == 0)
//	{
//		// system("/sbin/reboot&");
//		sys_reboot();
//	}
//#endif	
//}
#endif

static int upgrade_ret;

static void
do_upgrade_post(char *url, FILE *stream, int len, char *boundary)
{
	char buf[1024];
	system("/bin/cat /proc/kmemory/Power_Green_Off");
	system("/bin/cat /proc/kmemory/Power_Red_On");
	//Kill process and file when upgrade firmware
	system("/usr/bin/killall ResetToDefault &");
	//system("/usr/bin/killall assoclistd &");
	//system("/usr/bin/killall udhcpc");
	
	//sleep(3);
	
	upgrade_ret = EINVAL;

	/* Look for our part */
	while (len > 0) {
		if (!fgets(buf, MIN(len + 1, sizeof(buf)), stream))
			return;
		len -= strlen(buf);
		if (!strncasecmp(buf, "Content-Disposition:", 20) &&
		    strstr(buf, "name=\"file\""))
			break;
	}

	/* Skip boundary and headers */
	while (len > 0) {
		if (!fgets(buf, MIN(len + 1, sizeof(buf)), stream))
			return;
		len -= strlen(buf);
		if (!strcmp(buf, "\n") || !strcmp(buf, "\r\n"))
			break;
	}

	upgrade_ret = sys_upgrade(NULL, stream, &len);

	/* Slurp anything remaining in the request */
	while (len--)
		(void) fgetc(stream);
} 

static void
do_upgrade_cgi(char *url, FILE *stream)
{
	int i=0;
	websHeader(stream);
/*	websWrite(stream, (char_t *) upgrade_header);*/
	websWrite(stream, (char_t *) apply_header_child);
	/* We could probably be more informative here... */
	if (upgrade_ret)
	{
		if(upgrade_ret == 24064) /* 4702 only error code */
		{
			websWrite(stream, upgrade_fail_4702_only_footer);
		}		
		else
		{
			websWrite(stream, upgrade_fail_footer);
		}
	}
	/*	Modify by Chung Yeh*/
	else
	{
		//websWrite(stream, "Upgrade complete<br>");
		nvram_set("NeedReboot", "1");
		websWrite(stream, (char_t *) force_reboot_footer);
	}
	/*Modify by Chung Yeh*/
	/*Modify by Terence for Motorola */
	//websWrite(stream, (char_t *) applyclose_footer);

	websFooter(stream);
	websDone(stream, 200);

#if !defined(WEBS) && defined(vxworks)
	fflush(stream);
	fclose(stream);
#endif	

	//Re-executing all process	
	system("/sbin/ResetToDefault &");		
	system("/sbin/assoclistd &");		
	system("/bin/cat /proc/kmemory/Power_Green_On");	
	system("/bin/cat /proc/kmemory/Power_Red_Off");
	/* Reboot if successful */
	//if (upgrade_ret == 0)
	//	sys_reboot();
}

static char no_cache[] =
"Cache-Control: no-cache\r\n"
"Pragma: no-cache\r\n"
"Expires: 0"
;

struct mime_handler mime_handlers[] = {
	{ "**.asp", "text/html", no_cache, NULL, do_ej, do_auth },
	{ "**.html", "text/html", no_cache, NULL, do_ej, do_auth },	
	{ "**.css", "text/css", NULL, NULL, do_file, do_auth },
	{ "**.gif", "image/gif", NULL, NULL, do_file, do_auth },
	{ "**.jpg", "image/jpeg", NULL, NULL, do_file, do_auth },
	{ "**.js", "text/javascript", NULL, NULL, do_ej, do_auth },
	{ "apply.cgi*", "text/html", no_cache, NULL, do_apply_cgi, do_auth },	
	{ "sysconf.cgi*" , "text/html" , no_cache , do_wep_post , do_wep_cgi , do_auth },
	{ "internal.cgi*", "text/html", no_cache, NULL, do_internal_cgi, do_auth },
	{ "upgrade.cgi*", "text/html", no_cache, do_upgrade_post, do_upgrade_cgi, do_auth },
#ifdef DanielAdd	
	{ "**.bin", "octet/stream", NULL, NULL, do_file, do_auth },
	{ "restore.cgi*", "text/html", no_cache, do_restore_post, do_restore_cgi, do_auth },
#else
	{ "**.bin", "application/octet-stream", NULL, NULL, do_file, do_auth },
#endif		
	{ NULL, NULL, NULL, NULL, NULL, NULL }
};

struct ej_handler ej_handlers[] = {
	{ "nvram_get", ej_nvram_get },
	{ "nvram_match", ej_nvram_match },
	{ "nvram_invmatch", ej_nvram_invmatch },
	{ "nvram_list", ej_nvram_list },
/*	{ "filter_ip", ej_filter_ip },
	{ "filter_port", ej_filter_port },*/
	//{ "forward_port", ej_forward_port },
	//{ "static_route", ej_static_route },
	{ "localtime", ej_localtime },
//{ "ab_state", "for AfterBurner", NULL, NULL, TRUE},
	//{ "dumplog", ej_dumplog },
	//{ "dumpleases", ej_dumpleases },
	//{ "ppplink", ej_ppplink },
	//Add by Yao-Chung Yeh
/*	{ "filter_PortVar", ej_filter_PortVar },*/
	//{ "PortForwardVar", ej_PortForwardVar },
	//{ "Select11aKeyLength_0", ej_Select11aKeyLength_0 },
	//{ "Select11aKeyLength_1", ej_Select11aKeyLength_1 },
	//{ "Select11aKeyLength_2", ej_Select11aKeyLength_2 },	
	{ "Select11gKeyLength_0", ej_Select11gKeyLength_0 },
	{ "Select11gKeyLength_1", ej_Select11gKeyLength_1 },
	{ "Select11gKeyLength_2", ej_Select11gKeyLength_2 },
	{ "DeletePassphraseParameter", ej_DeletePassphraseParameter },
	//{ "Get11aKey_1", ej_Get11aKey_1 },
	//{ "Get11aKey_2", ej_Get11aKey_2 },
	//{ "Get11aKey_3", ej_Get11aKey_3 },
	//{ "Get11aKey_4", ej_Get11aKey_4 },	
	{ "Get11gKey_1", ej_Get11gKey_1 },
	{ "Get11gKey_2", ej_Get11gKey_2 },
	{ "Get11gKey_3", ej_Get11gKey_3 },
	{ "Get11gKey_4", ej_Get11gKey_4 },
	{ "Get11g11iKey_all", ej_Get11g11iKey_all},
	{ "Get11g11iKey_1", ej_Get11g11iKey_1 },
	{ "Get11g11iKey_2", ej_Get11g11iKey_2 },
	{ "Get11g11iKey_3", ej_Get11g11iKey_3 },
	{ "Get11g11iKey_4", ej_Get11g11iKey_4 },	
/*	{ "SelectionKey_1", ej_SelectionKey_1 },
	{ "SelectionKey_2", ej_SelectionKey_2 },
	{ "SelectionKey_3", ej_SelectionKey_3 },
	{ "SelectionKey_4", ej_SelectionKey_4 },	
*/	
	//{ "RoutingTable", ej_RoutingTable },
	//{ "LogTable", ej_LogTable },
	//{ "DeleteFilterTemp", ej_DeleteFilterTemp },
	//{ "ShowCurrentTime", ej_ShowCurrentTime },
	{ "GetAllVar", ej_GetAllVar },
	//{ "HostMAC_Table", ej_HostMAC_Table},
	//{ "DNS_Host_Table", ej_DNS_Host_Table},
	{ "wl_assoclist", ej_wl_assoclist},	
	{ "wl_ioctl", ej_wl_ioctl},
	//{ "get_led_status", ej_get_led_status},
	//{ "EventTable", ej_EventTable},
	{ "get_login_mac_addr", ej_get_login_mac_addr},
	//{ "get_all_reserv_info", ej_get_all_reserv_info},
	//{ "get_rulestring", ej_get_rulestring},
	{ "force_reboot", ej_force_reboot},
	{ "get_ipaddr", ej_get_ipaddr},
	{ "get_login_msg", ej_get_login_msg},
	{ "get_reboot_msg", ej_get_reboot_msg},
	{ "get_reboot_child_msg", ej_get_reboot_child_msg},
	{ "killhttpd", ej_killhttpd},
	{ "doSiteSurvey", ej_doSiteSurvey},
	//{ "GetWANFactoryMACAddr", ej_GetWANFactoryMACAddr},
	{ "link", ej_link },
	{ "get_debug_result", ej_get_debug_result},
	{ "nvram_dump", ej_nvram_dump},

	{ NULL, NULL }
};



#endif /* !WEBS */
